<?php
	/*
		Author: Alex Nosurov
		Created: 13.01.20 
	*/
	
	require_once(dirname(__FILE__)."/path.php");
	require_once(proj_path."view/lang.php");
	/* DEF EXLINK seem links table was used when tested apap; now had to replace it with real links table which will contain dl links; so comment all this stuff related with test code; 
	// LINK sign in / sign up by link; must be called before inclusion of contr/login.php
	if(isset($_GET["id"]) && isset($_GET["link"])) 
		find_link_user($_GET["id"], $_GET["link"]); */
	require_once(proj_path."contr/login.php");
	require_once(proj_path."utils/menu.php");

?>
<html lang="en">
	<head>
		<?php echo lang_html_load('html/standard_head.html', false, array("title" => project_title, "icon" => project_icon)); ?>
		<link href = 	"css/apap.css" rel="stylesheet">
		<link href = 	"css/table.css" rel="stylesheet">
		<style type="text/css">
			/* in apap md ss gets under canvas */
			#md_ss_div{
				z-index: 10000;
			}
		</style>
	</head>
	<body style='background: url("<?php echo get_background_path(); ?>") no-repeat center center fixed;'> 
		<?php echo file_get_contents('html/standard_scripts.html'); ?>
		<!-- table_tree -->
		<script src="js/apap.js"></script>
		<script src="js/project.js"></script> <!-- PPEE -->
	
		<div class='bg_cover'></div>
		<!-- MAIN -->
		<div class="mc_page_cont" style="height: 100%;">  <!-- if put height to mc_page_cont - preview shown male -->
			<!-- header: row: logo, menu, login  -->
			<div class="mc_page_head">
				<?php echo lang_html_load('html/standard_body_start.html' ); ?>
			</div>
			<div class="mc_page_body mc_page_cont_hor" style="width: 100%;">  <!-- if put height to mc_page_cont - preview shown male -->
				<?php echo lang_html_load('html/apap.html' ); ?>
			</div>
			<div class="mc_page_head mc_puh_div mc_page_cont_hor hidden"><div class='mc_puh_msg mc_page_body'></div><i class='mc_puh_close fas fa-times'></i></div>  <!-- DEF PUH Pop Up Help: shown as user does sms; depends on curr user action -->
			<div class="mc_page_head mc_revs_div hidden" style="margin: 0 auto;padding: 5px;"></div>
		</div>

		<!-- DPDF -->
		<script src="lib/h2c/h2c.js"></script>
		<script src="lib/h2c/h2cm.js"></script>
		<script type="text/javascript" src="https://unpkg.com/canvg@3.0.4/lib/umd.js"></script>
		<div id="mi_send_emails" class="hidden" title="send pending events" onclick="ppee_send()"><label class='mc_center'></label></div> <!-- PPEE -->
		<div  class="hidden">
			<div id='dpdf_opts'>
				<form id="ap_pdf_form" target="_blank" method="POST" action="model/upload_image.php">
					<input id="ap_pdf_input" form="ap_pdf_form" type="hidden" name="imgBase64">
					<select class='dpdf_size' name='dpdf_size' form="ap_pdf_form"> <option value='A4'>A4</option><option value='A3'>A3</option><option value='A2'>A2</option> </select>
					<select class='dpdf_orient' name='dpdf_orient' form="ap_pdf_form"> <option value='P'>vertical</option><option value='L'>horizontal</option> </select>
				</form>
			</div>
			<!-- LINK BACK mail params -->
			<div id = "ap_mp_div">
				<div><label>receiver</label></div>
				<div><input id="ap_mp_users"></input></div>
				<div><label>subject</label></div>
				<div> <input id="ap_mp_subj" value=""> </div>
				<div><label>body</label></div>
				<div> <textarea id="ap_mp_body"> </textarea></div>
			</div>
		</div>
		
		<script type="text/javascript">
			// MPV
			function load_pages(){
				var req = call_php_sync("contr/apap.php", {action: "ap_pages", id: ap_id});
				var pages = JSON.parse(req.resp_text);
				for(var i=0;i<pages.length;i++){
					var img = new Image();
					var id = pages[i].id;
					//img.onload = function(){
						var img_div = $("<div class='ap_page_thumb' data-id='" + id + "'/>");
						$(".ap_pages").append(img_div);
						img_div.click( function(){ window.open( "apap.php?id=" + $(this).data("id") , "_self"); } );
						img_div.append(img);
					//}
					img.src = pages[i].url;
				}
			}
			var ap_id = <?php echo $_GET["id"]; ?>; // APP_VER: now ap_id is in fact ver_id
			var owner = <?php echo "'".db\select_field("approves","owner","id=".$_GET["id"])."'"; ?>; // TODO: Now not used; is used get_dests
			var user  = <?php echo "'".get_user_info("email")."'"; ?>;
			var apap;
			var app_info;
			var lbs_name;
			var revs = [];
			var max_zoom = 250; var min_zoom = 10;

			function pin_create(){
				var pp = get_popup_point(); // coords relative to img
				apap.pin_create(pp.x, pp.y);
			}
			// TODO: check owner (=name now)
			function pin_delete(pin){ apap.pin_delete( pin.data("id") ); }
			function draw_delete(draw){ apap.draw_delete( draw.data("id") ); }
			// DPDF
			function download_pdf_dialog(){
				show_select_string(download_pdf, "pdf options", $("#dpdf_opts"));
			}
			function download_pdf(){
				wait_screen.add_operation("pdf");
				apap.scale_to_image( function(raw){
					/*
					document.getElementById("ap_pdf_input").value=raw;
					document.getElementById("ap_pdf_form").submit();
					document.getElementById("ap_pdf_input").value='';
					*/
					$.ajax({
						type: "POST",
						url: "model/save_pdf.php",
						data: {imgBase64: raw, dpdf_size: $(".dpdf_size").val(), dpdf_orient: $(".dpdf_orient").val(), width: apap.scale.width, height: apap.scale.height}
					}).done( function(o) {
						window.open(o, "_blank");
						//alert("Ok");
					}).complete( function(o) {
						wait_screen.remove_operation("pdf");
					});
				});
			}
			function reject_approve_lbs(action){
				wait_screen.add_operation("mail");
				$.ajax({
					"type": "POST",
					"url": "contr/main.php",
					//"data": {action : "mail_to_owner", "app_id" : ap_id, "subject": $("#ap_mp_subj").val(), message: $("#ap_mp_body").val()},
					"data": {action : action, "id" : ap_id, "subject": JSON.stringify($("#ap_mp_subj").val()), message: JSON.stringify($("#ap_mp_body").val()), receivers: JSON.stringify($("#ap_mp_users").val())},
					"success": function(res, dummy, request){ 	
						opener_cb(); 
						if(res) // generated event id
							ppee_add(res);
						alert(lp("done"));		
					},
					"complete": function(){ 	
						wait_screen.remove_operation("mail"); 
						app_info = read_app_info();
						set_title(app_info);
					}
				})
			}
			function set_modes(mode){ rb_set_active( $(".ap_modes"), ".ap_start_" + mode ); }
			// approve/reject available until whole order approved
			function set_action_buttons(app_state, order_state="uploaded"){
				var is_next_approver = is_approver && call_php_sync("contr/main.php", {"action" : "is_next_approver", "order_id": app_info.order_id, "stage": 2 }, 'POST').resp_text=="1"; // MUSA
				if(!is_next_approver || !os_is("uploaded", order_state) || os_is("hires", order_state) ) $(".ap_action").addClass("hidden");
				if(os_is("approved", order_state)) $(".ap_approve").addClass("hidden");
				if(app_state=="rejected") $(".ap_reject").addClass("hidden");
			}
			function opener_cb(){
				if (window.opener!=null && typeof window.opener!== "undefined")
					window.opener.apap_cb();
			}
			function read_app_info(){
				var app_info = JSON.parse( call_php_sync("contr/apap.php", {"action" : "get_app_info", id: ap_id}, 'POST').resp_text ); 
				if(!app_info)
					alert(lpp("image_not_found", ap_id));
				return app_info;
			}
			function set_title(app_info){
				set_action_buttons(app_info.state, app_info.order_state);
				var ord = "<a href='orders.php?id=" + app_info.order_id + "&cid=" + app_info.camp_id + "' title='open order page'>" + app_info.order_id + "</a>";
				//$("#heading_left").html( app_info.name + " " + app_info.width + "x" + app_info.height + " (" + app_info.state + ", order " + ord + ")");
				var cols = {"blue": ['draft','accepted','uploaded','reviewed'], "red": ["rejected"], "green": ['approved', 'complete', 'packed']};
				var col = "inherited"; for(var key in cols) if(cols[key].includes(app_info.state)) col = key;
				$("#heading_left").html( app_info.name + ", " + app_info.width + "x" + app_info.height + ", order " + ord + ", <i id='mi_at'> " + app_info.state + " </i>");
				$("#mi_at").css("color", col);
				var notes = app_info.notes; // DEF APREM show reject msg here in apap
				if(notes){
					if(notes.length>50)
						notes = notes.substr(0,45) + "...";
					$("#mi_at").append("<a href='' title=\"" + app_info.notes + "\" style='color:inherit;'> (" + notes + ")</a>");
				}
				// next/prev
				if(app_info.prev) $("#heading_left").prepend("<a href='apap.php?id=" + app_info.prev + "'><i class='mc_app_step fas fa-play fa-rotate-180'></i></a>");
				if(app_info.next) $("#heading_left").append("<a href='apap.php?id=" + app_info.next + "'><i class='mc_app_step fas fa-play'></i></a>");
			}
			function approve_reject_lbs_click(action){
				var dests = call_php_sync("contr/apap.php", {action: "get_dests", id: ap_id}).resp_text;
				$("#ap_mp_users").val(dests);
				apap.move_start(); // or else ss form not in focus
				$("#ap_mp_subj").val("ORDER " + app_info.order_id + ": " + (action=="reject"? "SUBJECT REJECTED" : "SUBJECT APPROVED"));
				show_select_string( function(){reject_approve_lbs(action)}, action=="reject"? "Reject subject" : "Approve subject", $("#ap_mp_div"));
			}

			var is_approver = <?php echo is_approver(ur_get_name(), 2)? "1" : "0"; ?>; // apap used for stage 2
			
			$(document).ready( function(){
				// pen width selector
				for(var i = 2; i<=18; i+=2){
					var w = 6*Math.sqrt(i);
					$(".ap_set_pw").append( $("<div data-size='"+i+"' class='rb_item ap_pw'> <div style='height:"+i+"px;width:"+w+"px;'></div></div>") );
				}
				rb_init();
				set_ajax_error_handler(); // def err handler for ajax   ; 24.12.19 pass empty  because DEF FIND_ERR_MSG shows alert when find res empty
				apap = new Apap(ap_id, set_modes);
				// popup
				var ap_menu = create_popup_div("ap_image_menu");
				init_popup(ap_menu, "ap_image");
				add_popup_item( ap_menu, "create pin", pin_create);
				var ap_menu_pin = create_popup_div("ap_pin_menu");
				init_popup(ap_menu_pin, "ap_pin_btn");
				add_popup_item( ap_menu_pin, "delete pin", pin_delete);
				$(".ap_start_draw").click( function(){ 
					apap.draw_start();
					puh("start_drawing");
				} ); // DRAW
				$(".ap_start_select").click( function(){ 
					apap.select_start();
					puh("start_selection");
				} ); // SELECT 
				$(".ap_start_lente").click( function(){ 
					apap.lente_start();
					puh("show_magnifying_glass");
				} ); 
				$(".ap_start_move").click( function(){ 
					apap.move_start();
					puh("start_image_move");
				} ); // 
				$(".ap_delete_selection").click( function(){ apap.delete_selection();} ); // 
				$(".ap_save_btn").click( function(){ 
					apap.save(); 
					// with PPEE no need to ask; if( confirm( "Changes saved. Send email?" ) )
					approve_reject_lbs_click("reject"); // use here reject because if some changes present- means need redo sms
				});
				$(".ap_start_note").click( function(){ 
					apap.start_note();
					puh("select_note_position");
				} ); // 
				load_pages(); // MPV
				// ANYSCA
				$(".ap_scale_minus").click(function(){ var s = apap.getZoom(); apap.setZoom(Math.max(min_zoom,s-5)); });
				$(".ap_scale_plus").click(function(){ var s = apap.getZoom(); apap.setZoom(Math.min(max_zoom,s+5)); });
				$(".ap_scale_width").click(function(){ apap.zoom_to_screen(); });
				$(".ap_scale_num").on("keydown", function(e){ 
					var v = parseInt( $(this).val() );
					if(e.key=="Enter" && v>=min_zoom && v<=max_zoom)
						apap.setZoom(v);
				});
				// 
				app_info = read_app_info();
				set_title(app_info);
				$(".ap_approve").click( function(){approve_reject_lbs_click("approve")} );
				$(".ap_reject").click( function(){approve_reject_lbs_click("reject")} );
				// TODO: what is this
				$(".ap_notify").click( function(){
					var dests = call_php_sync("contr/main.php", {"action" : "get_app_notice_dest", app_id: ap_id}, 'POST').resp_text;  // TODO: SAR uses app.owner; need use same in both cases
					$("#ap_mp_users").html(dests);
					$("#ap_mp_subj").val(lp("notification"));
					show_select_string(function(notes){
						wait_screen.add_operation("mail");
						$.ajax({
							"type": "POST",
							"url": "contr/main.php",
							"data": {action : "app_notice", "app_id" : ap_id, "subject": $("#ap_mp_subj").val(), message: $("#ap_mp_body").val()},
							"complete": function(){ 	wait_screen.remove_operation("mail"); window.close(); }
						})

					}, "Send notice", $("#ap_mp_div"));
				});
				// warn not saved
				window.addEventListener("beforeunload", function (e) {
					var confirmationMessage = lp("changes_not_saved");
					if(!apap.changed) return null;
					(e || window.event).returnValue = confirmationMessage; //Gecko + IE
					return confirmationMessage; //Gecko + Webkit, Safari, Chrome etc.
				});
				// toggle
				$(".ap_toggle_pindraw_btn").click( function(){ 
					apap.toggle_pindraws($(this).hasClass("ap_on")); 
					$(this).toggleClass("ap_on");
					$(this).find("i").toggleClass("fa-window-maximize");$(this).find("i").toggleClass("fa-window-minimize"); 
				});
				window.onkeydown = function(e){
					e = e || window.event;
					var code = e.keyCode;
					var fe = document.activeElement;
					if( !(fe && $(fe).hasClass("ap_pin_txt")) && (code==46||code==8))
						apap.delete_selection();
				};
				// revisions
				revs = JSON.parse(call_php_sync("contr/apap.php", {action: "get_revisions", id: ap_id}).resp_text);
				//var curr_rev_ind = revs.findIndex((v) => v==ap_id);
				var curr_rev_ind = parseInt(app_info.version);
				if(revs.length>1)
					$(".mc_revs_div").append( create_counter_orig("mi_rev_cnt", function(ind){
						window.open("apap.php?id=" + revs[ind-1], "_self");
					}, curr_rev_ind+1, revs.length, 1) ).removeClass("hidden");
			});
		</script>
	</body>
