<?php
	require_once(dirname(__FILE__)."/../path.php");
	require_once(proj_path."view/lang.php"); // LANG
	//require_once(proj_path."utils/log.php");
	//require_once(proj_path."model/db.php"); // user dir
	session_start();
?>
<html lang="en">
  <head>
    <!-- Bootstrap styles -->
    <!-- blueimp Gallery styles -->
    <link      rel="stylesheet"      href="https://blueimp.github.io/Gallery/css/blueimp-gallery.min.css"    />
    <!-- CSS to style the file input field as button and adjust the Bootstrap progress bars -->
    <link rel="stylesheet" href="fu/css/jquery.fileupload.css" />
    <link rel="stylesheet" href="fu/css/jquery.fileupload-ui.css" />
	<link href="css/main.php" rel="stylesheet">
  </head>
  <body>
    <div class="container">
      <!-- The file upload form used as target for the file upload widget -->
      <form
        id="fileupload"
        action="https://jquery-file-upload.appspot.com/"
        method="POST"
        enctype="multipart/form-data"
      >
<!-- SPACE USRDIR the case when files uploaded directly to source (not temp dir); in this case path must contain not only constant user prefix, but also proj path;
	commented because of the DEF MOVEUP (better move uploaded then upload directly to target dir because: upload folder contents are shown in upload form, which is not logical, while upload form should contain only files of this session 
        <div id = "tt_upload_path"> 
	  <input type="hidden" name="user_path" value="< ?php echo $_GET["path"]; ? >"></input>
	</div>
-->
        <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
        <div class="row fileupload-buttonbar">
          <div class="col-lg-8">
            <!-- The fileinput-button span is used to style the file input field as button -->
            <button id="mi_retry_upload" type="button" class="btn btn-success" onclick='retry_upload()' disabled>
              <i class="glyphicon glyphicon-refresh"></i>
              <span><?php echo lp("RETRY");?></span>
            </button>
            <span class="btn btn-success fileinput-button">
              <i class="glyphicon glyphicon-plus"></i>
              <span><?php echo lp("ADD_FILES");?></span>
              <input type="file" name="files[]" multiple />
            </span>
            <button type="submit" class="btn btn-primary start">
              <i class="glyphicon glyphicon-upload"></i>
              <span><?php echo lp("START_UPLOAD");?></span>
            </button>
            <button type="reset" class="btn btn-warning cancel">
              <i class="glyphicon glyphicon-ban-circle"></i>
              <span><?php echo lp("CANCEL_UPLOAD");?></span>
            </button>
            <button type="button" class="btn btn-danger delete">
              <i class="glyphicon glyphicon-trash"></i>
              <span><?php echo lp("DELETE_SELECTED");?></span>
            </button>
            <input type="checkbox" class="toggle" />
            <!-- The global file processing state -->
            <span class="fileupload-process"></span>
          </div>
          <!-- The global progress state -->
          <div class="col-lg-4 fileupload-progress fade">
            <!-- The global progress bar -->
            <div
              class="progress progress-striped active"
              role="progressbar"
              aria-valuemin="0"
              aria-valuemax="100"
            >
              <div
                class="progress-bar progress-bar-success"
                style="width:0%;"
              ></div>
            </div>
            <!-- The extended global progress state -->
            <div class="progress-extended">&nbsp;</div>
          </div>
        </div>
        <!-- The table listing the files available for upload/download -->
        <table role="presentation" class="table table-striped">
          <tbody class="files"></tbody>
        </table>
      </form>
    </div>
    <!-- The blueimp Gallery widget TODO: whatsis -->
    <div
      id="blueimp-gallery"
      class="blueimp-gallery blueimp-gallery-controls"
      data-filter=":even"
    >
      <div class="slides"></div>
      <h3 class="title"></h3>
      <a class="prev">‹</a>
      <a class="next">›</a>
      <a class="close">×</a>
      <a class="play-pause"></a>
      <ol class="indicator"></ol>
    </div>

    <script
      src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"
      integrity="sha384-xBuQ/xzmlsLoJpyjoggmTEz8OWUFM0/RC5BsqQBDX2v5cMvDHcMakNTNrHIW2I5f"
      crossorigin="anonymous"
    ></script>

    <!-- The template to display files available for upload -->
	<script type="text/javascript">
	</script>
    <script id="template-upload" type="text/x-tmpl">
      {% 
		$.ajax({async: false, type: "POST", url: "<?php echo base_url.proj_path_rel; ?>contr/login.php", data: {"action": "check_logged_in"}, success: function(res){
			if(res.trim()!=1)
				window.parent.open("<?php echo base_url.proj_path_rel; ?>login.php", "_self");
		}});
      		for (var i=0, file; file=o.files[i]; i++) { %}
          <tr class="template-upload fade">
              <td>
                  <span class="preview"></span>
              </td>
              <td>
                  {% if (window.innerWidth > 480 || !o.options.loadImageFileTypes.test(file.type)) { %}
                      <p class="name">{%=file.name%}</p>
                  {% } %}
                  <strong class="error text-danger"></strong>
              </td>
              <td>
                  <p class="size">Processing...</p>
                  <div class="progress progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="progress-bar progress-bar-success" style="width:0%;"></div></div>
              </td>
              <td>
                  {% if (!i && !o.options.autoUpload) { %}
                      <button class="btn btn-primary start" disabled>
                          <i class="glyphicon glyphicon-upload"></i>
                          <span><?php echo lp("start");?></span>
                      </button>
                  {% } %}
                  {% if (!i) { %}
                      <button class="btn btn-warning cancel">
                          <i class="glyphicon glyphicon-ban-circle"></i>
                          <span><?php echo lp("cancel");?></span>
                      </button>
                  {% } %}
              </td>
          </tr>
      {% } %}
    </script>
    <!-- The template to display files available for download TODO: need it here? -->
    <!-- EI SPACE DEF HIDE_MOVED not show here files already uploaded and moved; now use condition !file.deleteUrl; but need keep files with virus VIRUS -->
    <script id="template-download" type="text/x-tmpl">
      {% for (var i=0, file; file=o.files[i]; i++) if (file.error || !file.deleteUrl || file.get_scan) { %}
          <tr class="template-download fade"   {% if (file.error) { %} title="<?php echo lp('upload_error_msg'); ?>" {% }  %}> 
              <td>
	  	{% if (file.get_scan || file.error) { %} <i class="mc_retry"></i> {% }  %}
                  <span class="preview">
                      {% if (file.thumbnailUrl) { %}
                          <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" data-gallery><img src="{%=file.thumbnailUrl%}"></a>
                      {% } %}
                  </span>
              </td>
              <td>
                  {% if (window.innerWidth > 480 || !file.thumbnailUrl) { %}
                      <p class="name">
                          {% if (file.url) { %}
                              <a href="{%=file.url%}" title="{%=file.name%}" download="{%=file.name%}" {%=file.thumbnailUrl?'data-gallery':''%}>{%=file.name%}</a>
                          {% } else { %}
                              <span>{%=file.name%}</span>
                          {% } %}
                      </p>
                  {% } %}
                  {% if (file.error) { %}
                      <div><span class="label label-danger">Error</span> {%=file.error%}</div>
                  {% } %}
              </td>
              <td>
                  <span class="size">{%=o.formatFileSize(file.size)%}</span>
              </td>
              <td>
                  {% if (file.deleteUrl) { %}
                      <button class="btn btn-danger delete" data-type="{%=file.deleteType%}" data-url="{%=file.deleteUrl%}"{% if (file.deleteWithCredentials) { %} data-xhr-fields='{"withCredentials":true}'{% } %}>
                          <i class="glyphicon glyphicon-trash"></i>
                          <span>Delete</span>
                      </button>
                      <input type="checkbox" name="delete" value="1" class="toggle">
                  {% } else { %}
                      <button class="btn btn-warning cancel">
                          <i class="glyphicon glyphicon-ban-circle"></i>
                          <span>Cancel</span>
                      </button>
                  {% } %}
              </td>
          </tr>
      {% }  %}
    </script>

    <!-- The jQuery UI widget factory, can be omitted if jQuery UI is already included -->
    <script src="js/vendor/jquery.ui.widget.js"></script>
    <!-- The Templates plugin is included to render the upload/download listings -->
    <script src="https://blueimp.github.io/JavaScript-Templates/js/tmpl.min.js"></script>
    <!-- The Load Image plugin is included for the preview images and image resizing functionality -->
    <script src="https://blueimp.github.io/JavaScript-Load-Image/js/load-image.all.min.js"></script>
    <!-- The Canvas to Blob plugin is included for image resizing functionality -->
    <script src="https://blueimp.github.io/JavaScript-Canvas-to-Blob/js/canvas-to-blob.min.js"></script>
    <!-- Bootstrap JS is not required, but included for the responsive demo navigation -->
    <script
      src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
      integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
      crossorigin="anonymous"
    ></script>
    <!-- blueimp Gallery script -->
    <script src="https://blueimp.github.io/Gallery/js/jquery.blueimp-gallery.min.js"></script>
    <!-- The Iframe Transport is required for browsers without support for XHR file uploads -->
    <script src="js/jquery.iframe-transport.js"></script>
    <!-- The basic File Upload plugin -->
    <script src="js/jquery.fileupload.js"></script>
    <!-- The File Upload processing plugin -->
    <script src="js/jquery.fileupload-process.js"></script>
    <!-- The File Upload image preview & resize plugin -->
    <script src="js/jquery.fileupload-image.js"></script>
    <!-- The File Upload audio preview plugin -->
    <script src="js/jquery.fileupload-audio.js"></script>
    <!-- The File Upload video preview plugin -->
    <script src="js/jquery.fileupload-video.js"></script>
    <!-- The File Upload validation plugin -->
    <script src="js/jquery.fileupload-validate.js"></script>
    <!-- The File Upload user interface plugin -->
    <script src="js/jquery.fileupload-ui.js"></script>
    <!-- The main application script -->
    <script src="js/demo.js"></script>
    <!-- The XDomainRequest Transport is included for cross-domain file deletion for IE 8 and IE 9 -->
    <!--[if (gte IE 8)&(lt IE 10)]>
      <script src="js/cors/jquery.xdr-transport.js"></script>
    <![endif]-->


    <script type="text/javascript">
	function remove_uploaded_files(files){
		for(i=0;i<files.length;i++){
			var file = files[i];
			var td = null;
			$("#fileupload tr.template-download p.name").each( function(){
				if($(this).html() == file.name || $(this).find("a").html()==file.name)
					td = $(this).closest("td");
			});
			if(!td) return false; // err
			if(!file.error)
				td.closest("tr").remove();
			else if( !td.find(".label-danger").length ) // if not already has some error msg
				td.append($("<div><span class='label label-danger' style='margin-right: 7px;'>Error</span>" + file.error + "</div>")); // add the passed error TODO: if already had error - replace with new one
		}
	}
	
	function set_upload_path(path){	$("#mi_user_path").val(path);} // MUH called from space.js

	// space USRDIR move uploaded files from temp to space ; NOTE: uploading directly to space - bad idea, users sees all files of dir in upload form
	$(document).ready(function(){ // all the rest of the file
		// TODO: the init is made in demo.js, why not include the code directly here
		$("#fileupload").bind("fileuploaddone", function(e, data){ 
			// NOTE: at this point file list not yet drawn
			var bf = window.parent.frames["browse"]; 
			bf.on_upload_done(); // defined in space.js
		});
		$("#fileupload").on("change", ".toggle", function(){
			var ch = $(this).prop("checked"); var tr = $(this).closest("tr"); if(!ch)tr.removeClass("mc_retry_file"); else if(tr.find(".mc_retry").length) tr.addClass("mc_retry_file");
			set_retry()
		});
		// ASK_ADD_ZIP
		$("#fileupload").bind("fileuploadsubmit", function(e, data){ 
			$("#mi_add_to_zip").val("");
			var bf = window.parent.frames["browse"]; 
			if(bf.check_single_zip() && confirm("add uploaded files to existing zip?"))
				$("#mi_add_to_zip").val("1");
			// EMPTY_PATH : normally browse frame sets path, but happens that it's loaded when upload frame not yet loaded 
			if( !$("#mi_user_path").val() ){ 
				var bf = window.parent.frames["browse"];
				if(bf && typeof bf.get_upload_path === "function") $("#mi_user_path").val(bf.get_upload_path(path));
			}
			if( !$("#mi_user_path").val() ){ alert(lp("path_not_set")); window.parent.location.reload(); } // DEF quickfix for bug USER_PATH_NOT_SET: sometimes on upload attempt path not set; maybe logged out.
				
		});
		// DEF JS_ZIP_CACHE make zip cache appena all files uploaded (not wait first download request); use 'stop' callback for that which is fired only when all uploads finished;
		$("#fileupload").bind("fileuploadstop", function(e, data){ 
			var bf = window.parent.frames["browse"]; 
			if(typeof bf.on_upload_stop !== undefined) // defined in news.php
				bf.on_upload_stop();
		});
	});
    </script>

  </body>
</html>
