
	// following is used to set up php file uploader and table_tree to a certain target (browsed and upload-target) folder
	var upload_path = "";
	var on_upload_done_client = null; // additional client action which will be called on upload done
	function set_on_upload_done(ud){on_upload_done_client = ud;}
	function set_upload_path(path){
		upload_path = path;
		tt.set_user_dir(path); // tt
		tt.open_root_dir();
		var uf = window.parent.frames["upload"];  if(uf && typeof uf.set_upload_path === "function") uf.set_upload_path(path); // MUH
	}
	function set_upload_data(data){ if(!(data instanceof String)) data = JSON.stringify(data); $("#mi_fu_data").val( data ); } // data normally is some k-v arr
	function retry_upload(files, ext_zip=true, check_virus=false, check_md5=false){   // save from fu to user dir
		if(!upload_path)
			{ alert("upload destination not set!"); return; }
		path = JSON.stringify(upload_path + tt.get_curr_dir() ); // avoid passing empty object 
		files = JSON.stringify(files); // simple arr of file names
		wait_screen.add_operation("move_uploaded");
		// TODO: pass list of files (those selected)
		$.ajax({
			"type": "POST",
			"url": "contr/main.php",
			"data": {action : "retry_upload", "path" : path, "extract_zip": ext_zip?1:0, "files": files, "vir_check": check_virus?1:0, "md5_check": check_md5?1:0},
			"success": function(res){
				on_upload_done();
				uploaded = JSON.parse(res);
				var uf = window.parent.frames["upload"]; 
				if(uf && uploaded.length)
					uf.remove_uploaded_files(uploaded);
			},
			"complete": function(){
				wait_screen.remove_operation("move_uploaded");
			}
		})
	}

	function on_upload_done(){
		tt.open_root_dir();
		if(on_upload_done_client)
			on_upload_done_client();
	}

	// WATH
	function wath_run(){
		wath_list = collect_data(".mc_wait_thumb", "id");
		if(wath_list.length)
			$.ajax({
				"type": "POST",
				"url": "contr/main.php",
				"data": {action : "get_thumbs", "files": JSON.stringify(wath_list)}, 
				"success": function(res){
					if(res){
						res = JSON.parse(res);
						for(i=0;i<res.length;i++){
							var thd = $(".mc_wait_thumb[data-id='" + res[i].id + "']").removeClass("mc_wait_thumb");
							var img = thd.find(".mc_thumb_image");
							//var ip = img.parent();
							//img.remove();
							img.attr("src", "table_tree/thumb_small/" + res[i].thumb_small); // TODO: read path rom path.php
							//img.parent().append( img.clone() );
							//ip.append( $( res[i].thumb_small  ) );
							//ip.append( $( "<img src='table_tree/thumb_small/" + res[i].thumb_small + "'>"  ) ); // the only way that stupid js repaints the image TODO:
						}
					}
				}
			});
	}
	function wath_init(){ setInterval(wath_run, 3000); }
				
	function show_rename_dialog(elem){
		var cont = tt.get_cont(elem);
		var rename_type = tt.is_dir(cont)? "rename_dir" : "rename_file";
		var rename_elem = tt.is_dir(cont)? tt.get_data(elem, "path") : tt.get_data(elem, "id");
		show_select_string(
			function(new_name){ $.ajax({
				"type": "POST",
				"url": "contr/main.php",
				"data": {"action": rename_type, "element": rename_elem, "new_name": new_name, "user_dir": tt.get_user_dir(), "table": tt.get_table()}, // TODO: maybe use json
				"success": function(res){tt.rd_run();}
			})  }
			, cont.data("name")); // NOTE: in table-view need set table def to have name in data
	}
		

	function make_download_req(sel){ return {'paths': JSON.stringify(sel.paths), 'files': JSON.stringify(sel.files), "user_dir": get_user_dir()}; } // TODO: what's the user_dir? from tt? - then use get_user_dir; maybe not used at all in 'space'

	function download_selection(){
		var sel = tt.find_selection();
		var data = make_download_req(sel);
		load_file("table_tree/download_zip.php", data, "POST");
	}
	function check_online(){
		wait_screen.add_operation("check_online");
		$.ajax({
			"type": "POST",
			"url": "contr/main.php",
			"data": {action : "check_online", "user_dir": tt.get_user_dir()},
			"success": function(res){
				tt.open_root_dir();
			},
			"complete": function(){
				wait_screen.remove_operation("check_online");
			}
		})
	}
	// TODO: repeated from ms index.php
	function move_files(dir_name){
		//if(!dir_name) { alert(lp("no_dir_sel"));return;} commented for SEL_FOL_ROOT
		var sel = tt.find_selection();
		if( !sel.files.length && !sel.paths.length) {alert (lp("no_file_sel")); return;}
		if(!confirm(lpp("$move$ $1 $files$, $2 $paths$ $to_folder$ '$3'?", sel.files.length, sel.paths.length, dir_name))) 
			return;
		xhr = $.ajax({
			type: "POST",
			data: {'action' : 'move_files', 'folder' : dir_name, 'files' : JSON.stringify(files), "user_dir": tt.get_user_dir()}, 
			url: 'contr/main.php',
			success: function(res){
				alert(lp("files_moved"));
				tt.open_root_dir();
		}})
	}
	function show_move_files(){ sd_select_folder( move_files ); }
	// CB_SEL_REC_WS
	function find_selected_ws(){
		var ids = [];
		$('#table-ws .data-row.selected').each( function(index){ ids.push(  $(this).data('id') ); } );
		if(!ids.length)
			ids.push( current_ws_id );
		return ids;
	}

	
	$(document).ready(function(){ // all the rest of the file
		//wath_init();
	})
				


