/*
 * uses spinner.js, included it before including this file!
 *
 * WAIT SCREEN
 * is used technique 'lazy show' - screen appears only if operation lasts > 500msec (to avoid blinking)
 * to realize it, instead of calling show() directly - is used call of 'show_wait_if_need' on timer (500msec)
 * screen is shown if any pending operation is present in array of operations
 * to request lazy screen show - need just add operation with 'add_operation' (each should have unique name)
 * when oper finished - call remove_operation; the screen will be closed if no operation is present
 * NOTE: TO MAKE THIS WORK Need have html inserted:
	<div id="tt_wait_img" class="overlay hidden" style="width: 100%; height: 100%;">	</div>
*/
var spinner = new Spinner(); // WAITSCREEN  this var must be initialized :	spinner = new Spinner();
function show_wait_if_need(scr){ if( ('operations' in scr) && scr.operations.length>0 ) scr.show(); }; // NOTE: can't use 'this' here - when it's called (on timer) it doesn't know its object (so show() not exists error happens)
var wait_screen = {
	add_operation: function(oper='wait', delay=500){ if(!('operations' in this)) this.operations = []; this.operations.push(oper); setTimeout( show_wait_if_need, delay, this); },
	remove_operation: function(oper='wait'){ if(!('operations' in this)) return; var oi; while( (oi=this.operations.indexOf(oper))>=0 ) this.operations.splice(oi,1); if(this.operations.length==0) this.hide();},
	show: function(){ $('#tt_wait_img').removeClass('hidden');  spinner.spin(document.getElementById("tt_wait_img")); },
	hide: function(){ $('#tt_wait_img').addClass('hidden'); spinner.stop(); }
};
// /logic of showing


