<!DOCTYPE html>
<html>
<body>

<form action="import_shops.php" method="post" enctype="multipart/form-data">
  <input type="file" name="fileToUpload" id="fileToUpload">
  <input type="submit" value="Upload file" name="submit">
</form>

</body>
</html>

<?php
require_once(dirname(__FILE__)."/../path.php");
require_once(proj_path."utils/log.php");
require_once(proj_path."model/db.php");
require_once(proj_path."table_tree/model/db.php"); // get_path_id
log\set_log_file(log_path."contr.log");
// xls
//require proj_path.lib_path.'shit/vendor/autoload.php';
require "/var/www/vendor/autoload.php";
use PhpOffice\PhpSpreadsheet\IOFactory;

function ss($a, $b){
	global $ico,$ici,$ilb;
	return $a[$ico].$a[$ici].$a[$ilb] <=> $b[$ico].$b[$ici].$b[$ilb]; 
}

$areas = ['AMERICA WHOLESALE',  'APAC WHOLESALE',  'EUROPA RETAIL',     'FRANCHISE WHOLESALE', 'JAPAN RETAIL',     'KOREA RETAIL',  'AMERICA RETAIL',  'APAC RETAIL',        'CHINA RETAIL',    'EUROPA WHOLESALE', 'JAPAN WHOLESALE',  'KOREA WHOLESALE',  'UAE RETAIL'];

foreach($areas as $area){

	//$area = "FRANCHISE WHOLESALE";
//if(isset($_FILES["fileToUpload"]))
	log\debug("uploading shops");
	log\debug(proj_path."lib/vendor/autoload.php");
	// if everything is ok, try to upload file
	$ilb="D"; $ico="E"; $ici="F"; $ilo="G";
	$iw="L"; $ih="M";
	$ilr = "J"; $itr = "K";
	$isa = "N";
	$iia = "O";
	$client = "YSL";
	$client_id = 19;
	$inputFileName = proj_path."xls/$area.xls";


	/*
	db\execute("delete from lbc where shop_id in (select id from locations where path like '$client%')");
	db\execute("delete from locations_files where path_id in (select id from locations_paths where path like '$client%')");
	db\execute("delete from locations_paths where path like '$client%'");
	return;
	*/

	$spreadsheet = IOFactory::load($inputFileName);
	$sheetData = $spreadsheet->getActiveSheet()->toArray(null, true, true, true);
	//$sheetData = $spreadsheet->getSheetByName($area)->toArray(null, true, true, true);
	//unlink($inputFileName);
	$client_path = "$client/locations/";
	$i=0;
	usort($sheetData, 'ss');
	$snn=0;$lnn=0;
	foreach($sheetData as $row){
		//log\debug($row);
		$lb_name = db\escape2($row[$ilb]);
		$country = $row[$ico];
		$city = $row[$ici];
		$shop = $row[$ilo];
		$path = "$client_path$area/$country/$city/";
		$tw = $row[$iw];
		$th = $row[$ih];
		$lr = $row[$ilr];
		$tr = $row[$itr];
		$ia = db\escape2($row[$iia]);
		$sa = db\escape2($row[$isa]);
		$price = 0; // $row[$ipr];
		// insert find path
		if(!$city || !$shop || !$lb_name) {log\debug("WRONG DATA: '$city' '$shop' '$lb_name'"); return; }
		$pid = get_path_id("locations_paths", $path);
		// insert find shop
		$shop = db\escape($shop);
		$sid = db\select_field("locations_files", "id", "name='$shop' and client_id=$client_id");
		if(!$sid){
			$snn++;
			db\execute("insert into locations_files(name, path_id, client_id) values ('$shop', $pid, $client_id)");
			$sid = db\get_last_id();
		}
		// insert lb
		//$lb_num = db\select_field("lbc", "count(*)", "shop_id=$sid") + 1;
		//$lb_name = "LB$lb_num";
		$lid = db\select_field("lbc", "id", "name='$lb_name' and shop_id=$sid");
		if(!$lid){
			db\execute("insert into lbc(name,width,height,width0,height0,shop_id,invoice_address,delivery_address) values('$lb_name',$tw,$th,$tw,$th,$sid,'$ia','$sa')");
			$lnn++;
		}
		//
		log\debug("$path   $tw*$th $price");
	}
	log\debug("STAT: '$area' '$lnn' '$snn'");
}

/*
	$lb_name = $row["A"];
	$country = $row["B"];
	$city_shop = $row["C"];
	$city_shop = trim(preg_replace("/\s+-\s+/", "/", $city_shop));
	$csa = preg_split("/\//", $city_shop);
	$shop = array_pop($csa);
	$city = join("/", $csa); if($city) $city.="/";
	$path = $client_path.$country.'/'.$city;
	$tw = $row["D"];
	$th = $row["E"];
	$price = $row["F"];
	//echo "$path : $shop : $lb_name\n"; continue;
	//log\debug("$path : $shop : $lb_name"); continue;
*/

?>
