<?php
	/* import data from old syst */


	require_once(dirname(__FILE__)."/../../path.php");
	require_once(proj_path."model/db.php");

	// alter table shops add column production varchar(500) default '';
	// alter table shops add column visual varchar(500) default '';
	function import_shops(){
		db\execute("delete from shops");
		$file = dirname(__FILE__)."/shops.json";
		$pages = file_get_contents($file);
		$pages = preg_split("/\n/", $pages);
		var_dump($pages);
		foreach($pages as $page){
			$shops = json_decode($page, true);
			$shops = $shops["data"];
			foreach($shops as $shop){
				//log\debug($shop); exit();
					if(!$shop["Used"]) $shop["Used"] = "0";
				db\execute( "insert into shops ".db\compile_insert($shop) );
			}
		}
	}

	// remove trailing fabro:   update shops set visual = substr(visual, 1, length(visual)-29)  where visual like '%fabrizioantigo@depedrini.com';
	// remove trailing fabro:   update shops set production = substr(production, 1, length(production)-29)  where production like '%fabrizioantigo@depedrini.com';
	// now correct all vis/prod with errors
	// select distinct visual x from shops order by x > visuals
	// select distinct production x from shops order by x > production 
	function import_groups(){
		$file = dirname(__FILE__)."/visuals";
		//$file = dirname(__FILE__)."/production";
		$groups = file_get_contents($file);
		$groups = preg_split("/\n/", $groups);
		//$groups = array('alice.chang@prada.com;jason.mui@prada.com');
		foreach($groups as $group){
			$group = trim($group);
			//$shops = db\select_field_to_array("shops", "id", "visual like '$group%'");
			//$shops = db\select_field_to_array("shops", "id", "production like '$group%'");
			//$shops = join(";", $shops);
			$gr = array("name"=>"group", "email"=>$group, "user_role"=>"LOCAL_VISUAL"/*, "shop_ids"=>$shops*/);
			//$gr = array("name"=>"group", "email"=>$group, "user_role"=>"PRODUCTION"/*, "shop_ids"=>$shops*/);
			db\execute( "insert into groups ".db\compile_insert($gr) );
		}
	}
	// update shops s set visual_id = (select id from users where s.visual=users.email);
	// same for prod
	// remove cols visual/production


	// in sv users table contains in fact groups; 
	function extract_users(){
		$users = db\select_to_array("users");
		foreach($users as $user){
			$emails = $user["email"];
			$emails = preg_split("/;/", $emails, -1, PREG_SPLIT_NO_EMPTY);
			$group = $user["name"];
			$role = $user["user_role"];
			foreach($emails as $email)
				if(!db\exists("users1", "tmp_gr='$group' and email='$email' and tmp_ro='$role' "))
					db\execute("insert into users1(name,email,tmp_gr, tmp_ro) values('$email', '$email', '$group', '$role')");
		}
	}
	function extract_users_new(){
		$users = db\select_to_array("users","*","user_type='group'");
		foreach($users as $user){
			$emails = $user["email"];
			$emails = preg_split("/;/", $emails, -1, PREG_SPLIT_NO_EMPTY);
			foreach($emails as $email)
				if(!db\exists("users", "user_type='user' and email='$email'")){
					$name = get_mail_user($email);
					db\execute("insert into users(name,email,user_type) values('$name', '$email', 'user')");
				}
		}
	}
	
	/*
	$emails = file_get_contents("/lb/users");
	$emails = preg_split("/\n/", $emails, -1, PREG_SPLIT_NO_EMPTY);
	$emails = array_unique($emails);
	foreach($emails as $email){
		$name = get_mail_user($email);
		db\execute("insert into users1(name,email) values('$name', '$email')");
	}*/


	//extract_users();


	function import_users_csv(){
		$users = file_get_contents(dirname(__FILE__)."/users.exp");
		$users = preg_split("/\n/", $users);
		foreach($users as $user){
			$user = preg_split("/\s+/", $user);
			$gr = $user[0];
			$name = $user[2];
			$email = $user[3];
			db\execute("insert into users (name,email,user_role) values ('$name','$email','$gr')");
		}
	}



	//import_shops();
	//import_groups();
	import_users_csv();

		/*
		$file = dirname(__FILE__)."/ug";
		$groups = file_get_contents($file);
		$groups = preg_split("/\n/", $groups);
		//$groups = array('alice.chang@prada.com;jason.mui@prada.com');
		foreach($groups as $group)
			db\execute($group);

	*/
	function make_thumb($from, $to){
		exec("gm convert \"$from\" -resize x200 \"$to\"");
	}

	/*
	$files = db\select_to_array("files", "id,path,name");
	foreach($files as $file){
		if( is_file($from=get_source_path().$file["path"].$file["name"]) )
			make_thumb($from, get_source_path().$file["path"].$file["id"].".jpg");
	}*/
?>
