-- MariaDB dump 10.19  Distrib 10.7.8-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: evite
-- ------------------------------------------------------
-- Server version	10.7.8-MariaDB-1:10.7.8+maria~deb11

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `alerts`
--

DROP TABLE IF EXISTS `alerts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `alerts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `message` text DEFAULT NULL,
  `module` varchar(20) DEFAULT '',
  `gravity` int(11) DEFAULT 3,
  `type` varchar(20) DEFAULT 'unknown',
  `date_alert` timestamp NOT NULL DEFAULT current_timestamp(),
  `sent` int(11) DEFAULT 0,
  `scan` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9915 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `app_lbs`
--

DROP TABLE IF EXISTS `app_lbs`;
/*!50001 DROP VIEW IF EXISTS `app_lbs`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `app_lbs` AS SELECT
 1 AS `id`,
  1 AS `lb_id`,
  1 AS `img_id`,
  1 AS `t`,
  1 AS `l`,
  1 AS `r`,
  1 AS `b`,
  1 AS `name`,
  1 AS `lb_count`,
  1 AS `order_id`,
  1 AS `notes`,
  1 AS `hr_name`,
  1 AS `app_statei`,
  1 AS `twidth`,
  1 AS `theight`,
  1 AS `need_logo`,
  1 AS `need_tag`,
  1 AS `delivery_address`,
  1 AS `pack_id`,
  1 AS `img_id1`,
  1 AS `img_id2`,
  1 AS `img_id3`,
  1 AS `lbi_left`,
  1 AS `lbi_top`,
  1 AS `lbi_scale`,
  1 AS `name_mini`,
  1 AS `thumb_small`,
  1 AS `thumb_medium`,
  1 AS `path`,
  1 AS `date_done`,
  1 AS `name_triple`,
  1 AS `width`,
  1 AS `height`,
  1 AS `app_id`,
  1 AS `rev_id`,
  1 AS `lbs_width`,
  1 AS `lbs_height`,
  1 AS `src_id`,
  1 AS `declined`,
  1 AS `approved`,
  1 AS `app_state` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `app_lbs1`
--

DROP TABLE IF EXISTS `app_lbs1`;
/*!50001 DROP VIEW IF EXISTS `app_lbs1`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `app_lbs1` AS SELECT
 1 AS `id`,
  1 AS `lb_id`,
  1 AS `img_id`,
  1 AS `t`,
  1 AS `l`,
  1 AS `r`,
  1 AS `b`,
  1 AS `name`,
  1 AS `lb_count`,
  1 AS `order_id`,
  1 AS `notes`,
  1 AS `hr_name`,
  1 AS `app_statei`,
  1 AS `twidth`,
  1 AS `theight`,
  1 AS `need_logo`,
  1 AS `need_tag`,
  1 AS `delivery_address`,
  1 AS `pack_id`,
  1 AS `img_id1`,
  1 AS `img_id2`,
  1 AS `img_id3`,
  1 AS `lbi_left`,
  1 AS `lbi_top`,
  1 AS `lbi_scale`,
  1 AS `name_mini`,
  1 AS `thumb_small`,
  1 AS `thumb_medium`,
  1 AS `path`,
  1 AS `date_done`,
  1 AS `name_triple`,
  1 AS `width`,
  1 AS `height`,
  1 AS `app_id`,
  1 AS `rev_id`,
  1 AS `lbs_width`,
  1 AS `lbs_height`,
  1 AS `src_id`,
  1 AS `declined`,
  1 AS `approved` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `app_lbs_arch`
--

DROP TABLE IF EXISTS `app_lbs_arch`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `app_lbs_arch` (
  `id` int(11) NOT NULL,
  `lb_id` int(11) DEFAULT NULL,
  `img_id` int(11) DEFAULT NULL,
  `t` int(11) DEFAULT 0,
  `l` int(11) DEFAULT 0,
  `r` int(11) DEFAULT 0,
  `b` int(11) DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `lb_count` int(11) DEFAULT 1,
  `camp_id` int(11) DEFAULT 0,
  `app_state` enum('draft','accepted','uploaded','approved','rejected','printed','reviewed') DEFAULT 'draft',
  `name_mini` varchar(250) DEFAULT NULL,
  `path` varchar(250) DEFAULT NULL,
  `date_done` datetime DEFAULT NULL,
  `name_triple` varchar(100) DEFAULT NULL,
  `width` int(11) DEFAULT NULL,
  `height` int(11) DEFAULT NULL,
  `app_id` int(11) DEFAULT NULL,
  `shop_id` int(11) DEFAULT NULL,
  `lbs_width` int(11) DEFAULT NULL,
  `lbs_height` int(11) DEFAULT NULL,
  `order_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `approves`
--

DROP TABLE IF EXISTS `approves`;
/*!50001 DROP VIEW IF EXISTS `approves`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `approves` AS SELECT
 1 AS `id`,
  1 AS `path`,
  1 AS `width`,
  1 AS `height`,
  1 AS `owner`,
  1 AS `page`,
  1 AS `date_ins`,
  1 AS `name`,
  1 AS `lbs_id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `version`,
  1 AS `rev_id` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `approves_versions`
--

DROP TABLE IF EXISTS `approves_versions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `approves_versions` (
  `id` int(11) NOT NULL,
  `path` text DEFAULT NULL,
  `width` int(11) DEFAULT NULL,
  `height` int(11) DEFAULT NULL,
  `owner` varchar(250) DEFAULT '',
  `page` int(11) DEFAULT 0,
  `date_ins` timestamp NOT NULL DEFAULT current_timestamp(),
  `name` varchar(100) DEFAULT '',
  `lbs_id` int(11) DEFAULT 0,
  `shop_id` int(11) DEFAULT 0,
  `camp_id` int(11) DEFAULT 0,
  `date_done` datetime DEFAULT NULL,
  `version` int(11) DEFAULT 0,
  `rev_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`rev_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `apv`
--

DROP TABLE IF EXISTS `apv`;
/*!50001 DROP VIEW IF EXISTS `apv`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `apv` AS SELECT
 1 AS `id`,
  1 AS `path`,
  1 AS `width`,
  1 AS `height`,
  1 AS `owner`,
  1 AS `page`,
  1 AS `date_ins`,
  1 AS `name` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `camp_shop_cat`
--

DROP TABLE IF EXISTS `camp_shop_cat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `camp_shop_cat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `camp_id` int(11) DEFAULT NULL,
  `shop_id` int(11) DEFAULT NULL,
  `cond` text DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `camps`
--

DROP TABLE IF EXISTS `camps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `camps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(90) DEFAULT NULL,
  `season` enum('FW','SS') DEFAULT NULL,
  `date_from` date DEFAULT NULL,
  `date_till` date DEFAULT NULL,
  `dl_visual` date DEFAULT NULL,
  `dl_produce` date DEFAULT NULL,
  `dl_approve` date DEFAULT NULL,
  `countries` text DEFAULT '',
  `camp_state` enum('draft','opened','published','closed','archived') DEFAULT 'draft',
  `camp_year` char(4) DEFAULT '2022',
  `client_id` int(11) DEFAULT 0,
  `path` varchar(200) DEFAULT NULL,
  `prev_camps` varchar(20) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=38 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `cities`
--

DROP TABLE IF EXISTS `cities`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cities` (
  `name` varchar(50) DEFAULT NULL,
  `name_ascii` varchar(50) DEFAULT NULL,
  `lat` float DEFAULT NULL,
  `lng` float DEFAULT NULL,
  `country` varchar(50) DEFAULT NULL,
  `iso2` char(2) DEFAULT NULL,
  `iso3` char(3) DEFAULT NULL,
  `admin_name` varchar(50) DEFAULT NULL,
  `capital` char(10) DEFAULT '',
  `population` int(11) DEFAULT 0,
  `id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `city_path`
--

DROP TABLE IF EXISTS `city_path`;
/*!50001 DROP VIEW IF EXISTS `city_path`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `city_path` AS SELECT
 1 AS `id`,
  1 AS `name`,
  1 AS `path` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `clients`
--

DROP TABLE IF EXISTS `clients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(50) DEFAULT '',
  `name` varchar(50) DEFAULT NULL,
  `address` varchar(50) DEFAULT NULL,
  `admin_id` int(11) DEFAULT 0,
  `manager_id` int(11) DEFAULT 0,
  `watcher_id` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `area` enum('america_south','america_north','europa','europa_east','asia_middle','asia_far','africa','australia','pacific','none') DEFAULT 'none',
  `active` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=261 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `draws`
--

DROP TABLE IF EXISTS `draws`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `draws` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_id` int(11) DEFAULT NULL,
  `path` text DEFAULT NULL,
  `x` int(11) DEFAULT NULL,
  `y` int(11) DEFAULT NULL,
  `width` int(11) DEFAULT NULL,
  `height` int(11) DEFAULT NULL,
  `pen_width` int(11) DEFAULT NULL,
  `zoom` int(11) DEFAULT NULL,
  `color` varchar(20) DEFAULT 'black',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=155 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `emails`
--

DROP TABLE IF EXISTS `emails`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `emails` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dests` text NOT NULL,
  `subject` varchar(200) DEFAULT '',
  `message` text DEFAULT '',
  `sent` int(1) DEFAULT 0,
  `event_id` int(11) DEFAULT 0,
  `user_id` int(11) DEFAULT 0,
  `lang` varchar(3) DEFAULT 'en',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=360 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `emails_events`
--

DROP TABLE IF EXISTS `emails_events`;
/*!50001 DROP VIEW IF EXISTS `emails_events`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `emails_events` AS SELECT
 1 AS `id`,
  1 AS `dests`,
  1 AS `subject`,
  1 AS `message`,
  1 AS `sent`,
  1 AS `event_id`,
  1 AS `user_id`,
  1 AS `lang`,
  1 AS `camp_id`,
  1 AS `order_id`,
  1 AS `session_id` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `errors`
--

DROP TABLE IF EXISTS `errors`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `errors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `method` varchar(100) DEFAULT NULL,
  `file_id` int(11) DEFAULT 0,
  `file_path` varchar(512) DEFAULT NULL,
  `error` varchar(255) DEFAULT NULL,
  `action` varchar(50) DEFAULT NULL,
  `script` varchar(50) DEFAULT NULL,
  `processed` int(11) DEFAULT 0,
  `date_ins` datetime DEFAULT current_timestamp(),
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=954 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `event_users`
--

DROP TABLE IF EXISTS `event_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `event_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) NOT NULL,
  `dest_group_id` int(11) DEFAULT NULL,
  `order_link` varchar(100) DEFAULT '',
  `apap_link` varchar(100) DEFAULT '',
  `triple_link` varchar(100) DEFAULT '',
  `sent` int(1) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1793 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `events`
--

DROP TABLE IF EXISTS `events`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `events` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_event` datetime DEFAULT current_timestamp(),
  `source_group_id` int(11) DEFAULT NULL,
  `source_user_id` int(11) DEFAULT NULL,
  `message` varchar(100) DEFAULT '',
  `order_id` int(11) DEFAULT NULL,
  `camp_id` int(11) DEFAULT NULL,
  `shop_id` int(11) DEFAULT NULL,
  `source_order_link` varchar(100) DEFAULT '',
  `notes` text DEFAULT '',
  `sent` int(1) DEFAULT 0,
  `lbs_id` int(11) DEFAULT 0,
  `session_id` varchar(30) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=923 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `file_types`
--

DROP TABLE IF EXISTS `file_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `file_types` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `default_thumb` varchar(50) DEFAULT 'default/blank.png',
  `parent_id` int(11) DEFAULT 0,
  `clean` int(11) DEFAULT 1,
  `pattern` varchar(50) DEFAULT '',
  `num` int(11) DEFAULT 0,
  `ext` char(10) DEFAULT '',
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=162 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `flags`
--

DROP TABLE IF EXISTS `flags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `flags` (
  `update_shop_roles` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `group_roles`
--

DROP TABLE IF EXISTS `group_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_roles` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) DEFAULT NULL,
  `path` varchar(100) DEFAULT NULL,
  `group_role` enum('visual','production') DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `groups`
--

DROP TABLE IF EXISTS `groups`;
/*!50001 DROP VIEW IF EXISTS `groups`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `groups` AS SELECT
 1 AS `id`,
  1 AS `name`,
  1 AS `email`,
  1 AS `user_role`,
  1 AS `pass`,
  1 AS `pass_temp`,
  1 AS `date_login`,
  1 AS `admin`,
  1 AS `user_type`,
  1 AS `client_id`,
  1 AS `worker` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `hires`
--

DROP TABLE IF EXISTS `hires`;
/*!50001 DROP VIEW IF EXISTS `hires`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `hires` AS SELECT
 1 AS `id`,
  1 AS `size`,
  1 AS `date_mod`,
  1 AS `date_ins`,
  1 AS `online`,
  1 AS `name`,
  1 AS `processed`,
  1 AS `file_type`,
  1 AS `file_type_clean`,
  1 AS `file_type_verbose`,
  1 AS `user_id`,
  1 AS `date_backup`,
  1 AS `thumb_small`,
  1 AS `thumb_medium`,
  1 AS `pool_code`,
  1 AS `color_model`,
  1 AS `color_depth`,
  1 AS `compression`,
  1 AS `creator`,
  1 AS `orientation`,
  1 AS `page_count`,
  1 AS `producer`,
  1 AS `resolution`,
  1 AS `used_pictures`,
  1 AS `date_update`,
  1 AS `ws_id`,
  1 AS `dimensions`,
  1 AS `archived`,
  1 AS `id_old`,
  1 AS `dummy1`,
  1 AS `dummy2`,
  1 AS `path_id`,
  1 AS `path` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `hires_files`
--

DROP TABLE IF EXISTS `hires_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hires_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size` bigint(12) DEFAULT 0,
  `date_mod` datetime DEFAULT NULL,
  `date_ins` timestamp NOT NULL DEFAULT current_timestamp(),
  `online` int(11) DEFAULT 1,
  `name` varbinary(256) DEFAULT '',
  `processed` int(1) DEFAULT 0,
  `file_type` varchar(255) DEFAULT '',
  `file_type_clean` varchar(255) DEFAULT '',
  `file_type_verbose` varchar(255) DEFAULT '',
  `user_id` int(11) DEFAULT 0,
  `date_backup` datetime DEFAULT NULL,
  `thumb_small` text DEFAULT NULL,
  `thumb_medium` text DEFAULT NULL,
  `pool_code` varchar(20) DEFAULT '',
  `color_model` varchar(15) DEFAULT '',
  `color_depth` int(2) unsigned DEFAULT 0,
  `compression` varchar(20) DEFAULT '',
  `creator` varchar(80) DEFAULT '',
  `orientation` varchar(30) DEFAULT '',
  `page_count` int(3) DEFAULT 1,
  `producer` varchar(60) DEFAULT '',
  `resolution` varchar(20) DEFAULT '',
  `used_pictures` varchar(20) DEFAULT '',
  `date_update` timestamp NOT NULL DEFAULT current_timestamp(),
  `ws_id` int(11) DEFAULT 0,
  `dimensions` varchar(20) DEFAULT '',
  `archived` int(1) DEFAULT 0,
  `id_old` int(11) DEFAULT 0,
  `dummy1` varchar(100) DEFAULT NULL,
  `dummy2` varchar(100) DEFAULT NULL,
  `path_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=193 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `hires_paths`
--

DROP TABLE IF EXISTS `hires_paths`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hires_paths` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` varbinary(1000) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=27 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `issues`
--

DROP TABLE IF EXISTS `issues`;
/*!50001 DROP VIEW IF EXISTS `issues`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `issues` AS SELECT
 1 AS `id`,
  1 AS `path_id`,
  1 AS `name`,
  1 AS `minutes`,
  1 AS `notes`,
  1 AS `entry_type`,
  1 AS `path` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `issues_files`
--

DROP TABLE IF EXISTS `issues_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `issues_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path_id` int(11) DEFAULT NULL,
  `name` varchar(100) DEFAULT 'log',
  `minutes` int(11) DEFAULT 0,
  `notes` text DEFAULT '',
  `entry_type` enum('done','note') DEFAULT 'done',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `issues_paths`
--

DROP TABLE IF EXISTS `issues_paths`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `issues_paths` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` varchar(500) DEFAULT NULL,
  `priority` enum('low','middle','high','urgent') DEFAULT 'middle',
  `next_do_date` datetime DEFAULT NULL,
  `todo_date` datetime DEFAULT NULL,
  `done_date` datetime DEFAULT NULL,
  `issue_state` enum('idea','open','suspend','close','cancel') DEFAULT 'open',
  `notes` text DEFAULT '',
  `listeners` varchar(500) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lbc`
--

DROP TABLE IF EXISTS `lbc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lbc` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shop_id` int(11) DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `lb1_id` int(11) DEFAULT 0,
  `lb2_id` int(11) DEFAULT 0,
  `width` float DEFAULT 0,
  `height` float DEFAULT 0,
  `istop` int(11) DEFAULT 1,
  `iscont` int(11) DEFAULT 0,
  `isvert` int(11) DEFAULT 0,
  `lb_count` int(11) DEFAULT 1,
  `trim` float DEFAULT 0,
  `order_id` int(11) DEFAULT 0,
  `width0` float DEFAULT 0,
  `height0` float DEFAULT 0,
  `src_id` int(11) DEFAULT 0,
  `department` varchar(25) DEFAULT '',
  `delivery_address` varchar(200) DEFAULT '',
  `invoice_address` text DEFAULT '',
  `lb_text` varchar(50) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4035 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lbs`
--

DROP TABLE IF EXISTS `lbs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lbs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lb_id` int(11) DEFAULT NULL,
  `img_id` int(11) DEFAULT NULL,
  `t` float DEFAULT 0,
  `l` float DEFAULT 0,
  `r` float DEFAULT 0,
  `b` float DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `lb_count` int(11) DEFAULT 1,
  `order_id` int(11) DEFAULT 0,
  `notes` varchar(100) DEFAULT '',
  `hr_name` varchar(50) DEFAULT '',
  `app_statei` int(2) DEFAULT 1,
  `twidth` int(11) DEFAULT 0,
  `theight` int(11) DEFAULT 0,
  `need_logo` int(1) DEFAULT 0,
  `need_tag` int(1) DEFAULT 0,
  `delivery_address` varchar(300) DEFAULT '',
  `pack_id` int(11) DEFAULT 0,
  `img_id1` int(11) DEFAULT 0,
  `img_id2` int(11) DEFAULT 0,
  `img_id3` int(11) DEFAULT 0,
  `lbi_left` float DEFAULT 0,
  `lbi_top` float DEFAULT 0,
  `lbi_scale` float DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=832 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `links`
--

DROP TABLE IF EXISTS `links`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `links` (
  `code` char(8) DEFAULT NULL,
  `target_id` int(11) DEFAULT NULL,
  `target_type` varchar(20) DEFAULT NULL,
  `user_id` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `locations`
--

DROP TABLE IF EXISTS `locations`;
/*!50001 DROP VIEW IF EXISTS `locations`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `locations` AS SELECT
 1 AS `id`,
  1 AS `name`,
  1 AS `notes`,
  1 AS `path_id`,
  1 AS `uf21`,
  1 AS `uf22`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `client_id`,
  1 AS `visual_id`,
  1 AS `path`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `locations_files`
--

DROP TABLE IF EXISTS `locations_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locations_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) DEFAULT NULL,
  `notes` varchar(100) DEFAULT '',
  `path_id` int(11) DEFAULT 0,
  `uf21` varchar(100) DEFAULT NULL,
  `uf22` varchar(100) DEFAULT NULL,
  `uf23` varchar(100) DEFAULT NULL,
  `uf24` varchar(100) DEFAULT NULL,
  `uf25` varchar(100) DEFAULT NULL,
  `uf26` varchar(100) DEFAULT NULL,
  `uf27` varchar(100) DEFAULT NULL,
  `uf28` varchar(100) DEFAULT NULL,
  `uf29` varchar(100) DEFAULT NULL,
  `client_id` int(11) DEFAULT 0,
  `visual_id` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=919 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `locations_paths`
--

DROP TABLE IF EXISTS `locations_paths`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `locations_paths` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` varchar(200) DEFAULT '',
  `client_id` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=914 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `lowres`
--

DROP TABLE IF EXISTS `lowres`;
/*!50001 DROP VIEW IF EXISTS `lowres`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `lowres` AS SELECT
 1 AS `id`,
  1 AS `size`,
  1 AS `date_mod`,
  1 AS `date_ins`,
  1 AS `online`,
  1 AS `name`,
  1 AS `processed`,
  1 AS `file_type`,
  1 AS `file_type_clean`,
  1 AS `file_type_verbose`,
  1 AS `user_id`,
  1 AS `date_backup`,
  1 AS `thumb_small`,
  1 AS `thumb_medium`,
  1 AS `pool_code`,
  1 AS `color_model`,
  1 AS `color_depth`,
  1 AS `compression`,
  1 AS `creator`,
  1 AS `orientation`,
  1 AS `page_count`,
  1 AS `producer`,
  1 AS `resolution`,
  1 AS `used_pictures`,
  1 AS `date_update`,
  1 AS `ws_id`,
  1 AS `dimensions`,
  1 AS `archived`,
  1 AS `id_old`,
  1 AS `dummy1`,
  1 AS `dummy2`,
  1 AS `path_id`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `path` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `lowres_files`
--

DROP TABLE IF EXISTS `lowres_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lowres_files` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size` bigint(12) DEFAULT 0,
  `date_mod` datetime DEFAULT NULL,
  `date_ins` timestamp NOT NULL DEFAULT current_timestamp(),
  `online` int(11) DEFAULT 1,
  `name` varbinary(256) DEFAULT '',
  `processed` int(1) DEFAULT 0,
  `file_type` varchar(255) DEFAULT '',
  `file_type_clean` varchar(255) DEFAULT '',
  `file_type_verbose` varchar(255) DEFAULT '',
  `user_id` int(11) DEFAULT 0,
  `date_backup` datetime DEFAULT NULL,
  `thumb_small` text DEFAULT NULL,
  `thumb_medium` text DEFAULT NULL,
  `pool_code` varchar(20) DEFAULT '',
  `color_model` varchar(15) DEFAULT '',
  `color_depth` int(2) unsigned DEFAULT 0,
  `compression` varchar(20) DEFAULT '',
  `creator` varchar(80) DEFAULT '',
  `orientation` varchar(30) DEFAULT '',
  `page_count` int(3) DEFAULT 1,
  `producer` varchar(60) DEFAULT '',
  `resolution` varchar(20) DEFAULT '',
  `used_pictures` varchar(20) DEFAULT '',
  `date_update` timestamp NOT NULL DEFAULT current_timestamp(),
  `ws_id` int(11) DEFAULT 0,
  `dimensions` varchar(20) DEFAULT '',
  `archived` int(1) DEFAULT 0,
  `id_old` int(11) DEFAULT 0,
  `dummy1` varchar(100) DEFAULT NULL,
  `dummy2` varchar(100) DEFAULT NULL,
  `path_id` int(11) DEFAULT NULL,
  `uf1` varchar(100) DEFAULT NULL,
  `uf2` varchar(100) DEFAULT NULL,
  `uf3` varchar(100) DEFAULT NULL,
  `uf4` varchar(100) DEFAULT NULL,
  `uf5` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=510 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `lowres_paths`
--

DROP TABLE IF EXISTS `lowres_paths`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `lowres_paths` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `path` varbinary(1000) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `md`
--

DROP TABLE IF EXISTS `md`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `md` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) DEFAULT NULL,
  `fname` varchar(20) DEFAULT NULL,
  `caption` varchar(50) DEFAULT NULL,
  `ftype` enum('string','number','date','list','checkbox') DEFAULT 'string',
  `forder` int(11) DEFAULT 1,
  `vdef` varchar(50) DEFAULT NULL,
  `vmin` varchar(10) DEFAULT NULL,
  `vmax` varchar(10) DEFAULT NULL,
  `vlist` varchar(200) DEFAULT '',
  `table_name` varchar(20) DEFAULT '',
  `fdata` int(1) DEFAULT 0,
  `fusage` varchar(10) DEFAULT 'LSN',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `md_orders`
--

DROP TABLE IF EXISTS `md_orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `md_orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `client_id` int(11) DEFAULT NULL,
  `fname` varchar(10) DEFAULT NULL,
  `caption` varchar(50) DEFAULT NULL,
  `ftype` enum('string','number','date','list','checkbox') DEFAULT 'string',
  `forder` int(11) DEFAULT 1,
  `vdef` varchar(50) DEFAULT NULL,
  `vmin` varchar(10) DEFAULT NULL,
  `vmax` varchar(10) DEFAULT NULL,
  `vlist` varchar(200) DEFAULT '',
  `table_name` varchar(20) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `order_atts`
--

DROP TABLE IF EXISTS `order_atts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `order_atts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size` bigint(12) DEFAULT 0,
  `date_mod` datetime DEFAULT NULL,
  `date_ins` timestamp NOT NULL DEFAULT current_timestamp(),
  `online` int(11) DEFAULT 1,
  `path` varbinary(1000) DEFAULT '',
  `name` varbinary(256) DEFAULT '',
  `processed` int(1) DEFAULT 0,
  `file_type` varchar(255) DEFAULT '',
  `file_type_clean` varchar(255) DEFAULT '',
  `file_type_verbose` varchar(255) DEFAULT '',
  `user_id` int(11) DEFAULT 0,
  `date_backup` datetime DEFAULT NULL,
  `thumb_small` text DEFAULT NULL,
  `thumb_medium` text DEFAULT NULL,
  `pool_code` varchar(20) DEFAULT '',
  `color_model` varchar(15) DEFAULT '',
  `color_depth` int(2) unsigned DEFAULT 0,
  `compression` varchar(20) DEFAULT '',
  `creator` varchar(80) DEFAULT '',
  `orientation` varchar(30) DEFAULT '',
  `page_count` int(3) DEFAULT 1,
  `producer` varchar(60) DEFAULT '',
  `resolution` varchar(20) DEFAULT '',
  `used_pictures` varchar(20) DEFAULT '',
  `date_update` timestamp NOT NULL DEFAULT current_timestamp(),
  `ws_id` int(11) DEFAULT 0,
  `dimensions` varchar(20) DEFAULT '',
  `archived` int(1) DEFAULT 0,
  `id_old` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `order_states`
--

DROP TABLE IF EXISTS `order_states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `order_states` (
  `code` int(11) NOT NULL,
  `name` varchar(15) DEFAULT NULL,
  PRIMARY KEY (`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `order_subs`
--

DROP TABLE IF EXISTS `order_subs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `order_subs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `img_id` int(11) DEFAULT NULL,
  `lb_id` int(11) DEFAULT NULL,
  `camp_id` int(11) DEFAULT NULL,
  `xpos` int(11) DEFAULT 1,
  `ypos` int(11) DEFAULT 1,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shop_id` int(11) DEFAULT 0,
  `camp_id` int(11) DEFAULT 0,
  `date_done` varchar(250) DEFAULT '',
  `order_user_id` int(11) DEFAULT 0,
  `date_create` datetime DEFAULT current_timestamp(),
  `uf1` varchar(100) DEFAULT NULL,
  `uf2` varchar(100) DEFAULT NULL,
  `uf3` varchar(100) DEFAULT NULL,
  `uf4` varchar(100) DEFAULT NULL,
  `uf5` varchar(100) DEFAULT NULL,
  `uf6` varchar(100) DEFAULT NULL,
  `uf7` varchar(100) DEFAULT NULL,
  `uf8` varchar(100) DEFAULT NULL,
  `uf9` varchar(100) DEFAULT NULL,
  `uf10` varchar(100) DEFAULT NULL,
  `uf11` varchar(100) DEFAULT NULL,
  `uf12` varchar(100) DEFAULT NULL,
  `uf13` varchar(100) DEFAULT NULL,
  `uf14` varchar(100) DEFAULT NULL,
  `uf15` varchar(100) DEFAULT NULL,
  `client_id` int(11) DEFAULT 0,
  `notes` varchar(100) DEFAULT '',
  `order_state_code` int(11) DEFAULT 1,
  `ws_link` varchar(20) DEFAULT '',
  `code` varchar(30) DEFAULT '',
  `inup` int(1) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=156 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `orders_draft`
--

DROP TABLE IF EXISTS `orders_draft`;
/*!50001 DROP VIEW IF EXISTS `orders_draft`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `orders_draft` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `order_user_id`,
  1 AS `date_create`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf10`,
  1 AS `uf11`,
  1 AS `uf12`,
  1 AS `uf13`,
  1 AS `uf14`,
  1 AS `uf15`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `order_state_code`,
  1 AS `ws_link`,
  1 AS `code`,
  1 AS `lbc_todo_count`,
  1 AS `lbc_total_count`,
  1 AS `location`,
  1 AS `uf21`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `client_code`,
  1 AS `camp_name`,
  1 AS `order_state`,
  1 AS `declined`,
  1 AS `confirmed`,
  1 AS `accepted`,
  1 AS `uploaded`,
  1 AS `approved`,
  1 AS `hires`,
  1 AS `printed`,
  1 AS `rejected`,
  1 AS `complete`,
  1 AS `order_state_lbs_code`,
  1 AS `order_state_lbs` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `orders_paths`
--

DROP TABLE IF EXISTS `orders_paths`;
/*!50001 DROP VIEW IF EXISTS `orders_paths`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `orders_paths` AS SELECT
 1 AS `id`,
  1 AS `path` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `orders_sent`
--

DROP TABLE IF EXISTS `orders_sent`;
/*!50001 DROP VIEW IF EXISTS `orders_sent`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `orders_sent` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `order_user_id`,
  1 AS `date_create`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf10`,
  1 AS `uf11`,
  1 AS `uf12`,
  1 AS `uf13`,
  1 AS `uf14`,
  1 AS `uf15`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `order_state_code`,
  1 AS `ws_link`,
  1 AS `code`,
  1 AS `lbc_todo_count`,
  1 AS `lbc_total_count`,
  1 AS `location`,
  1 AS `uf21`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `client_code`,
  1 AS `camp_name`,
  1 AS `order_state`,
  1 AS `declined`,
  1 AS `confirmed`,
  1 AS `accepted`,
  1 AS `uploaded`,
  1 AS `approved`,
  1 AS `hires`,
  1 AS `printed`,
  1 AS `rejected`,
  1 AS `complete`,
  1 AS `order_state_lbs_code`,
  1 AS `order_state_lbs` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `packs`
--

DROP TABLE IF EXISTS `packs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `packs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date_create` datetime DEFAULT current_timestamp(),
  `sent` int(1) DEFAULT 0,
  `delivery_address` varchar(100) DEFAULT NULL,
  `courier` varchar(20) DEFAULT NULL,
  `pack_code` varchar(30) DEFAULT '',
  `client_code` varchar(20) DEFAULT '',
  `client_id` int(11) DEFAULT 0,
  `notes` text DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `pins`
--

DROP TABLE IF EXISTS `pins`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `pins` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `app_id` int(11) DEFAULT NULL,
  `font_name` varchar(50) DEFAULT 'arial',
  `font_size` varchar(10) DEFAULT '12px',
  `font_color` varchar(20) DEFAULT 'black',
  `pin_x` float(4,2) DEFAULT 0.00,
  `pin_y` float(4,2) DEFAULT 0.00,
  `txt_x` int(11) DEFAULT NULL,
  `txt_y` int(11) DEFAULT NULL,
  `txt_w` int(11) DEFAULT NULL,
  `txt_h` int(11) DEFAULT NULL,
  `txt` text DEFAULT '',
  `pin_state` enum('todo','done','nodo') DEFAULT 'todo',
  `owner` varchar(50) DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=164 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `revisions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) DEFAULT NULL,
  `group_id` int(11) DEFAULT NULL,
  `res` enum('confirmed','rejected') DEFAULT NULL,
  `notes` text DEFAULT '',
  `lbs_id` int(11) DEFAULT 0,
  `stage` int(11) DEFAULT 0,
  `final` int(1) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=208 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `settings` (
  `user_id` int(11) DEFAULT 0,
  `pname` char(20) DEFAULT '',
  `pvalue` varchar(500) DEFAULT ''
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `shops`
--

DROP TABLE IF EXISTS `shops`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shops` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `code` varchar(50) DEFAULT '',
  `name` varchar(50) DEFAULT NULL,
  `city` varchar(50) DEFAULT NULL,
  `address` varchar(50) DEFAULT NULL,
  `area` char(10) DEFAULT NULL,
  `country` varchar(20) DEFAULT NULL,
  `manager` varchar(50) DEFAULT NULL,
  `assetid` int(11) DEFAULT 0,
  `used` tinyint(1) DEFAULT 1,
  `visual_id` int(11) DEFAULT 0,
  `production_id` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=540 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `shops_groups`
--

DROP TABLE IF EXISTS `shops_groups`;
/*!50001 DROP VIEW IF EXISTS `shops_groups`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `shops_groups` AS SELECT
 1 AS `id`,
  1 AS `code`,
  1 AS `name`,
  1 AS `city`,
  1 AS `address`,
  1 AS `area`,
  1 AS `country`,
  1 AS `manager`,
  1 AS `assetid`,
  1 AS `used`,
  1 AS `visual_id`,
  1 AS `production_id`,
  1 AS `visual`,
  1 AS `production`,
  1 AS `visual_email`,
  1 AS `production_email` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `shops_maps`
--

DROP TABLE IF EXISTS `shops_maps`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `shops_maps` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shop_id` int(11) DEFAULT 0,
  `name` varchar(250) DEFAULT '',
  `ref` varchar(250) DEFAULT '',
  `size` int(11) DEFAULT 0,
  `date_mod` datetime DEFAULT current_timestamp(),
  `processed` int(11) DEFAULT 0,
  `thumb_small` varchar(100) DEFAULT '',
  `thumb_medium` varchar(100) DEFAULT '',
  `file_type` varchar(0) DEFAULT '',
  `online` int(11) DEFAULT 1,
  `path` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `shops_path`
--

DROP TABLE IF EXISTS `shops_path`;
/*!50001 DROP VIEW IF EXISTS `shops_path`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `shops_path` AS SELECT
 1 AS `id`,
  1 AS `name`,
  1 AS `visual_id`,
  1 AS `production_id`,
  1 AS `path` */;
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `user_actions`
--

DROP TABLE IF EXISTS `user_actions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_actions` (
  `date_action` timestamp NOT NULL DEFAULT current_timestamp(),
  `action_user` varchar(50) DEFAULT '',
  `target_user` varchar(50) DEFAULT '',
  `action_type` varchar(20) DEFAULT '',
  `action` varchar(50) DEFAULT '',
  `target_id` varchar(20) DEFAULT '',
  `target_type` varchar(20) DEFAULT '',
  `target` varchar(50) DEFAULT '',
  `importance` int(3) DEFAULT 3,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size` bigint(12) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=60 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(70) DEFAULT '',
  `email` varchar(200) DEFAULT '',
  `user_role` varchar(500) DEFAULT '',
  `pass` varchar(30) DEFAULT '',
  `pass_temp` varchar(30) DEFAULT '',
  `date_login` datetime DEFAULT NULL,
  `admin` int(11) DEFAULT 0,
  `user_type` enum('user','group','system') DEFAULT 'user',
  `client_id` int(11) DEFAULT 0,
  `worker` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=380 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Temporary table structure for view `users_users`
--

DROP TABLE IF EXISTS `users_users`;
/*!50001 DROP VIEW IF EXISTS `users_users`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `users_users` AS SELECT
 1 AS `id`,
  1 AS `name`,
  1 AS `email`,
  1 AS `user_role`,
  1 AS `pass`,
  1 AS `pass_temp`,
  1 AS `date_login`,
  1 AS `admin`,
  1 AS `user_type`,
  1 AS `client_id`,
  1 AS `worker` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_clients`
--

DROP TABLE IF EXISTS `v_clients`;
/*!50001 DROP VIEW IF EXISTS `v_clients`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_clients` AS SELECT
 1 AS `id`,
  1 AS `code`,
  1 AS `name`,
  1 AS `address`,
  1 AS `admin_id`,
  1 AS `manager_id`,
  1 AS `watcher_id`,
  1 AS `path`,
  1 AS `thumb_small` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_event_users`
--

DROP TABLE IF EXISTS `v_event_users`;
/*!50001 DROP VIEW IF EXISTS `v_event_users`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_event_users` AS SELECT
 1 AS `event_id`,
  1 AS `dest_group_id`,
  1 AS `order_link`,
  1 AS `apap_link`,
  1 AS `triple_link`,
  1 AS `dest_group`,
  1 AS `dest_group_email`,
  1 AS `dest_group_role` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_events`
--

DROP TABLE IF EXISTS `v_events`;
/*!50001 DROP VIEW IF EXISTS `v_events`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_events` AS SELECT
 1 AS `id`,
  1 AS `date_event`,
  1 AS `source_group_id`,
  1 AS `source_user_id`,
  1 AS `message`,
  1 AS `order_id`,
  1 AS `camp_id`,
  1 AS `shop_id`,
  1 AS `source_order_link`,
  1 AS `source_group`,
  1 AS `source_user`,
  1 AS `camp_name`,
  1 AS `shop_name` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_events_users2`
--

DROP TABLE IF EXISTS `v_events_users2`;
/*!50001 DROP VIEW IF EXISTS `v_events_users2`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_events_users2` AS SELECT
 1 AS `event_id`,
  1 AS `dest_group_id`,
  1 AS `order_link`,
  1 AS `apap_link`,
  1 AS `triple_link`,
  1 AS `dest_group`,
  1 AS `dest_group_email`,
  1 AS `dest_group_role`,
  1 AS `id`,
  1 AS `date_event`,
  1 AS `source_group_id`,
  1 AS `source_user_id`,
  1 AS `message`,
  1 AS `order_id`,
  1 AS `camp_id`,
  1 AS `shop_id`,
  1 AS `source_order_link`,
  1 AS `source_group`,
  1 AS `source_user`,
  1 AS `camp_name`,
  1 AS `shop_name` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_lbc`
--

DROP TABLE IF EXISTS `v_lbc`;
/*!50001 DROP VIEW IF EXISTS `v_lbc`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_lbc` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `name`,
  1 AS `lb1_id`,
  1 AS `lb2_id`,
  1 AS `width`,
  1 AS `height`,
  1 AS `istop`,
  1 AS `iscont`,
  1 AS `isvert`,
  1 AS `lb_count`,
  1 AS `trim`,
  1 AS `order_id`,
  1 AS `lb_done_count` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_lbs`
--

DROP TABLE IF EXISTS `v_lbs`;
/*!50001 DROP VIEW IF EXISTS `v_lbs`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_lbs` AS SELECT
 1 AS `id`,
  1 AS `lb_id`,
  1 AS `img_id`,
  1 AS `t`,
  1 AS `l`,
  1 AS `r`,
  1 AS `b`,
  1 AS `name`,
  1 AS `lb_count`,
  1 AS `order_id`,
  1 AS `notes`,
  1 AS `hr_name`,
  1 AS `app_statei`,
  1 AS `twidth`,
  1 AS `theight`,
  1 AS `need_logo`,
  1 AS `need_tag`,
  1 AS `delivery_address`,
  1 AS `pack_id`,
  1 AS `img_id1`,
  1 AS `img_id2`,
  1 AS `img_id3`,
  1 AS `lbi_left`,
  1 AS `lbi_top`,
  1 AS `lbi_scale`,
  1 AS `shop_id`,
  1 AS `shop_name` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_order_lbs`
--

DROP TABLE IF EXISTS `v_order_lbs`;
/*!50001 DROP VIEW IF EXISTS `v_order_lbs`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_order_lbs` AS SELECT
 1 AS `id`,
  1 AS `lb_id`,
  1 AS `img_id`,
  1 AS `t`,
  1 AS `l`,
  1 AS `r`,
  1 AS `b`,
  1 AS `name`,
  1 AS `lb_count`,
  1 AS `order_id`,
  1 AS `app_state`,
  1 AS `notes`,
  1 AS `hr_name`,
  1 AS `app_statei`,
  1 AS `twidth`,
  1 AS `theight`,
  1 AS `need_logo`,
  1 AS `need_tag`,
  1 AS `delivery_address`,
  1 AS `pack_id`,
  1 AS `img_id1`,
  1 AS `img_id2`,
  1 AS `img_id3`,
  1 AS `lbi_left`,
  1 AS `lbi_top`,
  1 AS `lbi_scale`,
  1 AS `name_mini`,
  1 AS `thumb_small`,
  1 AS `thumb_medium`,
  1 AS `path`,
  1 AS `date_done`,
  1 AS `name_triple`,
  1 AS `width`,
  1 AS `height`,
  1 AS `app_id`,
  1 AS `lbs_width`,
  1 AS `lbs_height`,
  1 AS `src_id`,
  1 AS `date_create`,
  1 AS `order_state_lbs`,
  1 AS `client_code`,
  1 AS `camp_id`,
  1 AS `camp_name`,
  1 AS `location`,
  1 AS `complete`,
  1 AS `lbc_total_count`,
  1 AS `client_id`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `square` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_orders`
--

DROP TABLE IF EXISTS `v_orders`;
/*!50001 DROP VIEW IF EXISTS `v_orders`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_orders` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `order_user_id`,
  1 AS `date_create`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf10`,
  1 AS `uf11`,
  1 AS `uf12`,
  1 AS `uf13`,
  1 AS `uf14`,
  1 AS `uf15`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `order_state_code`,
  1 AS `ws_link`,
  1 AS `code`,
  1 AS `lbc_todo_count`,
  1 AS `lbc_total_count`,
  1 AS `location`,
  1 AS `uf21`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `client_code`,
  1 AS `camp_name`,
  1 AS `order_state`,
  1 AS `declined`,
  1 AS `confirmed`,
  1 AS `accepted`,
  1 AS `uploaded`,
  1 AS `approved`,
  1 AS `hires`,
  1 AS `printed`,
  1 AS `rejected`,
  1 AS `complete`,
  1 AS `order_state_lbs_code`,
  1 AS `order_state_lbs` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_orders0`
--

DROP TABLE IF EXISTS `v_orders0`;
/*!50001 DROP VIEW IF EXISTS `v_orders0`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_orders0` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `order_user_id`,
  1 AS `date_create`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf10`,
  1 AS `uf11`,
  1 AS `uf12`,
  1 AS `uf13`,
  1 AS `uf14`,
  1 AS `uf15`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `order_state_code`,
  1 AS `ws_link`,
  1 AS `code`,
  1 AS `lbc_todo_count`,
  1 AS `lbc_total_count`,
  1 AS `location`,
  1 AS `uf21`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `client_code`,
  1 AS `camp_name`,
  1 AS `order_state` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_orders1`
--

DROP TABLE IF EXISTS `v_orders1`;
/*!50001 DROP VIEW IF EXISTS `v_orders1`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_orders1` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `order_user_id`,
  1 AS `date_create`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf10`,
  1 AS `uf11`,
  1 AS `uf12`,
  1 AS `uf13`,
  1 AS `uf14`,
  1 AS `uf15`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `order_state_code`,
  1 AS `ws_link`,
  1 AS `code`,
  1 AS `lbc_todo_count`,
  1 AS `lbc_total_count`,
  1 AS `location`,
  1 AS `uf21`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `client_code`,
  1 AS `camp_name`,
  1 AS `order_state`,
  1 AS `declined`,
  1 AS `confirmed`,
  1 AS `approved`,
  1 AS `accepted`,
  1 AS `uploaded`,
  1 AS `hires`,
  1 AS `printed`,
  1 AS `rejected`,
  1 AS `complete` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_orders2`
--

DROP TABLE IF EXISTS `v_orders2`;
/*!50001 DROP VIEW IF EXISTS `v_orders2`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_orders2` AS SELECT
 1 AS `id`,
  1 AS `shop_id`,
  1 AS `camp_id`,
  1 AS `date_done`,
  1 AS `order_user_id`,
  1 AS `date_create`,
  1 AS `uf1`,
  1 AS `uf2`,
  1 AS `uf3`,
  1 AS `uf4`,
  1 AS `uf5`,
  1 AS `uf6`,
  1 AS `uf7`,
  1 AS `uf8`,
  1 AS `uf9`,
  1 AS `uf10`,
  1 AS `uf11`,
  1 AS `uf12`,
  1 AS `uf13`,
  1 AS `uf14`,
  1 AS `uf15`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `order_state_code`,
  1 AS `ws_link`,
  1 AS `code`,
  1 AS `lbc_todo_count`,
  1 AS `lbc_total_count`,
  1 AS `location`,
  1 AS `uf21`,
  1 AS `uf23`,
  1 AS `uf24`,
  1 AS `uf25`,
  1 AS `uf26`,
  1 AS `uf27`,
  1 AS `uf28`,
  1 AS `uf29`,
  1 AS `area`,
  1 AS `country`,
  1 AS `city`,
  1 AS `client_code`,
  1 AS `camp_name`,
  1 AS `order_state`,
  1 AS `declined`,
  1 AS `confirmed`,
  1 AS `accepted`,
  1 AS `uploaded`,
  1 AS `approved`,
  1 AS `hires`,
  1 AS `printed`,
  1 AS `rejected`,
  1 AS `complete`,
  1 AS `order_state_lbs_code` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_packs`
--

DROP TABLE IF EXISTS `v_packs`;
/*!50001 DROP VIEW IF EXISTS `v_packs`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_packs` AS SELECT
 1 AS `id`,
  1 AS `date_create`,
  1 AS `sent`,
  1 AS `delivery_address`,
  1 AS `courier`,
  1 AS `pack_code`,
  1 AS `client_code`,
  1 AS `client_id`,
  1 AS `notes`,
  1 AS `client_name` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `v_revisions`
--

DROP TABLE IF EXISTS `v_revisions`;
/*!50001 DROP VIEW IF EXISTS `v_revisions`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `v_revisions` AS SELECT
 1 AS `id`,
  1 AS `order_id`,
  1 AS `group_id`,
  1 AS `res`,
  1 AS `notes`,
  1 AS `lbs_id`,
  1 AS `stage`,
  1 AS `group_name`,
  1 AS `group_role`,
  1 AS `lbs_name` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vd`
--

DROP TABLE IF EXISTS `vd`;
/*!50001 DROP VIEW IF EXISTS `vd`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `vd` AS SELECT
 1 AS `id`,
  1 AS `app_id`,
  1 AS `x`,
  1 AS `y`,
  1 AS `width`,
  1 AS `height`,
  1 AS `pen_width`,
  1 AS `zoom`,
  1 AS `color` */;
SET character_set_client = @saved_cs_client;

--
-- Temporary table structure for view `vu`
--

DROP TABLE IF EXISTS `vu`;
/*!50001 DROP VIEW IF EXISTS `vu`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE VIEW `vu` AS SELECT
 1 AS `id`,
  1 AS `name`,
  1 AS `email`,
  1 AS `user_role`,
  1 AS `pass`,
  1 AS `pass_temp`,
  1 AS `date_login`,
  1 AS `admin`,
  1 AS `user_type`,
  1 AS `client_id`,
  1 AS `worker`,
  1 AS `client` */;
SET character_set_client = @saved_cs_client;

--
-- Final view structure for view `app_lbs`
--

/*!50001 DROP VIEW IF EXISTS `app_lbs`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `app_lbs` AS select `app_lbs1`.`id` AS `id`,`app_lbs1`.`lb_id` AS `lb_id`,`app_lbs1`.`img_id` AS `img_id`,`app_lbs1`.`t` AS `t`,`app_lbs1`.`l` AS `l`,`app_lbs1`.`r` AS `r`,`app_lbs1`.`b` AS `b`,`app_lbs1`.`name` AS `name`,`app_lbs1`.`lb_count` AS `lb_count`,`app_lbs1`.`order_id` AS `order_id`,`app_lbs1`.`notes` AS `notes`,`app_lbs1`.`hr_name` AS `hr_name`,`app_lbs1`.`app_statei` AS `app_statei`,`app_lbs1`.`twidth` AS `twidth`,`app_lbs1`.`theight` AS `theight`,`app_lbs1`.`need_logo` AS `need_logo`,`app_lbs1`.`need_tag` AS `need_tag`,`app_lbs1`.`delivery_address` AS `delivery_address`,`app_lbs1`.`pack_id` AS `pack_id`,`app_lbs1`.`img_id1` AS `img_id1`,`app_lbs1`.`img_id2` AS `img_id2`,`app_lbs1`.`img_id3` AS `img_id3`,`app_lbs1`.`lbi_left` AS `lbi_left`,`app_lbs1`.`lbi_top` AS `lbi_top`,`app_lbs1`.`lbi_scale` AS `lbi_scale`,`app_lbs1`.`name_mini` AS `name_mini`,`app_lbs1`.`thumb_small` AS `thumb_small`,`app_lbs1`.`thumb_medium` AS `thumb_medium`,`app_lbs1`.`path` AS `path`,`app_lbs1`.`date_done` AS `date_done`,`app_lbs1`.`name_triple` AS `name_triple`,`app_lbs1`.`width` AS `width`,`app_lbs1`.`height` AS `height`,`app_lbs1`.`app_id` AS `app_id`,`app_lbs1`.`rev_id` AS `rev_id`,`app_lbs1`.`lbs_width` AS `lbs_width`,`app_lbs1`.`lbs_height` AS `lbs_height`,`app_lbs1`.`src_id` AS `src_id`,`app_lbs1`.`declined` AS `declined`,`app_lbs1`.`approved` AS `approved`,`order_states`.`name` AS `app_state` from (`app_lbs1` join `order_states` on(`order_states`.`code` = greatest(`app_lbs1`.`app_statei`,`app_lbs1`.`declined`,`app_lbs1`.`approved`))) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `app_lbs1`
--

/*!50001 DROP VIEW IF EXISTS `app_lbs1`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `app_lbs1` AS select `lbs`.`id` AS `id`,`lbs`.`lb_id` AS `lb_id`,`lbs`.`img_id` AS `img_id`,`lbs`.`t` AS `t`,`lbs`.`l` AS `l`,`lbs`.`r` AS `r`,`lbs`.`b` AS `b`,`lbs`.`name` AS `name`,`lbs`.`lb_count` AS `lb_count`,`lbs`.`order_id` AS `order_id`,`lbs`.`notes` AS `notes`,`lbs`.`hr_name` AS `hr_name`,`lbs`.`app_statei` AS `app_statei`,`lbs`.`twidth` AS `twidth`,`lbs`.`theight` AS `theight`,`lbs`.`need_logo` AS `need_logo`,`lbs`.`need_tag` AS `need_tag`,`lbs`.`delivery_address` AS `delivery_address`,`lbs`.`pack_id` AS `pack_id`,`lbs`.`img_id1` AS `img_id1`,`lbs`.`img_id2` AS `img_id2`,`lbs`.`img_id3` AS `img_id3`,`lbs`.`lbi_left` AS `lbi_left`,`lbs`.`lbi_top` AS `lbi_top`,`lbs`.`lbi_scale` AS `lbi_scale`,`lowres`.`name` AS `name_mini`,`lowres`.`thumb_small` AS `thumb_small`,`lowres`.`thumb_medium` AS `thumb_medium`,`lowres`.`path` AS `path`,`app`.`date_done` AS `date_done`,`app`.`name` AS `name_triple`,`app`.`width` AS `width`,`app`.`height` AS `height`,`app`.`id` AS `app_id`,`app`.`rev_id` AS `rev_id`,`lbs`.`r` - `lbs`.`l` + 1 AS `lbs_width`,`lbs`.`b` - `lbs`.`t` + 1 AS `lbs_height`,`lbc`.`src_id` AS `src_id`,if(exists(select 1 from `revisions` where `revisions`.`lbs_id` = `lbs`.`id` and `revisions`.`res` = 'rejected' limit 1),4,0) AS `declined`,if(exists(select 1 from `revisions` where `revisions`.`lbs_id` = `lbs`.`id` and `revisions`.`res` = 'confirmed' and `revisions`.`final` = 1 limit 1),256,0) AS `approved` from (((`lbs` join `lowres` on(`lbs`.`img_id` = `lowres`.`id`)) left join `approves` `app` on(`lbs`.`id` = `app`.`lbs_id`)) join `lbc` on(`lbs`.`lb_id` = `lbc`.`id`)) where `lbs`.`img_id` <> 0 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `approves`
--

/*!50001 DROP VIEW IF EXISTS `approves`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `approves` AS select `approves_versions`.`id` AS `id`,`approves_versions`.`path` AS `path`,`approves_versions`.`width` AS `width`,`approves_versions`.`height` AS `height`,`approves_versions`.`owner` AS `owner`,`approves_versions`.`page` AS `page`,`approves_versions`.`date_ins` AS `date_ins`,`approves_versions`.`name` AS `name`,`approves_versions`.`lbs_id` AS `lbs_id`,`approves_versions`.`shop_id` AS `shop_id`,`approves_versions`.`camp_id` AS `camp_id`,`approves_versions`.`date_done` AS `date_done`,`approves_versions`.`version` AS `version`,`approves_versions`.`rev_id` AS `rev_id` from `approves_versions` where `approves_versions`.`version` = 0 and `approves_versions`.`page` = 0 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `apv`
--

/*!50001 DROP VIEW IF EXISTS `apv`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `apv` AS select `approves`.`id` AS `id`,`approves`.`path` AS `path`,`approves`.`width` AS `width`,`approves`.`height` AS `height`,`approves`.`owner` AS `owner`,`approves`.`page` AS `page`,`approves`.`date_ins` AS `date_ins`,`approves`.`name` AS `name` from `approves` where `approves`.`page` = 0 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `city_path`
--

/*!50001 DROP VIEW IF EXISTS `city_path`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `city_path` AS select `cities`.`id` AS `id`,`cities`.`name` AS `name`,concat('world/',`countries`.`area`,'/',`countries`.`name`) AS `path` from (`cities` join `countries` on(`cities`.`country` = `countries`.`name`)) where `countries`.`active` = 1 order by concat('world/',`countries`.`area`,'/',`countries`.`name`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `emails_events`
--

/*!50001 DROP VIEW IF EXISTS `emails_events`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `emails_events` AS select `emails`.`id` AS `id`,`emails`.`dests` AS `dests`,`emails`.`subject` AS `subject`,`emails`.`message` AS `message`,`emails`.`sent` AS `sent`,`emails`.`event_id` AS `event_id`,`emails`.`user_id` AS `user_id`,`emails`.`lang` AS `lang`,`events`.`camp_id` AS `camp_id`,`events`.`order_id` AS `order_id`,`events`.`session_id` AS `session_id` from (`emails` join `events` on(`emails`.`event_id` = `events`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `groups`
--

/*!50001 DROP VIEW IF EXISTS `groups`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `groups` AS select `users`.`id` AS `id`,`users`.`name` AS `name`,`users`.`email` AS `email`,`users`.`user_role` AS `user_role`,`users`.`pass` AS `pass`,`users`.`pass_temp` AS `pass_temp`,`users`.`date_login` AS `date_login`,`users`.`admin` AS `admin`,`users`.`user_type` AS `user_type`,`users`.`client_id` AS `client_id`,`users`.`worker` AS `worker` from `users` where `users`.`user_type` = 'group' */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `hires`
--

/*!50001 DROP VIEW IF EXISTS `hires`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `hires` AS select `hires_files`.`id` AS `id`,`hires_files`.`size` AS `size`,`hires_files`.`date_mod` AS `date_mod`,`hires_files`.`date_ins` AS `date_ins`,`hires_files`.`online` AS `online`,`hires_files`.`name` AS `name`,`hires_files`.`processed` AS `processed`,`hires_files`.`file_type` AS `file_type`,`hires_files`.`file_type_clean` AS `file_type_clean`,`hires_files`.`file_type_verbose` AS `file_type_verbose`,`hires_files`.`user_id` AS `user_id`,`hires_files`.`date_backup` AS `date_backup`,`hires_files`.`thumb_small` AS `thumb_small`,`hires_files`.`thumb_medium` AS `thumb_medium`,`hires_files`.`pool_code` AS `pool_code`,`hires_files`.`color_model` AS `color_model`,`hires_files`.`color_depth` AS `color_depth`,`hires_files`.`compression` AS `compression`,`hires_files`.`creator` AS `creator`,`hires_files`.`orientation` AS `orientation`,`hires_files`.`page_count` AS `page_count`,`hires_files`.`producer` AS `producer`,`hires_files`.`resolution` AS `resolution`,`hires_files`.`used_pictures` AS `used_pictures`,`hires_files`.`date_update` AS `date_update`,`hires_files`.`ws_id` AS `ws_id`,`hires_files`.`dimensions` AS `dimensions`,`hires_files`.`archived` AS `archived`,`hires_files`.`id_old` AS `id_old`,`hires_files`.`dummy1` AS `dummy1`,`hires_files`.`dummy2` AS `dummy2`,`hires_files`.`path_id` AS `path_id`,`hires_paths`.`path` AS `path` from (`hires_files` join `hires_paths` on(`hires_files`.`path_id` = `hires_paths`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `issues`
--

/*!50001 DROP VIEW IF EXISTS `issues`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `issues` AS select `issues_files`.`id` AS `id`,`issues_files`.`path_id` AS `path_id`,`issues_files`.`name` AS `name`,`issues_files`.`minutes` AS `minutes`,`issues_files`.`notes` AS `notes`,`issues_files`.`entry_type` AS `entry_type`,`issues_paths`.`path` AS `path` from (`issues_files` join `issues_paths` on(`issues_files`.`path_id` = `issues_paths`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `locations`
--

/*!50001 DROP VIEW IF EXISTS `locations`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `locations` AS select `locations_files`.`id` AS `id`,`locations_files`.`name` AS `name`,`locations_files`.`notes` AS `notes`,`locations_files`.`path_id` AS `path_id`,`locations_files`.`uf21` AS `uf21`,`locations_files`.`uf22` AS `uf22`,`locations_files`.`uf23` AS `uf23`,`locations_files`.`uf24` AS `uf24`,`locations_files`.`uf25` AS `uf25`,`locations_files`.`uf26` AS `uf26`,`locations_files`.`uf27` AS `uf27`,`locations_files`.`uf28` AS `uf28`,`locations_files`.`uf29` AS `uf29`,`locations_files`.`client_id` AS `client_id`,`locations_files`.`visual_id` AS `visual_id`,`locations_paths`.`path` AS `path`,substring_index(substring_index(concat(`locations_paths`.`path`,`locations_files`.`name`),'/',3),'/',-1) AS `area`,substring_index(substring_index(concat(`locations_paths`.`path`,`locations_files`.`name`),'/',4),'/',-1) AS `country`,substring_index(substring_index(concat(`locations_paths`.`path`,`locations_files`.`name`),'/',5),'/',-1) AS `city` from (`locations_files` join `locations_paths` on(`locations_files`.`path_id` = `locations_paths`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `lowres`
--

/*!50001 DROP VIEW IF EXISTS `lowres`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `lowres` AS select `lowres_files`.`id` AS `id`,`lowres_files`.`size` AS `size`,`lowres_files`.`date_mod` AS `date_mod`,`lowres_files`.`date_ins` AS `date_ins`,`lowres_files`.`online` AS `online`,`lowres_files`.`name` AS `name`,`lowres_files`.`processed` AS `processed`,`lowres_files`.`file_type` AS `file_type`,`lowres_files`.`file_type_clean` AS `file_type_clean`,`lowres_files`.`file_type_verbose` AS `file_type_verbose`,`lowres_files`.`user_id` AS `user_id`,`lowres_files`.`date_backup` AS `date_backup`,`lowres_files`.`thumb_small` AS `thumb_small`,`lowres_files`.`thumb_medium` AS `thumb_medium`,`lowres_files`.`pool_code` AS `pool_code`,`lowres_files`.`color_model` AS `color_model`,`lowres_files`.`color_depth` AS `color_depth`,`lowres_files`.`compression` AS `compression`,`lowres_files`.`creator` AS `creator`,`lowres_files`.`orientation` AS `orientation`,`lowres_files`.`page_count` AS `page_count`,`lowres_files`.`producer` AS `producer`,`lowres_files`.`resolution` AS `resolution`,`lowres_files`.`used_pictures` AS `used_pictures`,`lowres_files`.`date_update` AS `date_update`,`lowres_files`.`ws_id` AS `ws_id`,`lowres_files`.`dimensions` AS `dimensions`,`lowres_files`.`archived` AS `archived`,`lowres_files`.`id_old` AS `id_old`,`lowres_files`.`dummy1` AS `dummy1`,`lowres_files`.`dummy2` AS `dummy2`,`lowres_files`.`path_id` AS `path_id`,`lowres_files`.`uf1` AS `uf1`,`lowres_files`.`uf2` AS `uf2`,`lowres_files`.`uf3` AS `uf3`,`lowres_files`.`uf4` AS `uf4`,`lowres_files`.`uf5` AS `uf5`,`lowres_paths`.`path` AS `path` from (`lowres_files` join `lowres_paths` on(`lowres_files`.`path_id` = `lowres_paths`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `orders_draft`
--

/*!50001 DROP VIEW IF EXISTS `orders_draft`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `orders_draft` AS select `v_orders`.`id` AS `id`,`v_orders`.`shop_id` AS `shop_id`,`v_orders`.`camp_id` AS `camp_id`,`v_orders`.`date_done` AS `date_done`,`v_orders`.`order_user_id` AS `order_user_id`,`v_orders`.`date_create` AS `date_create`,`v_orders`.`uf1` AS `uf1`,`v_orders`.`uf2` AS `uf2`,`v_orders`.`uf3` AS `uf3`,`v_orders`.`uf4` AS `uf4`,`v_orders`.`uf5` AS `uf5`,`v_orders`.`uf6` AS `uf6`,`v_orders`.`uf7` AS `uf7`,`v_orders`.`uf8` AS `uf8`,`v_orders`.`uf9` AS `uf9`,`v_orders`.`uf10` AS `uf10`,`v_orders`.`uf11` AS `uf11`,`v_orders`.`uf12` AS `uf12`,`v_orders`.`uf13` AS `uf13`,`v_orders`.`uf14` AS `uf14`,`v_orders`.`uf15` AS `uf15`,`v_orders`.`client_id` AS `client_id`,`v_orders`.`notes` AS `notes`,`v_orders`.`order_state_code` AS `order_state_code`,`v_orders`.`ws_link` AS `ws_link`,`v_orders`.`code` AS `code`,`v_orders`.`lbc_todo_count` AS `lbc_todo_count`,`v_orders`.`lbc_total_count` AS `lbc_total_count`,`v_orders`.`location` AS `location`,`v_orders`.`uf21` AS `uf21`,`v_orders`.`uf23` AS `uf23`,`v_orders`.`uf24` AS `uf24`,`v_orders`.`uf25` AS `uf25`,`v_orders`.`uf26` AS `uf26`,`v_orders`.`uf27` AS `uf27`,`v_orders`.`uf28` AS `uf28`,`v_orders`.`uf29` AS `uf29`,`v_orders`.`area` AS `area`,`v_orders`.`country` AS `country`,`v_orders`.`city` AS `city`,`v_orders`.`client_code` AS `client_code`,`v_orders`.`camp_name` AS `camp_name`,`v_orders`.`order_state` AS `order_state`,`v_orders`.`declined` AS `declined`,`v_orders`.`confirmed` AS `confirmed`,`v_orders`.`accepted` AS `accepted`,`v_orders`.`uploaded` AS `uploaded`,`v_orders`.`approved` AS `approved`,`v_orders`.`hires` AS `hires`,`v_orders`.`printed` AS `printed`,`v_orders`.`rejected` AS `rejected`,`v_orders`.`complete` AS `complete`,`v_orders`.`order_state_lbs_code` AS `order_state_lbs_code`,`v_orders`.`order_state_lbs` AS `order_state_lbs` from `v_orders` where `v_orders`.`order_state_lbs_code` <= 16 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `orders_paths`
--

/*!50001 DROP VIEW IF EXISTS `orders_paths`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `orders_paths` AS select `locations`.`id` AS `id`,concat(`locations`.`path`,`locations`.`name`,'/') AS `path` from `locations` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `orders_sent`
--

/*!50001 DROP VIEW IF EXISTS `orders_sent`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `orders_sent` AS select `v_orders`.`id` AS `id`,`v_orders`.`shop_id` AS `shop_id`,`v_orders`.`camp_id` AS `camp_id`,`v_orders`.`date_done` AS `date_done`,`v_orders`.`order_user_id` AS `order_user_id`,`v_orders`.`date_create` AS `date_create`,`v_orders`.`uf1` AS `uf1`,`v_orders`.`uf2` AS `uf2`,`v_orders`.`uf3` AS `uf3`,`v_orders`.`uf4` AS `uf4`,`v_orders`.`uf5` AS `uf5`,`v_orders`.`uf6` AS `uf6`,`v_orders`.`uf7` AS `uf7`,`v_orders`.`uf8` AS `uf8`,`v_orders`.`uf9` AS `uf9`,`v_orders`.`uf10` AS `uf10`,`v_orders`.`uf11` AS `uf11`,`v_orders`.`uf12` AS `uf12`,`v_orders`.`uf13` AS `uf13`,`v_orders`.`uf14` AS `uf14`,`v_orders`.`uf15` AS `uf15`,`v_orders`.`client_id` AS `client_id`,`v_orders`.`notes` AS `notes`,`v_orders`.`order_state_code` AS `order_state_code`,`v_orders`.`ws_link` AS `ws_link`,`v_orders`.`code` AS `code`,`v_orders`.`lbc_todo_count` AS `lbc_todo_count`,`v_orders`.`lbc_total_count` AS `lbc_total_count`,`v_orders`.`location` AS `location`,`v_orders`.`uf21` AS `uf21`,`v_orders`.`uf23` AS `uf23`,`v_orders`.`uf24` AS `uf24`,`v_orders`.`uf25` AS `uf25`,`v_orders`.`uf26` AS `uf26`,`v_orders`.`uf27` AS `uf27`,`v_orders`.`uf28` AS `uf28`,`v_orders`.`uf29` AS `uf29`,`v_orders`.`area` AS `area`,`v_orders`.`country` AS `country`,`v_orders`.`city` AS `city`,`v_orders`.`client_code` AS `client_code`,`v_orders`.`camp_name` AS `camp_name`,`v_orders`.`order_state` AS `order_state`,`v_orders`.`declined` AS `declined`,`v_orders`.`confirmed` AS `confirmed`,`v_orders`.`accepted` AS `accepted`,`v_orders`.`uploaded` AS `uploaded`,`v_orders`.`approved` AS `approved`,`v_orders`.`hires` AS `hires`,`v_orders`.`printed` AS `printed`,`v_orders`.`rejected` AS `rejected`,`v_orders`.`complete` AS `complete`,`v_orders`.`order_state_lbs_code` AS `order_state_lbs_code`,`v_orders`.`order_state_lbs` AS `order_state_lbs` from `v_orders` where `v_orders`.`order_state_lbs_code` >= 16 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `shops_groups`
--

/*!50001 DROP VIEW IF EXISTS `shops_groups`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `shops_groups` AS select `shops`.`id` AS `id`,`shops`.`code` AS `code`,`shops`.`name` AS `name`,`shops`.`city` AS `city`,`shops`.`address` AS `address`,`shops`.`area` AS `area`,`shops`.`country` AS `country`,`shops`.`manager` AS `manager`,`shops`.`assetid` AS `assetid`,`shops`.`used` AS `used`,`shops`.`visual_id` AS `visual_id`,`shops`.`production_id` AS `production_id`,`gv`.`name` AS `visual`,`gp`.`name` AS `production`,`gv`.`email` AS `visual_email`,`gp`.`email` AS `production_email` from ((`shops` left join `groups` `gv` on(`shops`.`visual_id` = `gv`.`id`)) left join `groups` `gp` on(`shops`.`production_id` = `gp`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `shops_path`
--

/*!50001 DROP VIEW IF EXISTS `shops_path`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `shops_path` AS select `shops`.`id` AS `id`,`shops`.`name` AS `name`,`shops`.`visual_id` AS `visual_id`,`shops`.`production_id` AS `production_id`,concat('world/',`shops`.`area`,'/',`shops`.`country`,'/',`shops`.`city`) AS `path` from `shops` order by concat('world/',`shops`.`area`,'/',`shops`.`country`,'/',`shops`.`city`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `users_users`
--

/*!50001 DROP VIEW IF EXISTS `users_users`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `users_users` AS select `users`.`id` AS `id`,`users`.`name` AS `name`,`users`.`email` AS `email`,`users`.`user_role` AS `user_role`,`users`.`pass` AS `pass`,`users`.`pass_temp` AS `pass_temp`,`users`.`date_login` AS `date_login`,`users`.`admin` AS `admin`,`users`.`user_type` AS `user_type`,`users`.`client_id` AS `client_id`,`users`.`worker` AS `worker` from `users` where `users`.`user_type` = 'user' */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_clients`
--

/*!50001 DROP VIEW IF EXISTS `v_clients`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_clients` AS select `clients`.`id` AS `id`,`clients`.`code` AS `code`,`clients`.`name` AS `name`,`clients`.`address` AS `address`,`clients`.`admin_id` AS `admin_id`,`clients`.`manager_id` AS `manager_id`,`clients`.`watcher_id` AS `watcher_id`,'' AS `path`,concat(`clients`.`code`,'/data/bg') AS `thumb_small` from `clients` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_event_users`
--

/*!50001 DROP VIEW IF EXISTS `v_event_users`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_event_users` AS select `eu`.`event_id` AS `event_id`,`eu`.`dest_group_id` AS `dest_group_id`,`eu`.`order_link` AS `order_link`,`eu`.`apap_link` AS `apap_link`,`eu`.`triple_link` AS `triple_link`,`dg`.`name` AS `dest_group`,`dg`.`email` AS `dest_group_email`,`dg`.`user_role` AS `dest_group_role` from (`event_users` `eu` left join `users` `dg` on(`eu`.`dest_group_id` = `dg`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_events`
--

/*!50001 DROP VIEW IF EXISTS `v_events`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_events` AS select `events`.`id` AS `id`,`events`.`date_event` AS `date_event`,`events`.`source_group_id` AS `source_group_id`,`events`.`source_user_id` AS `source_user_id`,`events`.`message` AS `message`,`events`.`order_id` AS `order_id`,`events`.`camp_id` AS `camp_id`,`events`.`shop_id` AS `shop_id`,`events`.`source_order_link` AS `source_order_link`,`sg`.`name` AS `source_group`,`su`.`name` AS `source_user`,`ca`.`name` AS `camp_name`,`sh`.`name` AS `shop_name` from ((((`events` left join `users` `sg` on(`events`.`source_group_id` = `sg`.`id`)) left join `users` `su` on(`events`.`source_user_id` = `su`.`id`)) left join `camps` `ca` on(`events`.`camp_id` = `ca`.`id`)) left join `locations` `sh` on(`events`.`shop_id` = `sh`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_events_users2`
--

/*!50001 DROP VIEW IF EXISTS `v_events_users2`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_events_users2` AS select `v_event_users`.`event_id` AS `event_id`,`v_event_users`.`dest_group_id` AS `dest_group_id`,`v_event_users`.`order_link` AS `order_link`,`v_event_users`.`apap_link` AS `apap_link`,`v_event_users`.`triple_link` AS `triple_link`,`v_event_users`.`dest_group` AS `dest_group`,`v_event_users`.`dest_group_email` AS `dest_group_email`,`v_event_users`.`dest_group_role` AS `dest_group_role`,`v_events`.`id` AS `id`,`v_events`.`date_event` AS `date_event`,`v_events`.`source_group_id` AS `source_group_id`,`v_events`.`source_user_id` AS `source_user_id`,`v_events`.`message` AS `message`,`v_events`.`order_id` AS `order_id`,`v_events`.`camp_id` AS `camp_id`,`v_events`.`shop_id` AS `shop_id`,`v_events`.`source_order_link` AS `source_order_link`,`v_events`.`source_group` AS `source_group`,`v_events`.`source_user` AS `source_user`,`v_events`.`camp_name` AS `camp_name`,`v_events`.`shop_name` AS `shop_name` from (`v_event_users` join `v_events` on(`v_event_users`.`event_id` = `v_events`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_lbc`
--

/*!50001 DROP VIEW IF EXISTS `v_lbc`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_lbc` AS select `c`.`id` AS `id`,`c`.`shop_id` AS `shop_id`,`c`.`name` AS `name`,`c`.`lb1_id` AS `lb1_id`,`c`.`lb2_id` AS `lb2_id`,`c`.`width` AS `width`,`c`.`height` AS `height`,`c`.`istop` AS `istop`,`c`.`iscont` AS `iscont`,`c`.`isvert` AS `isvert`,`c`.`lb_count` AS `lb_count`,`c`.`trim` AS `trim`,`c`.`order_id` AS `order_id`,(select sum(`s`.`lb_count`) from `lbs` `s` where `s`.`lb_id` = `c`.`id`) AS `lb_done_count` from `lbc` `c` where `c`.`istop` = 1 */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_lbs`
--

/*!50001 DROP VIEW IF EXISTS `v_lbs`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_lbs` AS select `lbs`.`id` AS `id`,`lbs`.`lb_id` AS `lb_id`,`lbs`.`img_id` AS `img_id`,`lbs`.`t` AS `t`,`lbs`.`l` AS `l`,`lbs`.`r` AS `r`,`lbs`.`b` AS `b`,`lbs`.`name` AS `name`,`lbs`.`lb_count` AS `lb_count`,`lbs`.`order_id` AS `order_id`,`lbs`.`notes` AS `notes`,`lbs`.`hr_name` AS `hr_name`,`lbs`.`app_statei` AS `app_statei`,`lbs`.`twidth` AS `twidth`,`lbs`.`theight` AS `theight`,`lbs`.`need_logo` AS `need_logo`,`lbs`.`need_tag` AS `need_tag`,`lbs`.`delivery_address` AS `delivery_address`,`lbs`.`pack_id` AS `pack_id`,`lbs`.`img_id1` AS `img_id1`,`lbs`.`img_id2` AS `img_id2`,`lbs`.`img_id3` AS `img_id3`,`lbs`.`lbi_left` AS `lbi_left`,`lbs`.`lbi_top` AS `lbi_top`,`lbs`.`lbi_scale` AS `lbi_scale`,`lbc`.`shop_id` AS `shop_id`,`locations`.`name` AS `shop_name` from ((`lbs` join `lbc` on(`lbs`.`lb_id` = `lbc`.`id`)) left join `locations` on(`lbc`.`shop_id` = `locations`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_order_lbs`
--

/*!50001 DROP VIEW IF EXISTS `v_order_lbs`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_order_lbs` AS select `app_lbs`.`id` AS `id`,`app_lbs`.`lb_id` AS `lb_id`,`app_lbs`.`img_id` AS `img_id`,`app_lbs`.`t` AS `t`,`app_lbs`.`l` AS `l`,`app_lbs`.`r` AS `r`,`app_lbs`.`b` AS `b`,`app_lbs`.`name` AS `name`,`app_lbs`.`lb_count` AS `lb_count`,`app_lbs`.`order_id` AS `order_id`,`app_lbs`.`app_state` AS `app_state`,`app_lbs`.`notes` AS `notes`,`app_lbs`.`hr_name` AS `hr_name`,`app_lbs`.`app_statei` AS `app_statei`,`app_lbs`.`twidth` AS `twidth`,`app_lbs`.`theight` AS `theight`,`app_lbs`.`need_logo` AS `need_logo`,`app_lbs`.`need_tag` AS `need_tag`,`app_lbs`.`delivery_address` AS `delivery_address`,`app_lbs`.`pack_id` AS `pack_id`,`app_lbs`.`img_id1` AS `img_id1`,`app_lbs`.`img_id2` AS `img_id2`,`app_lbs`.`img_id3` AS `img_id3`,`app_lbs`.`lbi_left` AS `lbi_left`,`app_lbs`.`lbi_top` AS `lbi_top`,`app_lbs`.`lbi_scale` AS `lbi_scale`,`app_lbs`.`name_mini` AS `name_mini`,`app_lbs`.`thumb_small` AS `thumb_small`,`app_lbs`.`thumb_medium` AS `thumb_medium`,`app_lbs`.`path` AS `path`,`app_lbs`.`date_done` AS `date_done`,`app_lbs`.`name_triple` AS `name_triple`,`app_lbs`.`width` AS `width`,`app_lbs`.`height` AS `height`,`app_lbs`.`app_id` AS `app_id`,`app_lbs`.`lbs_width` AS `lbs_width`,`app_lbs`.`lbs_height` AS `lbs_height`,`app_lbs`.`src_id` AS `src_id`,`o`.`date_create` AS `date_create`,`o`.`order_state_lbs` AS `order_state_lbs`,`o`.`client_code` AS `client_code`,`o`.`camp_id` AS `camp_id`,`o`.`camp_name` AS `camp_name`,`o`.`location` AS `location`,`o`.`complete` AS `complete`,`o`.`lbc_total_count` AS `lbc_total_count`,`o`.`client_id` AS `client_id`,`o`.`uf1` AS `uf1`,`o`.`uf2` AS `uf2`,`o`.`uf3` AS `uf3`,`o`.`uf4` AS `uf4`,`o`.`uf5` AS `uf5`,`o`.`uf6` AS `uf6`,`o`.`uf7` AS `uf7`,`o`.`uf8` AS `uf8`,`o`.`uf9` AS `uf9`,`o`.`uf23` AS `uf23`,`o`.`uf24` AS `uf24`,`o`.`uf25` AS `uf25`,`o`.`uf26` AS `uf26`,`o`.`uf27` AS `uf27`,`o`.`uf28` AS `uf28`,`o`.`uf29` AS `uf29`,`o`.`area` AS `area`,`o`.`country` AS `country`,`o`.`city` AS `city`,round(`app_lbs`.`lbs_width` * `app_lbs`.`lbs_height` / 10000,2) AS `square` from (`app_lbs` join `v_orders` `o` on(`app_lbs`.`order_id` = `o`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_orders`
--

/*!50001 DROP VIEW IF EXISTS `v_orders`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_orders` AS select `o`.`id` AS `id`,`o`.`shop_id` AS `shop_id`,`o`.`camp_id` AS `camp_id`,`o`.`date_done` AS `date_done`,`o`.`order_user_id` AS `order_user_id`,`o`.`date_create` AS `date_create`,`o`.`uf1` AS `uf1`,`o`.`uf2` AS `uf2`,`o`.`uf3` AS `uf3`,`o`.`uf4` AS `uf4`,`o`.`uf5` AS `uf5`,`o`.`uf6` AS `uf6`,`o`.`uf7` AS `uf7`,`o`.`uf8` AS `uf8`,`o`.`uf9` AS `uf9`,`o`.`uf10` AS `uf10`,`o`.`uf11` AS `uf11`,`o`.`uf12` AS `uf12`,`o`.`uf13` AS `uf13`,`o`.`uf14` AS `uf14`,`o`.`uf15` AS `uf15`,`o`.`client_id` AS `client_id`,`o`.`notes` AS `notes`,`o`.`order_state_code` AS `order_state_code`,`o`.`ws_link` AS `ws_link`,`o`.`code` AS `code`,`o`.`lbc_todo_count` AS `lbc_todo_count`,`o`.`lbc_total_count` AS `lbc_total_count`,`o`.`location` AS `location`,`o`.`uf21` AS `uf21`,`o`.`uf23` AS `uf23`,`o`.`uf24` AS `uf24`,`o`.`uf25` AS `uf25`,`o`.`uf26` AS `uf26`,`o`.`uf27` AS `uf27`,`o`.`uf28` AS `uf28`,`o`.`uf29` AS `uf29`,`o`.`area` AS `area`,`o`.`country` AS `country`,`o`.`city` AS `city`,`o`.`client_code` AS `client_code`,`o`.`camp_name` AS `camp_name`,`o`.`order_state` AS `order_state`,`o`.`declined` AS `declined`,`o`.`confirmed` AS `confirmed`,`o`.`accepted` AS `accepted`,`o`.`uploaded` AS `uploaded`,`o`.`approved` AS `approved`,`o`.`hires` AS `hires`,`o`.`printed` AS `printed`,`o`.`rejected` AS `rejected`,`o`.`complete` AS `complete`,`o`.`order_state_lbs_code` AS `order_state_lbs_code`,`order_states`.`name` AS `order_state_lbs` from (`v_orders2` `o` join `order_states` on(`o`.`order_state_lbs_code` = `order_states`.`code`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_orders0`
--

/*!50001 DROP VIEW IF EXISTS `v_orders0`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_orders0` AS select `ord`.`id` AS `id`,`ord`.`shop_id` AS `shop_id`,`ord`.`camp_id` AS `camp_id`,`ord`.`date_done` AS `date_done`,`ord`.`order_user_id` AS `order_user_id`,`ord`.`date_create` AS `date_create`,`ord`.`uf1` AS `uf1`,`ord`.`uf2` AS `uf2`,`ord`.`uf3` AS `uf3`,`ord`.`uf4` AS `uf4`,`ord`.`uf5` AS `uf5`,`ord`.`uf6` AS `uf6`,`ord`.`uf7` AS `uf7`,`ord`.`uf8` AS `uf8`,`ord`.`uf9` AS `uf9`,`ord`.`uf10` AS `uf10`,`ord`.`uf11` AS `uf11`,`ord`.`uf12` AS `uf12`,`ord`.`uf13` AS `uf13`,`ord`.`uf14` AS `uf14`,`ord`.`uf15` AS `uf15`,`ord`.`client_id` AS `client_id`,`ord`.`notes` AS `notes`,`ord`.`order_state_code` AS `order_state_code`,`ord`.`ws_link` AS `ws_link`,`ord`.`code` AS `code`,(select count(0) from `v_lbc` where `v_lbc`.`order_id` = `ord`.`id` and (`v_lbc`.`lb_done_count` is null or `v_lbc`.`lb_done_count` < `v_lbc`.`lb_count`)) AS `lbc_todo_count`,(select count(0) from `v_lbc` where `v_lbc`.`order_id` = `ord`.`id`) AS `lbc_total_count`,`locations`.`name` AS `location`,`locations`.`uf21` AS `uf21`,`locations`.`uf23` AS `uf23`,`locations`.`uf24` AS `uf24`,`locations`.`uf25` AS `uf25`,`locations`.`uf26` AS `uf26`,`locations`.`uf27` AS `uf27`,`locations`.`uf28` AS `uf28`,`locations`.`uf29` AS `uf29`,`locations`.`area` AS `area`,`locations`.`country` AS `country`,`locations`.`city` AS `city`,`clients`.`code` AS `client_code`,`camps`.`name` AS `camp_name`,`order_states`.`name` AS `order_state` from ((((`orders` `ord` left join `locations` on(`ord`.`shop_id` = `locations`.`id`)) join `clients` on(`ord`.`client_id` = `clients`.`id`)) left join `camps` on(`ord`.`camp_id` = `camps`.`id`)) join `order_states` on(`ord`.`order_state_code` = `order_states`.`code`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_orders1`
--

/*!50001 DROP VIEW IF EXISTS `v_orders1`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_orders1` AS select `o`.`id` AS `id`,`o`.`shop_id` AS `shop_id`,`o`.`camp_id` AS `camp_id`,`o`.`date_done` AS `date_done`,`o`.`order_user_id` AS `order_user_id`,`o`.`date_create` AS `date_create`,`o`.`uf1` AS `uf1`,`o`.`uf2` AS `uf2`,`o`.`uf3` AS `uf3`,`o`.`uf4` AS `uf4`,`o`.`uf5` AS `uf5`,`o`.`uf6` AS `uf6`,`o`.`uf7` AS `uf7`,`o`.`uf8` AS `uf8`,`o`.`uf9` AS `uf9`,`o`.`uf10` AS `uf10`,`o`.`uf11` AS `uf11`,`o`.`uf12` AS `uf12`,`o`.`uf13` AS `uf13`,`o`.`uf14` AS `uf14`,`o`.`uf15` AS `uf15`,`o`.`client_id` AS `client_id`,`o`.`notes` AS `notes`,`o`.`order_state_code` AS `order_state_code`,`o`.`ws_link` AS `ws_link`,`o`.`code` AS `code`,`o`.`lbc_todo_count` AS `lbc_todo_count`,`o`.`lbc_total_count` AS `lbc_total_count`,`o`.`location` AS `location`,`o`.`uf21` AS `uf21`,`o`.`uf23` AS `uf23`,`o`.`uf24` AS `uf24`,`o`.`uf25` AS `uf25`,`o`.`uf26` AS `uf26`,`o`.`uf27` AS `uf27`,`o`.`uf28` AS `uf28`,`o`.`uf29` AS `uf29`,`o`.`area` AS `area`,`o`.`country` AS `country`,`o`.`city` AS `city`,`o`.`client_code` AS `client_code`,`o`.`camp_name` AS `camp_name`,`o`.`order_state` AS `order_state`,if(exists(select 1 from `revisions` where `revisions`.`order_id` = `o`.`id` and `revisions`.`res` = 'rejected' limit 1),4,0) AS `declined`,if(`o`.`lbc_total_count` > 0 and exists(select 1 from `v_revisions` where `v_revisions`.`order_id` = `o`.`id` and `v_revisions`.`res` = 'confirmed' and `v_revisions`.`stage` = 1 and `v_revisions`.`group_role` = 'RETAIL' limit 1),8,0) AS `confirmed`,if(`o`.`lbc_total_count` > 0 and exists(select 1 from `v_revisions` where `v_revisions`.`order_id` = `o`.`id` and `v_revisions`.`res` = 'confirmed' and `v_revisions`.`stage` = 2 and `v_revisions`.`group_role` = 'RETAIL' limit 1),256,0) AS `approved`,if(`o`.`lbc_total_count` > 0 and `o`.`lbc_todo_count` = 0 and !exists(select 1 from `app_lbs` where `app_lbs`.`order_id` = `o`.`id` and `app_lbs`.`app_statei` < 32 limit 1),32,0) AS `accepted`,if(`o`.`lbc_total_count` > 0 and `o`.`lbc_todo_count` = 0 and !exists(select 1 from `app_lbs` where `app_lbs`.`order_id` = `o`.`id` and `app_lbs`.`app_statei` < 64 limit 1),64,0) AS `uploaded`,if(`o`.`lbc_total_count` > 0 and `o`.`lbc_todo_count` = 0 and !exists(select 1 from `app_lbs` where `app_lbs`.`order_id` = `o`.`id` and `app_lbs`.`hr_name` = '' limit 1),512,0) AS `hires`,if(`o`.`lbc_total_count` > 0 and `o`.`lbc_todo_count` = 0 and !exists(select 1 from `app_lbs` where `app_lbs`.`order_id` = `o`.`id` and `app_lbs`.`app_statei` < 1024 limit 1),1024,0) AS `printed`,if(exists(select 1 from `app_lbs` where `app_lbs`.`order_id` = `o`.`id` and `app_lbs`.`app_statei` = 128 limit 1),128,0) AS `rejected`,if(`o`.`lbc_todo_count` > 0,0,1) AS `complete` from `v_orders0` `o` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_orders2`
--

/*!50001 DROP VIEW IF EXISTS `v_orders2`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_orders2` AS select `o`.`id` AS `id`,`o`.`shop_id` AS `shop_id`,`o`.`camp_id` AS `camp_id`,`o`.`date_done` AS `date_done`,`o`.`order_user_id` AS `order_user_id`,`o`.`date_create` AS `date_create`,`o`.`uf1` AS `uf1`,`o`.`uf2` AS `uf2`,`o`.`uf3` AS `uf3`,`o`.`uf4` AS `uf4`,`o`.`uf5` AS `uf5`,`o`.`uf6` AS `uf6`,`o`.`uf7` AS `uf7`,`o`.`uf8` AS `uf8`,`o`.`uf9` AS `uf9`,`o`.`uf10` AS `uf10`,`o`.`uf11` AS `uf11`,`o`.`uf12` AS `uf12`,`o`.`uf13` AS `uf13`,`o`.`uf14` AS `uf14`,`o`.`uf15` AS `uf15`,`o`.`client_id` AS `client_id`,`o`.`notes` AS `notes`,`o`.`order_state_code` AS `order_state_code`,`o`.`ws_link` AS `ws_link`,`o`.`code` AS `code`,`o`.`lbc_todo_count` AS `lbc_todo_count`,`o`.`lbc_total_count` AS `lbc_total_count`,`o`.`location` AS `location`,`o`.`uf21` AS `uf21`,`o`.`uf23` AS `uf23`,`o`.`uf24` AS `uf24`,`o`.`uf25` AS `uf25`,`o`.`uf26` AS `uf26`,`o`.`uf27` AS `uf27`,`o`.`uf28` AS `uf28`,`o`.`uf29` AS `uf29`,`o`.`area` AS `area`,`o`.`country` AS `country`,`o`.`city` AS `city`,`o`.`client_code` AS `client_code`,`o`.`camp_name` AS `camp_name`,`o`.`order_state` AS `order_state`,`o`.`declined` AS `declined`,`o`.`confirmed` AS `confirmed`,`o`.`accepted` AS `accepted`,`o`.`uploaded` AS `uploaded`,`o`.`approved` AS `approved`,`o`.`hires` AS `hires`,`o`.`printed` AS `printed`,`o`.`rejected` AS `rejected`,`o`.`complete` AS `complete`,greatest(`o`.`order_state_code`,`o`.`accepted`,`o`.`declined`,`o`.`confirmed`,`o`.`uploaded`,`o`.`rejected`,`o`.`approved`,`o`.`hires`,`o`.`printed`) AS `order_state_lbs_code` from `v_orders1` `o` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_packs`
--

/*!50001 DROP VIEW IF EXISTS `v_packs`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_packs` AS select `packs`.`id` AS `id`,`packs`.`date_create` AS `date_create`,`packs`.`sent` AS `sent`,`packs`.`delivery_address` AS `delivery_address`,`packs`.`courier` AS `courier`,`packs`.`pack_code` AS `pack_code`,`packs`.`client_code` AS `client_code`,`packs`.`client_id` AS `client_id`,`packs`.`notes` AS `notes`,`clients`.`name` AS `client_name` from (`packs` join `clients` on(`packs`.`client_id` = `clients`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `v_revisions`
--

/*!50001 DROP VIEW IF EXISTS `v_revisions`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `v_revisions` AS select `revisions`.`id` AS `id`,`revisions`.`order_id` AS `order_id`,`revisions`.`group_id` AS `group_id`,`revisions`.`res` AS `res`,`revisions`.`notes` AS `notes`,`revisions`.`lbs_id` AS `lbs_id`,`revisions`.`stage` AS `stage`,`groups`.`name` AS `group_name`,`groups`.`user_role` AS `group_role`,`lbs`.`name` AS `lbs_name` from ((`revisions` join `groups` on(`revisions`.`group_id` = `groups`.`id`)) left join `lbs` on(`revisions`.`lbs_id` = `lbs`.`id`)) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vd`
--

/*!50001 DROP VIEW IF EXISTS `vd`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vd` AS select `draws`.`id` AS `id`,`draws`.`app_id` AS `app_id`,`draws`.`x` AS `x`,`draws`.`y` AS `y`,`draws`.`width` AS `width`,`draws`.`height` AS `height`,`draws`.`pen_width` AS `pen_width`,`draws`.`zoom` AS `zoom`,`draws`.`color` AS `color` from `draws` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

--
-- Final view structure for view `vu`
--

/*!50001 DROP VIEW IF EXISTS `vu`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb3 */;
/*!50001 SET character_set_results     = utf8mb3 */;
/*!50001 SET collation_connection      = utf8mb3_general_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`root`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `vu` AS select `users`.`id` AS `id`,`users`.`name` AS `name`,`users`.`email` AS `email`,`users`.`user_role` AS `user_role`,`users`.`pass` AS `pass`,`users`.`pass_temp` AS `pass_temp`,`users`.`date_login` AS `date_login`,`users`.`admin` AS `admin`,`users`.`user_type` AS `user_type`,`users`.`client_id` AS `client_id`,`users`.`worker` AS `worker`,`clients`.`name` AS `client` from (`users` left join `clients` on(`users`.`client_id` = `clients`.`id`)) where `users`.`user_type` = 'user' order by `clients`.`name`,`users`.`name` */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2024-05-06 23:43:25
