	on_row_select(selected, id, path){
		// 1. sync the item itself: thumb->tree
		var is_dir = id==0; // DEF TODO: here 'if is path' detected by id==0 which is against DEF USE_PATH_ID - using also ids of paths
		var t = this;
		if(!this.tree_hidden && (is_dir || this.show_files) ){ // if expl hidden - no need to sync; if shown - only if elem present in expl
			var cont = this.get_path_cont(path); 
			var elem = is_dir? this.get_elem(this.get_path_cont(path)) : this.get_id_elem(id); // path not contains name
			this.set_elem_sel(elem, selected);
		}
		// si
		if( is_dir ){
			if(selected)
				this.si_add_path(path, function(){t.path_to_detail_selection();}); // ajax! thus can call path_to_detail_selection only as callback
			else
				this.si_remove_path(path);
		}else{
			if(selected)
				this.si_add_id(path, id);
			else
				this.si_remove_id(path, id);
			// SEL_SYNC TREE-DETAIL  TODO 1 move to this.cascade_elem_sel?
			var det = this.get_id_detail(id);
			this.set_detail_select(det, selected); // quick way to sync - only change one elem  TODO 1 TEST : why need it if on_row_select is called by detail (when detail selects it itself)
		}

		// if(is_path && path=="") this.select_all(state); TODO 1 donno what was for 
		// 2. sync parents (stalk) and child elements
		if(!this.tree_hidden)
			this.cascade_elem_sel1(id, path, selected);
		else{
			this.update_thumb_root(); // this is for the case when user clicks a thumb-file 
			if(selected && is_dir) this.si_add_path(path, function(){t.path_to_detail_selection()} );
			if(!selected && is_dir) {this.si_remove_path(path);t.path_to_detail_selection();}
		}
		// 27.07.22 ; found out that on_select not called when select thumb	
		if( this.on_select ) 
			this.on_select( this.find_selection() );
	}
	update_thumb_root(){
		var t = this, root;
		if( (root = this.get_thumb_sect().find(".mc_root")).length ) // if expl hidden - just refresh '.' state
			this.si_check_path_sel(root.data("path"), function(sel){ t.set_detail_select(root, sel) } );
	}



	//si_path_list{}; // additional array to know completely selected paths; CSP
	// NOTE: is async ; to use it's result - need pass callback
	si_add_path(path,callback=null,add_sel=true){
		var t = this;
		// TODO 1: why call ajax if already in si_list_all?
		if(!add_sel && (path in this.si_list_all)){ callback(); return; } // if func was used only to refresh all files cache and cache already contains it - just all callback
		this.xhr = $.ajax(this.acid("find_path_ids", { //returns ids grouped by path, each path contains immediate childs ids
			data: {'path': path, 'cond' : this.table_where}, // need it in recursive search; NOTE: in normal search it's better to take info from file cache
			success: function(res, bla, request){
				var stat = JSON.parse(res);
				if( (typeof stat)==='object'){
					if(add_sel)
					merge_object( t.si_list, stat, true );
					merge_object( t.si_list_all, stat );
					//if(!(path in this.si_path_list)) si_path_list.push(path);  // CSP TODO: check if already contains super path?
				}
				if(callback)
					callback();
			}
		}))
	}
	// checks if a path is fully selected comparing cache of all files (must be already set) with cache of sel files ; TODO: this is an std algo to compare two arrays, could move to utils
	si_check_path_sel1(path){ 
		for(let cp in this.si_list_all)
			if( cp.startsWith(path) )
				if( !(cp in this.si_list) || this.si_list_all[cp].length > this.si_list[cp].length )
					return false;
		return true;
	}
	// checks if a path is fully selected comparing cache of all files; if necessary - refreshes cache by ajax
	si_check_path_sel(path, callback){
		var t = this;
		this.si_add_path(path, function(){
			callback(t.si_check_path_sel1(path));
			// 27.07.22 ; this is called also from on_row_select, but latter may use ajax and not update info at call moment
			if( t.on_select ) 
				t.on_select( t.find_selection() );
			}, false );
	}
			
	// remove path and all subpaths
	si_remove_path(path){
		var paths = Object.keys(this.si_list); // NOTE: pre-select keys, while object will be modified
		for(i=0;i<paths.length;i++)
			if( paths[i].startsWith(path) )
				delete this.si_list[paths[i]];
		//this.si_path_list.splice( si_path_list.indexOf(path), 1 ); // CSP TODO: remove subpaths?
	}	
	si_add_id(path, id){
		id = id.toString();
		if( !(path in this.si_list) ) 
			this.si_list[path] = [];
		if( !this.si_list[path].includes(id) )
			this.si_list[path].push(id);
		// TODO 1: CSP actually here also need update path list; need request all path ids and check if now path is compl selected; dono if it's obligatory; anyway ids are present; what about subfolders....
	}

	si_remove_id(path, id){
		id = id.toString();
		if( !(path in this.si_list) ) throw "bug, path missing in si";
		this.si_list[path].splice( this.si_list[path].indexOf(id), 1 );
		//this.si_path_list.splice( si_path_list.indexOf(path), 1 ); // CSP ; now not completely selected ; subfolders?...
	}
	si_reset(){ this.si_list = {}; this.si_list_all= {}; }
	si_find_all(){
		var res = [];
		for(let path in this.si_list)
			res = res.concat( this.si_list[path] ); // TEST
		return res;
	}
	si_get_path(path){ /*path = append_slash(path);*/ return path in this.si_list? this.si_list[path] : []; } // normally path always present

