<?php
	require_once(dirname(__FILE__)."/../path.php");
        require_once(proj_path."view/lang.php");

	// ---------------------------------------------------------------------------
	//		MODEL	
	// ---------------------------------------------------------------------------

	function get_file_types(){
		return array('jpeg','indd','pdf','idml');
	}

	// ---------------------------------------------------------------------------
	//			VIEW
	// ---------------------------------------------------------------------------

	define ("field_list_basic", "id, date_mod, path, name, processed, thumb_small, thumb_medium, dummy1, dummy2");
	function basic_fields_captions(){
		//return array("id" => "#id", "date_mod" => "data", "subject" => "oggetto"); // FIDE format
		// NOTE: this fields must be in tt/model/db.php field_list_basic
		return array(
			"RES_checked" => "C", // CB_SEL_REC
			"id" => "#id",
			"date_mod" => lp("date"),
			"path" => "#".lp("path"),
			"name" => "#".lp("name"),
			"dummy1" => lp("D1"),
			"dummy2" => lp("D2")
		); // FIDE format
	}

	// MUSD
	//function get_def_user_dir($user_id){ return db\select_field("users", "user_dir", "id=$user_id"); } // NOTE: for archive it's ""
	//function user_dir_allowed($user_id, $check_dir, $write=false){ 
	function get_filter_fields(){ // when only need compile where - do not need file types // NOTE: sometimes (when only build user request) do not need options; in this case no need to read file types; so maybe pass some param here: $req_only=false
		$file_types = get_file_types();
		return array (
			 // NOTE: 'predicative' added 29.11.18 to realize ability to 'and' (instead of usual 'or') the search criterion (for the case when it's an array)
			 array('id' => "sf_path", 	"type" => "text", 	"field" => "path", 	"operation" => "like",	"caption" => lp("path"), 	"string" => 1, 	"class" => "ttc_filter_path", 	'placeholder' => lp("name_part"), 'predicative' => 'and', "explode" => "+"), 
			 array('id' => "sf_name", 	"type" => "text", 	"field" => "name", 	"operation" => "like",	"caption" => lp("name"), 		"string" => 1, 	"class" => "", 	'placeholder' => lp("path_part"), 	   'predicative' => 'and', "explode" => "+"),  // PATH/NAME
			 array('id' => "sf_dummy1", 	"type" => "text", 	"field" => "dummy1", 	"operation" => "like",	"caption" => lp("d1"), 		"string" => 1, 	"class" => "", 	'placeholder' => lp("path_part"), 	   'predicative' => 'and'),  // PATH/NAME
			 array('id' => "sf_dummy2", 	"type" => "text", 	"field" => "dummy2", 	"operation" => "like",	"caption" => lp("d2"), 		"string" => 1, 	"class" => "", 	'placeholder' => lp("path_part"), 	   'predicative' => 'and'),  // PATH/NAME
			 array('id' => "sf_data_from","type" => "date", 	"field" => "date_mod", 	"operation" => ">=", 	"caption" => lp("from"),		"string" => 1, 	"class" => "ttc_search_datepicker"),
			 array('id' => "sf_data_till","type" => "date", 	"field" => "date_mod", 	"operation" => "<=",	"caption" => lp("till"),		"string" => 1, 	"class" => "ttc_search_datepicker"),
			 array('id' => "sf_file_type","type" => "select", 	"field" => "file_type",	"operation" => "=",	"caption" => lp("file_type"),	"string" => 1, 	"class" => "ttc_search_select", 'options' => $file_types , "default" => "") // NOTE: 'options' are set dynamically
		);
	}

	/* moved again to db.php function trar_src(){return source_path;}
	function trar_path($path){return $path;}*/
?>
