<?php
	require_once(dirname(__FILE__)."/../path.php");
	require_once(proj_path."view/lang.php");
	require_once(proj_path."model/db.php"); // get_location_md

	// ---------------------------------------------------------------------------
	//		MODEL	
	// ---------------------------------------------------------------------------

	function get_file_types(){
		return array('jpeg','indd','pdf','idml');
	}

	// ---------------------------------------------------------------------------
	//			VIEW
	// ---------------------------------------------------------------------------

	define ("field_list_basic", "id, path, name, notes, client_id, uf21, uf22, uf23, uf24, uf25, uf26, uf27, uf28, uf29");

	function get_shop_fields(){
		$res = array(
			array("field" => "id", 		"type" => "number",	"caption" => lp('ID'), "data" => 1, "usage" => "LS"),
			array("type" => "text", 	"field" => "path", "caption" => lp("path"),	"data" => 1, "class" => "ttc_filter_path", 'usage' => "LS", 'placeholder' => lp("path_part"), 'predicative' => 'and', "explode" => "+"),   // PATH/NAME
			array("type" => "text", 	"field" => "name", "caption" => lp("name"),	"data" => 1, 'placeholder' => lp("name_part")),
			//array("type" => "text", 	"field" => "code", "caption" => lp('code'),	'placeholder' => 'code'), 
			array("type" => "text", 	"field" => "notes", "caption" => lp("notes")), // TODO: use textarea
			array("field" => "client_id",	"type" => "number",	"caption" => lp('ID'), "data" => 1, "usage" => ""), 
		);
		$db = get_location_md();
		return $db? array_merge($res, fdef_db_to_fd_all($db)) : $res;
	}

	function basic_fields_captions(){  // get_shop_list_fields
		return fdef_fd_to_list(get_shop_fields(),1,1);
	} // TODO: this stuff is used in tt/contr, need instead pass it directly from js

	function get_filter_fields(){ return fdef_fd_to_fide_all( get_shop_fields(), "sf_" );} // get_shop_search_fields

	function get_new_shop_fields(){ 
		return fdef_fd_to_fide_all( get_shop_fields(), "ns_", "N");
	}

?>
