<?php
	require_once(dirname(__FILE__)."/../path.php");
	require_once(proj_path."view/lang.php");
	require_once(proj_path."model/db.php"); // get_location_md

	// ---------------------------------------------------------------------------
	//		MODEL	
	// ---------------------------------------------------------------------------

	function get_file_types(){
		return array('jpeg','indd','pdf','idml');
	}

	// ---------------------------------------------------------------------------
	//			VIEW
	// ---------------------------------------------------------------------------

	define ("field_list_basic", "id, path, name, uf1, uf2, uf3, uf4, uf5,processed,thumb_small,thumb_medium");

	function get_lowres_fields(){
		$res = array(
			array("field" => "id", 		"type" => "number",	"caption" => lp('ID'), "data" => 1, "usage" => "L"),
			array("type" => "text", 	"field" => "path", "caption" => lp("path"),	"data" => 1, "class" => "ttc_filter_path", 'usage' => "L", 'placeholder' => lp("path_part"), 'predicative' => 'and', "explode" => "+"),   // PATH/NAME
			array("type" => "text", 	"field" => "name", "caption" => lp("name"),	"data" => 1, 'placeholder' => lp("name_part"), 'usage' => "L")
		);
		$db = get_md("lowres_files");
		return $db? array_merge($res, fdef_db_to_fd_all($db)) : $res;
	}

	function basic_fields_captions(){  // get_shop_list_fields
		return fdef_fd_to_list(get_lowres_fields(),1,1);
	} // TODO: this stuff is used in tt/contr, need instead pass it directly from js

	function get_filter_fields(){ return fdef_fd_to_fide_all( get_lowres_fields(), "sf_" );}


?>
