<?php
// Alex Nosurov 12.02.18

require_once dirname(__FILE__)."/../path.php";
require_once(proj_path."utils/utils.php");

//	SHARE this function is set individually by each project
if(!function_exists("get_filter_fields")){
function get_filter_fields(){ // when only need compile where - do not need file types
	$res = array (
		 // NOTE: 'predicative' added 29.11.18 to realize ability to 'and' (instead of usual 'or') the search criterion (for the case when it's an array)
		 array('id' => "sf_name", 	"type" => "text", 	"field" => "name", 	"operation" => "like",	"caption" => 'nome', 	"string" => 1, 	"class" => "", 	'placeholder' => 'una parte del nome', 'predicative' => 'and'), 
		 array('id' => "sf_path", 	"type" => "text", 	"field" => "path", 	"operation" => "like",	"caption" => 'percorso', 	"string" => 1, 	"class" => "", 	'placeholder' => 'una parte del percorso', 'predicative' => 'and'), 
		 array('id' => "sf_data_from","type" => "date", 	"field" => "date_mod", 	"operation" => ">=", 	"caption" => 'da',		"string" => 1, 	"class" => "ttc_search_datepicker"),
		 array('id' => "sf_data_till","type" => "date", 	"field" => "date_mod", 	"operation" => "<=",	"caption" => 'a',		"string" => 1, 	"class" => "ttc_search_datepicker"),
		 array('id' => "sf_file_type","type" => "select", 	"field" => "file_type",	"operation" => "=",	"caption" => 'tipo file',	"string" => 1, 	"class" => "ttc_search_select"), 
	);
	return $res;
}
	}

// DETA capts are similar to those from filter fields but not always
// this array defines which columns are shown in details table
// TODO: there is a similar definition in show_file_details.php (not used now), should unite them
if(!function_exists("basic_fields_captions")){
function basic_fields_captions(){
	return array("name" => "name", "date_mod" => "modified", "online" => "online"); // FIDE format
}
}
function filter_visible_columns($user_cols){
	$cols = basic_fields_captions(); // default - show all cols from def list
	if(!$user_cols)
		return $cols;
	$cols_res = $cols; // if user requested to show certain columns TABCOL
	//log\debug("user cols: ", $user_cols);
	foreach($cols as $name => $capt)
		if( !in_array($name, $user_cols) )
			if( !starts_with($capt,"#") ) // note: invisible cols are added anyway
				unset($cols_res[$name]);
			else
				$cols_res[$name] = "#"; // 
	return $cols_res;
}
// moved it from show_dir.php to share with show_thumbs.php hoping that the client will inlude this file; DEF FCT
function print_file_cache($files){ echo "<div style='display: none;' class='ttc_file_cache'>" . join(",", array_column($files, "id") ) . "</div>";} // HIDEFILES_CACHE save file list in a hidden div
?>
