<?php
/*
	21.01.20
	stuff moved from show_file_details to be reused (by cloud.emails.php)
*/
	require_once(dirname(__FILE__)."/../path.php");
        require_once(proj_path."view/lang.php"); // should be first

	// NOTE: it's translated later (after inserted to html), while at call time lang may be unknown
	$detail_captions = array(
		"id" => '$id$',
		"name" => '$name$', // used in notify_download TODO: now not used, remove
		"thumb_medium" => '',
		"thumb_small" => '',
		"size" => '$size$',
		"date_ins" => '$date_ins$',
		"file_type" => '$file_type$',
		"resolution" => '$resolution$',
		"dimensions" => '$dimensions$',
		"color_model" => '$color_model$',
		"color_depth" => '$color_depth$',
		"compression" => '$compression$',
		"orientation" => '$orientation$'
		/*
		"date_mod" => '$date_mod$',
		"page_count" => '$page_count$',
		//"path" => '$percorso$',
		//"online" => '$$',
		"pool_code" => '$pool_code$',
		"date_backup" => '$date backup$',*/
	);

	function get_detail_fields(){global $detail_captions; return implode(",", array_keys($detail_captions)); }

	//$params = db\select_record($table, implode(",", array_keys($detail_captions)), "id=$id");

	// params - db format k-v
	function print_params($params){
		global $detail_captions;
		if(isset($params['size']))
			$params['size'] = size_to_human( $params['size'] );// correct size to human representation
		$res = "";
		foreach($detail_captions as $field => $caption){
			if( empty($caption) ) continue;
			if( !isset($params[$field]) ) continue; // 14.09.20 now exclude name (for gl bzik), so it's not in array
			$value = $params[$field];
			if(isset($value) && $value!='' && $value!= '0x0') // evitare i valori vuoti/incorretti
				$res.=  "<tr><th>$caption</th><td>$value</td></tr>";
		}
		if(isset($params["date_expire"])) $res.= "<tr><th>".'$expire_date$'."</th><td>".$params["date_expire"]."</td></tr>"; // bzik date_expire; can't just put it to detail_captions - this list is used to query db, while date_expire is not in db
		return "<table class='tt_file_params'>$res</table>";
	}
	function print_thumb($params, $type="small", $thumb_path=""){
		$field = $type=="small"? "thumb_small" : "thumb_medium";
		$dir = $thumb_path? $thumb_path : ($type=="small"? thumb_small_path : thumb_medium_path);
		$img = empty( $thumb=$params[$field])? "img/no_image.png" : table_tree_path_rel."$dir$thumb";
		$img = base_url.proj_path_rel.$img;
		return "<img class='mc_preview_img' src = '$img'>";
	}
	// this func is used to embed preview in tt; show_file_details.php is used to show it in a standalone page
	function print_preview($params, $thumb_path=thumb_medium_path){
		return "<div class = 'tt_image_div' >".
			"<div class='tt_preview_close'>  </div>".
				print_thumb($params, "medium", $thumb_path).
			"</div>
			<div class = 'table-responsive'>
				<table class = 'table table-condensed'>
				<tbody>".
					lpp_html(print_params($params)).
				"</tbody>
				</table>
			</div>";
	}



