<?php
	require_once(dirname(__FILE__)."/../path.php");
	require_once(dirname(__FILE__)."/metadata.php"); // basic_fields_captions DETA
	require_once(proj_path."utils/table.php"); // DETA

if(!function_exists("show_thumbs")){ // SHARE
function print_thumb_image($thumb_full_path, $path_esc="", $ot=""){ return '<img draggable=true src="' . $thumb_full_path . '" title="'. $path_esc .' '.$ot.'" alt="' . $path_esc . '" class="mc_thumb_image" >';} // had to encaps. it to use in contr for WATH while js can't update 
function show_thumbs($files, $thumb_dir, $show_online=true){ // TODO: thumbs must be inside .clickable-table to make make_clickable() work (note: also need add pager)
	foreach($files as $file){
		$img_path = table_tree_path_rel.'img';
		$id = $file['id'];
		$path = $file['path'];
		$path_esc = htmlspecialchars( $path, ENT_QUOTES);
		$capt = $file["name"];	if(($s=strlen($capt))>40) $capt = substr($capt, 0, 20)."...".substr($capt, $s-15); $capt = htmlspecialchars( $capt, ENT_QUOTES); // THUMB_JUMP
		$name_esc = htmlspecialchars( $file["name"], ENT_QUOTES);
		$thumb = $file['thumb_small'];
		//if(  !$thumb  ) 	$thumb = get_or_def( $def_thumbs, $file['file_type'], "");  .... //  TODO 3: DEF_TH_DB ups, no file type here
		// shorten long paths to aaa...bbb
		//$max_len = 80; $short = $path; if( strlen($short) > $max_len)	$short = substr($path, 0, $max_len/2)."...".substr($path,-$max_len/2); // not use it while do not show full path anymore; instead show it in hint
		// img path: if empty - use def one
		$thumb_full_path = $thumb? table_tree_path_rel.$thumb_dir.$thumb: $img_path."/no_image.png";
		//if(!$thumb) $thumb_full_path = upload_thumb_path.session_id().'/'.$file["name"]; // used in ws TODO: generalize; NOTE: NO_FU_THUMB this was used to show fu thumbs in tt, it's necessary when abc thumbs aren't yet ready; if use it - need delete temp thumbs
		$wc = "";
		if(!$thumb && !$file["processed"]) {$thumb_full_path = "img/wait.gif"; $wc = "mc_wait_thumb";} // DEF WATH WAit THumb ; stuff to show wait thumb until real is found and to refresh when is found;
		$offline = isset($file["online"]) && isset($file["pool_code"]) && $show_online && !$file["online"] && !$file["pool_code"]; // 29.09.20 added control of pool_code
		$oc = $offline? "mc_offline" : "";  //  ONLINE_STAT
		$ot = $offline? lpp('($offline$)') : "";  //  ONLINE_STAT
		echo "<div data-id='$id' data-path=\"$path_esc\" data-name=\"$name_esc\" class='thumb mc_file text-center $wc $oc' >";  // new 5.1.20 added clickable-row to use make_clickable for thumbs
			//echo '<div class="contenitore_thumb" style="background-image:url(' . $thumb_full_path . ')" alt="' . $path_esc . '">'.print_thumb_image($thumb_full_path, $path_esc).'</div>';
			echo '<div   alt="' . $path_esc . '">'.print_thumb_image($thumb_full_path, $path_esc.$name_esc, $ot).'</div>';
			echo "<div class='RES_checked'></div>"; // class name made so to make make_clickable work
			//if($show_online) echo "<div class='file_state'>".($online?"ONLINE":"OFFLINE")."</div>";
			//echo "<div class='file_name_div' ><a href='#' title='".lp("preview")."' class='file-ref'>$capt</a></div>";
			echo "<div class='file_name_div' ><x title='".lp("preview")."' class='file-ref'>$capt</x></div>";
		echo '</div>';
	}
}
}
// DEF DIRTHUMB show dirs in thumbs pane; 9/9/19
// now paths are passed as plain array; this refers PIT problems - normally should pass ids to controller which then should use get_open_dir_info_folder_list to get array of arrays
function show_folders($folders, $path, $files_all){ // 8.1.23; added files cache  DEF FCT; NOTE: all dirs need (not only '.' while detail may contain a tree (find result) )
	echo "<div class='tc_dots'>"; // both "." and ".." are enclosed in the tc_dots div; seems need it just to have new line after them TODO quickfix
	// level up dir
	if($path){ // DEF THUMB_UP stuff to show level up in thumbs
		$parent_path = trim(dirname($path),".");
		aes($parent_path);
		_print_folder( $parent_path, "..", false);
	}
	// curr dir
	_print_folder( $path, ".", true, $files_all); // this is printed with checkbox, used to select all items of upper level SELALL
	echo "</div>"; // dots
	// subdirs
	foreach($folders as $folder){
		$path = $folder["path"];
		_print_folder($path, basename($path), true, $files_all);
	}
}
function _print_folder($path, $name, $print_cb=true, /*FCT*/$files_all=null){
		//log\debug("print_folder: path: '$path' name: '$name'");
		$thumb_full_path  = table_tree_path_rel."img/folder_big.png";
		$path_esc = htmlspecialchars( $path, ENT_QUOTES);
		$name_esc = htmlspecialchars( $name, ENT_QUOTES);
		$root = $name=='.'? "mc_root" : ""; // if path is empty - cant't find it by usual data-path='', so use this class
		$up = $name=='..'? "mc_level_up" : ""; // if path is empty - cant't find it by usual data-path='', so use this class
		echo "<div class='thumb thumb-dir mc_dir text-center $root $up' data-id='0' data-path=\"$path_esc\" data-name=\"$name_esc\">";
			echo "<div><img src=\"$thumb_full_path\"" . 
				" title='$path_esc' class='folder_click mc_thumb_image' style='width:64px;height:64px;'></div>";
			if($print_cb)
			echo "<div class='RES_checked'></div>"; // class name made so to make make_clickable work NOTE: this must be after img, otherwise event click target is img
		echo "<div class='file_name_div' >$name_esc</div>";
		if($files_all) print_file_cache($files_all); // FCT
		echo "</div>";
}

// DEF DETA DEtails TAble; showing files info as a table (in thumb pane);
function show_details_table($files, $captions){
	//$table_name = "tt_detail"; // dummy?
	global $table_tree; $table_name = $table_tree;
	//echo "<div class='ttc_flex_body fh-table'>" . render_table($table_name, $captions, $files) . "</div>";
	echo render_table($table_name, $captions, $files);
}
?>
