<?php
	/*
		Author: Alex Nosurov
		Created: 13.01.20 
	*/
	
	require_once(dirname(__FILE__)."/path.php");
	require_once(proj_path."view/lang.php");
	require_once(proj_path."view/metadata.php");
	require_once(proj_path."contr/login.php");
	require_once(proj_path."utils/menu.php");

	if(ur_get_name()!="ADMIN"){
		header("Location: ".base_url.proj_path_rel."index.php");  // only admin can access this page
	}

?>
<html lang="en">
	<head>
		<?php echo lang_html_load('html/standard_head.html', false, array("title" => project_title, "icon" => project_icon)); ?>
		<link href = 	"table_tree/css/style.css" rel="stylesheet">
		<link href = 	"table_tree/css/search.css" rel="stylesheet">
		<link href = 	"css/table.css" rel="stylesheet">
		<link href = 	"css/apap.css" rel="stylesheet">
	</head>
	<body style='background: url("<?php echo get_background_path(); ?>") no-repeat center center fixed;'> 
                <!-- table_tree -->
                <script src="js/table.js"></script>
	
		<div class='bg_cover'></div>
		<?php echo file_get_contents('html/standard_scripts.html'); ?>
		<div class="mc_page_cont" style="height: 100%;">  <!-- if put height to mc_page_cont - preview shown male -->
			<!-- header: row: logo, menu, login  -->
			<div class="mc_page_head">
				<?php echo lang_html_load('html/standard_body_start.html' ); ?>
			</div>
			<div class="mc_page_body mc_page_cont_hor" style="width: 100%;">  <!-- if put height to mc_page_cont - preview shown male -->
				<div class="mc_page_head mc_menu" id="mi_main_menu_vert"></div>
				<div class="mc_page_body mc_page_cont">
					<div id="tt_table_tree_div" class='mc_page_body mc_tt_cont ttc_fullscreen tc_single_table'> <!-- TODO maybe non need this cont -->
						<?php echo lang_html_load('html/table.html' ); ?>
					</div>
				</div>
			</div>
			<div class="mc_page_head mc_puh_div hidden"></div> <!-- DEF PUH Pop Up Help: shown as user does sms; depends on curr user action -->
		</div>
		<script>
			// EVENTS
			function on_show(){
				insert_images( $('#table-user_actions .clickable-row'), 'td-user_actions-importance', ['1','2','3','4','5'], "img/", ['info1.png','info2.png','info3.png','info4.png','info5.png'], ['info','low','medium','high','higher','highest'] );
			}
			var table_name = "user_actions", alias_name = "user_actions";
			$(document).ready( function(){
				set_ajax_error_handler(); 
				var fields = JSON.parse( call_php_sync("contr/main.php", {"action" : "get_table_fields", alias: alias_name, table: table_name}, 'POST').resp_text ); 
				var ua = new Tablo(".tt_thumbs_form", $(".mc_search_panel"), table_name, fields.list, fields.search,null,null,alias_name);
				ua.on_show = on_show;
				ua.ro_set("date_action", "desc");
				ua.show();
			});
		</script>
	</body>
</html>
