<?php
// DEF FIDE FIelds DEfinitions format
// contains fields definitions for all used tables
// contains name => caption pairs; if caption is empty - is not to be shown (or invisible)
// if field caption is prepended by # - means need add data-field to the tr (and remove #)
// field declarations are passed by controller to view/table.php:render_table
// 6.06.18 added menu definition here (previoius was in controller)

	require_once(dirname(__FILE__)."/lang.php");
	require_once(dirname(__FILE__)."/fields.php");

	// LB: here main menu (horizontal) contains only logo referring index.php
	function get_main_menu($is_admin=0){
		$menu = array(	
				// 'logo' => 'index.php', TODO TODO 1: use portal icon as main icon	
		); // menu handlers are in js (js/archive.js)
		return $menu;
	}
	function get_main_menu_mobile($is_admin=false){
		return array(	
			lp("settings") => "settings.php",
		); 
	}
	
	// UR
	function get_mainmenu(){ return $_SESSION['worker']?
		array(
			"home" => 		array("title" => lp("Home"), 		"icon" => "fa fa-home fa-fw-20", 		"class" => "mc_home", 		"url" => "index.php"),
			"orders" => 	array("title" => lp("Orders"), 		"icon" => "fas fa-calendar-check fa-fw-20","class" => "mc_apf", 	"url" => "orders.php"),
			"users" => 		array("title" => lp("Users"), 		"icon" => "fa fa-users fa-fw-20", 		"class" => "mc_users", 		"url" => "users.php"),
			"groups" => 	array("title" => lp("Groups"), 		"icon" => "fas fa-users-cog fa-fw-20", 	"class" => "mc_groups", 	"url" => "groups.php"),
			"clients" => 	array("title" => lp("Clients"),		"icon" => "far fa-address-book fa-fw-20",	"class" => "", 			"url" => "clients.php"),
			"lbs" => 		array("title" => lp("Reports"), "icon" => "fas fa-calculator fa-fw-20", 	"class" => "", 				"url" => "lbs.php"),
			"archive" => 	array("title" => lp("Orders_archive"), "icon" => "fa fa-archive fa-fw-20", 	"class" => "mc_archive","url" => "orders.php?arch"),
			"packs" => 		array("title" => lp("Packages"), "icon" => "fas fa-box fa-fw-20", 	"class" => "mc_packs","url" => "packs.php")
		)
		:
		array(
			"home" => 		array("title" => lp("Home"), 		"icon" => "fa fa-home fa-fw-20", 		"class" => "mc_home", 		"url" => "index.php"),
			"campaigns" => 	array("title" => lp("Campaigns"), 	"icon" => "fa fa-globe fa-fw-20", 		"class" => "mc_campaigns", 	"url" => "campaigns.php"),
			"shops" => 		array("title" => lp("Locations"), 	"icon" => "fa fa-shopping-bag fa-fw-20","class" => "mc_stores", 	"url" => "shops.php"),
			"ozon" => 		array("title" => lp("Orders"), 		"icon" => "fas fa-calendar fa-fw-20",	"class" => "", 				"url" => "ozon.php"),
			"orders" => 	array("title" => lp("Orders"), 		"icon" => "fas fa-calendar-check fa-fw-20","class" => "", 			"url" => "orders.php"),
			"users" => 		array("title" => lp("Users"), 		"icon" => "fa fa-users fa-fw-20", 		"class" => "mc_users", 		"url" => "users.php"),
			"groups" => 	array("title" => lp("Groups"), 		"icon" => "fas fa-users-cog fa-fw-20", 	"class" => "mc_groups", 	"url" => "groups.php"),
	//		"hires" => 		array("title" => lp("High_resolution"), "icon" => "fas fa-image fa-fw-20", 	"class" => "", 				"url" => "hires.php"),
			"lowres" => 	array("title" => lp("Low_resolution"), "icon" => "fas fa-images fa-fw-20", 	"class" => "", 				"url" => "hires.php?table=lowres"),
			"lbs" => 		array("title" => lp("Reports"), "icon" => "fas fa-calculator fa-fw-20", 	"class" => "", 				"url" => "lbs.php"),
			"md" => 		array("title" => lp("Order_fields"), "icon" => "fa fa-edit fa-fw-20", 	"class" => "", 					"url" => "md.php"),
			"archive" => 	array("title" => lp("Orders_archive"), "icon" => "fa fa-archive fa-fw-20", 	"class" => "mc_archive","url" => "orders.php?arch")
		);
	}
	// LANG thus must correspond to installed langs; to install a lang: need have view/lang/code file with translations; need img/code.png file with image
	$lang_list = array("en" => "english"/*, "ru" => "русский"*/,"it" => "italiano");

	// -------------------------------   MD_ORDERS ------------------------------------------
	$md_order_list_fields = array(
		"RES_checked" => "C", // CB_SEL_REC
		"id" => "#",
		"fname" => lp("name"),
		"caption" => lp("caption"),
		"ftype" => lp("type"),
		"forder" => lp("order"),
		"vdef" => lp("default"),
		"vmin" => lp("minimum"),
		"vmax" => lp("maximum"),
		"vlist" => lp("list")
	);
	$vtlist = array("string", "number", "date", "list", "checkbox");
	$new_md_order_fields = array (
		 array('id' => "nf_fname", 	"type" => "text", 	"field" => "fname", 	"caption" => lp("name"), 	"string" => 1, "class" => "hid"), 
		 array('id' => "nf_caption","type" => "text", 	"field" => "caption", 	"caption" => lp("caption"), 	"string" => 1), 
		 array('id' => "nf_ftype",	"type" => "select", "field" => "ftype",	"caption" => lp("type"), 	"string" => 1,	"class" => "ttc_search_select", "options" => $vtlist),  // DEF ADM_EDIT_LANG to allow admin to edit lang of a user
		 array('id' => "nf_forder",	"type" => "select",	"field" => "forder","caption" => lp("order"), 	"string" => 0,	"class" => "ttc_search_select hid", "options" => [0,1,2,3,4,5,6,7,8,9,10], "default" => "0"), 
		 array('id' => "nf_vdef", 	"type" => "text", 	"field" => "vdef", 	"caption" => lp("default"), "string" => 1,	"class" => ""), 
		 array('id' => "nf_vmin", 	"type" => "text", 	"field" => "vmin", 	"caption" => lp("minimum"), "string" => 1,	"class" => "hid"), 
		 array('id' => "nf_vmax", 	"type" => "text", 	"field" => "vmax", 	"caption" => lp("maximum"), "string" => 1,	"class" => "hid"), 
		 array('id' => "nf_vlist", 	"type" => "text", 	"field" => "vlist",	"caption" => lp("list"), 	"string" => 1,	"class" => "hid")
	);
	//
	// -------------------------------   USER  ------------------------------------------

	// DEF CDF - column def format: kv format; name -> caption; if caption starts with # - means that it's value should be included in data-; if has no name - means hidden;
	$user_list_fields = array(
		"RES_checked" => "C", // CB_SEL_REC
		"id" => "#",
		"name" => lp("name"),
		"email" => lp("email"),
		"user_role" => lp("role"),
		"date_login" => '#'.lp("date_login"),
		"RES_email" => "email" // SEND_CREDENTIALS 
	);
	function get_user_search_fields($user_type){ return array (
		 // NOTE: 'predicative' added 29.11.18 to realize ability to 'and' (instead of usual 'or') the search criterion (for the case when it's an array)
		 // NOTE: FILTERPATH to enable it use ttc_filter_path class
		 array('id' => "sf_name", 	"type" => "text", 	"field" => "name", 	"operation" => "like",	"caption" => lp('name'), 	"string" => 1, 	"class" => "", 	'placeholder' => 'nome', 'predicative' => 'and'), 
		 array('id' => "sf_email", 	"type" => "text", 	"field" => "email", 	"operation" => "like",	"caption" => lp('email'), 	"string" => 1, 	"class" => "", 	'placeholder' => 'ping@pong.it', 'predicative' => 'and'), 
		 array('id' => "sf_role", 	"type" => "select", "field" => "user_role", 	"operation" => "like",	"caption" => lp('role'), 	"string" => 1, 	"class" => "ttc_search_select", 	'placeholder' => '', 'predicative' => 'or', "options" => get_user_roles($user_type), "multiple" => "multiple"),  // TODO multisel
		 array('id' => "sf_data_from","type" => "date", "field" => "date_login", 	"operation" => ">=", 	"caption" => lp('from'),		"string" => 1, 	"class" => "ttc_search_datepicker"),
		 array('id' => "sf_data_till","type" => "date", "field" => "date_login", 	"operation" => "<=",	"caption" => lp('to'),		"string" => 1, 	"class" => "ttc_search_datepicker")
	);}
	function get_new_user_fields($user_type){ 
		global $lang_list;
		return array (
		 array('id' => "nu_lang",	"type" => "select", "field" => "lang", 	"operation" => "=",	"caption" => lp("language"),"string" => 1, 	"class" => "ttc_search_select", "options" => array_keys($lang_list)),  // DEF ADM_EDIT_LANG to allow admin to edit lang of a user
		 array('id' => "nu_name", 	"type" => "text", 	"field" => "name", 	"caption" => lp("name"), 	"string" => 1), 
		 array('id' => "nu_email", 	"type" => "text", 	"field" => "email", 	"caption" => lp("email"), 	"string" => 1), 
		 array('id' => "nu_pass", 	"type" => "text", 	"field" => "pass", 	"caption" => lp("password"), 	"string" => 1), 
		 array('id' => "nu_user_role",	"type" => "select", "field" => "user_role", 	"operation" => "=",	"caption" => lp("role"),"string" => 1, 	"class" => "ttc_search_select", "options" => get_user_roles($user_type), "multiple" => "multiple") 
		 //array('id' => "nu_user_group_role",	"type" => "select", "field" => "user_group_role", 	"operation" => "=",	"caption" => lp("group_roles"),"string" => 1, 	"class" => "ttc_search_select", "keyval" => array(), "multiple" => "multiple")  // DEF SEL_USER_GROUP
	);}

	// -------------------------------   SHOP  ------------------------------------------
	// moved to share/location.php

	// -------------------------------  CAMP  ------------------------------------------
	$camp_list_fields = array(
		"RES_checked" => "C", // CB_SEL_REC
		"RES_detail" => "Details", 
		"id" => "#",
		"name" => "#".lp("name"),
		"season" => lp("season"),
		"camp_year" => lp("year"),
		"date_from" => "#".lp("validity_date_from"), // NOTE: need dates in js to check validity on camp open
		"date_till" => "#".lp("validity_date_till"),
		"dl_visual" => "#".lp("visual_deadline"),
		"dl_produce" => "#".lp("produce_deadline"),
		"dl_approve" => "#".lp("approve_deadline"),
		"camp_state" => "#".lp("state"),
		"path" => "#".lp("path")
	);
	$y = date("Y"); $ys = array($y-2, $y-1, $y, $y+1);
	$camp_search_fields = array (
		 array('id' => "sf_name", 	"type" => "text", 	"field" => "name", 	"operation" => "like",	"caption" => lp('name'), 	"string" => 1, 	"class" => "", 	'placeholder' => 'nome', 'predicative' => 'and'), 
		 array('id' => "sf_date_from", 	"type" => "date", 	"field" => "date_from", 	"operation" => ">=",	"caption" => lp('validity_date_from'), 	"string" => 1, 	"class" => "ttc_search_datepicker", 	'placeholder' => 'date', 'predicative' => 'and'), 
		 array('id' => "sf_date_till", 	"type" => "date", 	"field" => "date_till", 		"operation" => "<=",	"caption" => lp('validity_date_till'), 	"string" => 1, 	"class" => "ttc_search_datepicker", 	'placeholder' => 'date', 'predicative' => 'and'), 
		 array('id' => "sf_season",	"type" => "select",	"field" => "season",	"operation" => "=",	"caption" => lp('season'), 	"string" => 1, 	"class" => "ttc_search_select", 'predicative' => 'and', "options" => array("FW","SS")), 
		 array('id' => "sf_camp_year", 	"type" => "select",	"field" => "camp_year",	"operation" => "=",	"caption" => lp('year'), 	"string" => 0, 	"class" => "ttc_search_select", 'predicative' => 'and', "options" => $ys), 
		 array('id' => "sf_camp_state",	"type" => "select",	"field" => "camp_state","operation" => "=",	"caption" => lp('state'),"string" => 1,	"class" => "ttc_search_select", 'predicative' => 'and', "options" => array('draft','opened','published','closed','archived')) 
	);
	$new_camp = array (
		 array('id' => "nc_camp_year", 	"type" => "select",	"field" => "camp_year",		"caption" => lp("year"), 	"string" => 1, 	"class" => "ttc_search_select", "default" => date("Y"), "options" => array(date("Y"), date("Y")+1) ), 
		 array('id' => "nc_season", 	"type" => "select", "field" => "season",		"operation" => "=",	"caption" => 'season',	"string" => 1, 	"class" => "ttc_search_select", "options" => array("SS", "FW") ),  // SBU 
		 array('id' => "nc_name", 		"type" => "text", 	"field" => "name", 			"caption" => lp("name"), 	"string" => 1), 
		 array('id' => "nc_date_from", 	"type" => "date", 	"field" => "date_from", 	"caption" => lp("validity_date_from"), 	"string" => 1, 	"class" => "ttc_search_datepicker"), 
		 array('id' => "nc_date_till", 	"type" => "date", 	"field" => "date_till", 	"caption" => lp("validity_date_till"), 	"string" => 1, 	"class" => "ttc_search_datepicker"), 
		 array('id' => "nc_dl_visual", 	"type" => "date", 	"field" => "dl_visual", 	"caption" => lp("visual_deadline"), 	"string" => 1, 	"class" => "ttc_search_datepicker"), 
		 array('id' => "nc_dl_produce",	"type" => "date", 	"field" => "dl_produce", 	"caption" => lp("produce_deadline"), 	"string" => 1, 	"class" => "ttc_search_datepicker"), 
		 array('id' => "nc_dl_approve",	"type" => "date", 	"field" => "dl_approve", 	"caption" => lp("approve_deadline"), 	"string" => 1, 	"class" => "ttc_search_datepicker"),
		 array('id' => "nc_path", 		"type" => "text", 	"field" => "path", 			"caption" => lp("path"), 	"string" => 1)  // can't set it from here while can't show 2 md_ss at same time... but use a separate tab for this
	);



	// -------------------------------  ORDERS ------------------------------------------
	// moved to tt/share
	$order_states = array(1 => "draft", 2 => "revise", 4 => "declined", 8 => "confirmed", 16 => "sent", 32 => "accepted", 64 => "uploaded", 128 => "rejected", 256 => "approved", 512 => "hires", 1024 => "packed", 2048 => "complete");
	function get_order_fields($db, $clients=false){
		global $order_states;
		$res = array(
			array("field" => "id", 			"type" => "number",	"caption" => lp('ID'), "data" => 1, "usage" => "LSN"), 
			array("field" => "camp_name",	"type" => "text",	"caption" => lp('campaign'), "data" => 1, "usage" => "LS"),
			array("field" => "area", 		"type" => "text", 	"caption" => lp("area"), "usage" => "LS"),
			//array("field" => "country", 	"type" => "text", 	"caption" => lp("country"), "usage" => "LS"),
			//array("field" => "city", 		"type" => "text", 	"caption" => lp("city"), "usage" => "LS"),
			array("field" => "location", 	"type" => "text", 	"caption" => lp("location"), "usage" => "LS"),
			array("field" => "shop_id", 	"type" => "number",	"caption" => lp("shop")." ".lp('ID'), "data" => 1, "usage" => ""),  // used to filter by shop id on shop click
			array("field" => "date_create",	"type" => "date", 	"caption" => lp('date_create'), "usage" => "LSN"), 
			array("field" => "date_done", 	"type" => "date", 	"caption" => lp('date_done'), "usage" => "LSN"), 
			array("field" => "order_state", "data" => 1, "usage" => ""),
			//array("field" => "order_state_lbs_code","type" => "number", "caption" => lp("state_code"), "data" => 1, "usage" => "LS"),
			array("field" => "order_state_lbs","type" => "select", "caption" => lp("order_state"), "options" => $order_states, "multiple" => "multiple", "data" => 1, "usage" => "LS"), // TODO: use states0 for ozon and states for orders
			//array("field" => "lbc_todo_count","type" => "number","caption" => lp('full'), "data" => 1, "usage" => "LSN"), // note: in db >0 means 'not done' but on page the meaning is inverted: field named 'done' and checkmark present if ==0
			array("field" => "complete","type" => "checkbox","caption" => lp('done'), "data" => 1, "usage" => "LS"), // note: in db >0 means 'not done' but on page the meaning is inverted: field named 'done' and checkmark present if ==0
			array("field" => "lbc_total_count","type" => "number","caption" => lp('count'), "data" => 1, "usage" => "LSN"),
			array("field" => "notes",	"type" => "text",	"caption" => lp('notes'), "usage" => "LS"),
			array("field" => "ws_link",	"type" => "text",	"data" => 1, "usage" => "")  // just for data; indicates ws link IC_ST
		);
		if($clients)
			$res[]= array("field" => "client_code",	"type" => "select",	"caption" => lp("client"), "data" => 1, "usage" => "LS", "options" => $clients); 
		return $db? array_merge($res, fdef_db_to_fd_all($db)) : $res;
	}
	function get_order_search_fields($db, $clients=false){ return fdef_fd_to_fide_all( get_order_fields($db, $clients), "sf_", "S" );}
	function get_order_list_fields($db, $clients=false){ $res = fdef_fd_to_list(get_order_fields($db, $clients),1,1); $res["RES_action"]="action"; return $res;}
	function get_new_order_fields($db, $shops){
		$r = fdef_db_to_fd_all($db);
		array_unshift($r, array("field" => "shop_id",		"type" => "select", "caption" => lp("location"), "keyval" => $shops, "data" => 1, "usage" => "N"));
		return fdef_fd_to_fide_all( $r, "no_", "N");
	}

	function cass_init($shops, &$are, &$cou, &$cit, &$sho){
		// DEF CASS - cascaded shop select; if usver eg select areay - show countries/cit/shops only of that area
		foreach($shops as &$shop) $shop["data"] = "data-area=\"".$shop["area"]."\" data-country=\"".$shop["country"]."\" data-city=\"".$shop["city"]."\"";
		$are = array(); $cou = array(); $cit = array(); $sho = array();
		foreach($shops as $shop){ 
			if( !array_contains_keyval($are, "value", $v=$shop["area"] 	 ) ){ $are[]= array("value"=>$v, "text"=>$v, "data"=>$shop["data"]); } // NOTE: eg for area data-country is not necessary - just rubbish = first country 
			if( !array_contains_keyval($cou, "value", $v=$shop["country"]) ){ $cou[]= array("value"=>$v, "text"=>$v, "data"=>$shop["data"]); }
			if( !array_contains_keyval($cit, "value", $v=$shop["city"] 	 ) ){ $cit[]= array("value"=>$v, "text"=>$v, "data"=>$shop["data"]); }
			if( !array_contains_keyval($sho, "value", $v=$shop["name"] 	 ) ){ $sho[]= array("value"=>$v, "text"=>$v, "data"=>$shop["data"]); }
		}
		array_sort_by_key($cou, "text");
		array_sort_by_key($cit, "text");
		array_sort_by_key($sho, "text");
	}

	// -------------------------------  ORDER_LBS ------------------------------------------
	$lbs_states = array_values($order_states);
	function get_order_lbs_fields($clients=null){
		global $order_states, $lbs_states;
		return array(
			array("field" => "id", 		"type" => "number",	"caption" => "", "usage" => "", "data" => 1),
			//array("field" => "client_code",	"type" => "select",	"caption" => lp("client"), "usage" => "LS", "options" => $clients),
			array("field" => "camp_name",	"type" => "text",	"caption" => lp('campaign'), "data" => 1, "usage" => "L"),   // not used for search; is used menu cb instead
			array("field" => "order_id",	"type" => "number",	"caption" => lp('order'), "data" => 1, "usage" => "LS"), 
			array("field" => "area", 		"type" => "text", 	"caption" => lp("area"), "usage" => "LS"),
			//array("field" => "country", 	"type" => "text", 	"caption" => lp("country"), "usage" => "LS"),
			//array("field" => "city", 		"type" => "text", 	"caption" => lp("city"), "usage" => "LS"),
			array("field" => "location", 	"type" => "text", 	"caption" => lp("location"), "usage" => "LS"),
			array("field" => "date_create",	"type" => "date", 	"operation" => "<>", "caption" => lp('date_create'), "usage" => "LS"), 
			array("field" => "date_done", 	"type" => "date", 	"operation" => "<>", 	"caption" => lp('date_done'), "usage" => "LS"), 
			array("field" => "order_state_lbs","type" => "select", "caption" => lp("order_state"), "options" => $order_states, "multiple" => "multiple", "data" => 1, "usage" => "LS"),
			//array("field" => "complete","type" => "checkbox","caption" => lp('done'), "data" => 1, "usage" => "LS"), // note: in db >0 means 'not done' but on page the meaning is inverted: field named 'done' and checkmark present if ==0
			// TODO 1: non use for search while cb not works now
			array("field" => "complete","type" => "checkbox","caption" => lp('done'), "data" => 1, "usage" => "L"), // note: in db >0 means 'not done' but on page the meaning is inverted: field named 'done' and checkmark present if ==0
			array("field" => "lbc_total_count","type" => "number","operation" => "<>","caption" => lp('count'), "data" => 1, "usage" => "LS"),
			//
			array("field" => "name_mini", 	"type" => "text",	"caption" => lp("subject_name"), "usage" => "LS", "data" => 1), 
			array("field" => "img_id3", 		"type" => "number",	"caption" => "camp3", "usage" => "L", "data" => 1), // PREVIEW
			array("field" => "img_id2", 		"type" => "number",	"caption" => "camp2", "usage" => "L", "data" => 1), // PREVIEW
			array("field" => "img_id1", 		"type" => "number",	"caption" => "camp1", "usage" => "L", "data" => 1), // PREVIEW
			array("field" => "path", 		"type" => "text",	"caption" => lp("preview"), "usage" => "LS", "data" => 1), // will be replaced with imagea ; NOTE In EVITE stores category
			array("field" => "thumb_small", "type" => "text",	"caption" => "", "usage" => "", "data" => 1),
			array("field" => "name", 		"type" => "text",	"caption" => lp("lightbox"), "usage" => "LS"),
			//array("field" => "app_state", 	"type" => "select",	"caption" => lp("status"), "usage" => "LS", "options" => $lbs_states),
			array("field" => "img_id", 		"type" => "number",	"caption" => "", "usage" => "", "data" => 1), // PREVIEW
			array("field" => "square", 		"type" => "number",	"operation" => "<>", "caption" => "square", "usage" => "LS"),
			//array("field" => "delivery_address",	"type" => "text",	"caption" => lp("delivery_address"), "usage" => "LS", "data" => 1), is fetched from md (contr -> get_md -> md table)
			array("field" => "need_logo","type" => "checkbox","caption" => lp('logo'), "data" => 0, "default" => "", "usage" => "LS"),
			array("field" => "need_tag","type" => "checkbox","caption" => lp('tag'), "data" => 0, "usage" => "LS")
		);
	}
	function get_order_lbs_search_fields($clients){ return fdef_fd_to_fide_all( get_order_lbs_fields($clients), "sf_", "S" );}
	function get_order_lbs_list_fields(){ return  fdef_fd_to_list(get_order_lbs_fields(),1,1);}

	// -------------------------------  LBS ------------------------------------------
	// LBS_PARAMS
	$edit_lbs = [
		array("field" => "notes",		"type" => "text",	"caption" => lp('notes'), "usage" => "N"),
		array("field" => "need_logo",	"type" => "checkbox","caption" => lp('logo_required'), "data" => 1, "usage" => "N"),
		array("field" => "need_tag",	"type" => "checkbox","caption" => lp('tag_required'), "data" => 1, "usage" => "N")
	];

	// -------------------------------  TRIPLES ------------------------------------------
	// app_lbs table
	$triple_list_fields = array(
		"RES_checked" => "C", // CB_SEL_REC
		"id" => "#id",
		"path" => '#'.lp("preview"),
		"RES_category" => lp("category"), // EVITE; taken from path last segm
		"name_mini" => '#'.lp("subject_name"),
		"lb_text" => lp("text"),
		"thumb_small" => "#",
		"name" => lp("lightbox"),
		"app_state" => "#".lp("status"),
		"date_done" => lp("delivery date"),
		"RES_action" => "action", // upload, approve/reject, download
		"app_id" => "#",
		"img_id" => "#", // PREVIEW
		"hr_name" => "#", // IC_ST 
		"t" => "#",	"l" => "#",	"r" => "#",	"b" => "#",   // used to cals img size in
		"lbs_width" => "#",	"lbs_height" => "#",	"twidth" => "#",	"theight" => "#"   // used to cals img size in
	);
	/*
		array("field" => "lbs_width",	"type" => "number",	"caption" => lp("width"), "usage" => "LS", "data" => 1),
		array("field" => "lbs_height",	"type" => "number",	"caption" => lp("height"), "usage" => "LS", "data" => 1),
		array("field" => "twidth",		"type" => "number",	"caption" => lp("trim_width"), "usage" => "LS", "data" => 1),
		array("field" => "theight",		"type" => "number",	"caption" => lp("trim_height"), "usage" => "LS", "data" => 1)
	*/
	$triple_search_fields = array (
		 array('id' => "sf_name","type" => "text","field" => "name","operation" => "like","caption" => lp('name'),	"string" => 0,"class" => "",'placeholder' => '','predicative' => 'and')
	);


	$apf_search_fields = array (
		 // NOTE: 'predicative' added 29.11.18 to realize ability to 'and' (instead of usual 'or') the search criterion (for the case when it's an array)
		 // NOTE: FILTERPATH to enable it use ttc_filter_path class
		 array('id' => "sf_name", 	"type" => "text", 	"field" => "name", 		"operation" => "like",	"caption" => lp('name'), 	"string" => 1, 	"class" => "", 	'placeholder' => 'nome', 'predicative' => 'and'), 
		 array('id' => "sf_owner", 	"type" => "text", 	"field" => "owner", 	"operation" => "like",	"caption" => lp('owner'), 	"string" => 1, 	"class" => "", 	'placeholder' => 'ping@pong.it', 'predicative' => 'and'), 
		 array('id' => "sf_data_from","type" => "date",	"field" => "date_ins", 	"operation" => ">=", 	"caption" => lp('from'),	"string" => 1, 	"class" => "ttc_search_datepicker"),
		 array('id' => "sf_data_till","type" => "date",	"field" => "date_ins", 	"operation" => "<=",	"caption" => lp('to'),		"string" => 1, 	"class" => "ttc_search_datepicker")
	);
	$apf_list_fields = array(
		"RES_checked" => "C", // CB_SEL_REC
		"id" => "#",
		"name" => lp("name"),
		"owner" => lp("owner"),
		"date_ins" => '#'.lp("date_ins")
	);

	// ------------------------------- GROUPS ------------------------------------------
	$group_list_fields = array(
		"id" => "#id",
		"name" => "#".lp("name"),
		"email" => lp("emails"),
		"user_role" => lp("role"),
		"date_login" => '#'.lp("date_login")
	);

	// ------------------------------- EVENTS ------------------------------------------
	$event_list_fields = array(
		"RES_checked" => "C", // CB_SEL_REC
		"id" => "#",
		"date_event" => lp("date"),
		"order_id" => lp("order"),
		"camp_name" => lp("campaign"),
		"shop_name" => lp("store"),
		"message" => lp("event"),
		"source_group" => lp("from_group"),
		"source_group_id" => "#", // used to find out in or out
		"source_user" => lp("from_user"),
		"RES_dest" => lp("to"), 
		"RES_link" => lp("page_link"), // LINK_DUP
		"source_order_link" => "#"
		//"dest_group" => lp("to"),
	);

	$event_search_fields = array (
		 //array('id' => "sf_date_event_from",	"type" => "date", 	"field" => "date_event", 	"operation" => ">=",	"caption" => lp('date_from'), 	"string" => 1, 	"class" => "ttc_search_datepicker", 	'placeholder' => 'date', 'predicative' => 'and'), 
		 //array('id' => "sf_date_event_till",	"type" => "date", 	"field" => "date_event", 	"operation" => "<=",	"caption" => lp('date_till'), 	"string" => 1, 	"class" => "ttc_search_datepicker", 	'placeholder' => 'date', 'predicative' => 'and'), 
		 array('id' => "sf_date_event",	"type" => "date", 	"field" => "date_event", 	"operation" => "<>",	"caption" => lp('date'), 	"string" => 1, 	"class" => "ttc_search_datepicker", 	'placeholder' => 'date', 'predicative' => 'and'), 
		 array('id' => "sf_order_id", 	"type" => "text", 	"field" => "order_id", 	"operation" => "=",	"caption" => lp("order_id"), 	"string" => 0, 	"class" => "", 	'placeholder' => '123', 'predicative' => 'and'), 
		 array('id' => "sf_camp_name", 	"type" => "text", 	"field" => "camp_name", 	"operation" => "like",	"caption" => lp('campaign'), 	"string" => 1, 	"class" => "", 	'placeholder' => '', 'predicative' => 'and'), 
		 array('id' => "sf_shop_name", 	"type" => "text", 	"field" => "shop_name", 	"operation" => "like",	"caption" => lp('store'), 	"string" => 1, 	"class" => "", 	'placeholder' => '', 'predicative' => 'and'), 
		 array('id' => "sf_message", 	"type" => "text", 	"field" => "message", 	"operation" => "like",	"caption" => lp('message'), 	"string" => 1, 	"class" => "", 	'placeholder' => '', 'predicative' => 'and'), 
		 array('id' => "sf_source_group", "type" => "text",	"field" => "source_group", "operation" => "like",	"caption" => lp('sender_group'), "string" => 1, 	"class" => "", 'predicative' => 'and'), 
		 array('id' => "sf_source_user", "type" => "text",	"field" => "source_user", "operation" => "like",	"caption" => lp('sender_user'), "string" => 1, 	"class" => "", 'predicative' => 'and')
		 //array('id' => "sf_dest_group", "type" => "text",	"field" => "dest_group", "operation" => "like",	"caption" => lp('receiver_group'), "string" => 1, 	"class" => "", 'predicative' => 'and') 
	);


	// ------------------------------- SETTINGS ------------------------------------------
	$change_pass = array(
		 array('id' => "ms_pass_old", 	"type" => "text",	"caption" => lp('old_password'), 'placeholder' => '', "class" => "ms_pass"),
		 array('id' => "ms_pass1", 	"type" => "text",	"caption" => lp('new_password'), 'placeholder' => '', "class" => "ms_pass"), 
		 array('id' => "ms_pass2", 	"type" => "text",	"caption" => lp('confirm_password'), 'placeholder' => '', "class" => "ms_pass") 
	);

	// ------------------------------- USER_ACTIONS ------------------------------------------
	function get_ua_fields(){
		return array(
			array("field" => "id",			"type" => "number",	"caption" => lp('ID'), 			"data" => 1, "usage" => ""), 
			array("field" => "date_action",	"type" => "date",	"caption" => lp('date'), 		"data" => 0, "usage" => "LS"), 
			array("field" => "action_user", "type" => "text", 	"caption" => lp("action_user"), "data" => 0, "usage" => "LS"),
			array("field" => "target_user", "type" => "text", 	"caption" => lp("target_user"), "data" => 0, "usage" => "LS"),
			array("field" => "action_type", "type" => "text", 	"caption" => lp("type"), 		"data" => 0, "usage" => "LS"),
			array("field" => "action", 		"type" => "text", 	"caption" => lp("action"), 		"data" => 0, "usage" => "LS"),
			array("field" => "target_id",	"type" => "number",	"caption" => lp('target_id'), 	"data" => 0, "usage" => "LS"),
			array("field" => "target",		"type" => "text",	"caption" => lp('target'), 		"data" => 0, "usage" => "LS"),
			array("field" => "importance",	"type" => "number",	"caption" => lp('importance'), 	"data" => 0, "usage" => "LS")
		);
	}
	/*
	function basic_fields_captions(){ 	return fdef_fd_to_list(		get_client_fields(),0,1);	}
	function get_filter_fields(){ 		return fdef_fd_to_fide_all( get_client_fields(), "sf_" );} 
	function get_new_client_fields(){	return fdef_fd_to_fide_all( get_client_fields(), "nc_", "N");}
	*/

	// -------------------------------  PACKS ------------------------------------------
	// 'P' is for sPedire - the dialog to enter courier/num
	function get_pack_fields($clients=[], $addresses=[]){ return array(
		array("field" => "id",			"type" => "number",	"caption" => lp('ID'), 			"data" => 1, "usage" => "LS"), 
		array("field" => "client_code",	"type" => "select",	"caption" => lp("client"), "usage" => "LS", "options" => $clients),
		array("field" => "date_create",	"type" => "date", 	"caption" => lp('date_create'), "usage" => "LS"), 
		array("field" => "delivery_address",	"type" => "select",	"caption" => lp("delivery_address"), "usage" => "LSN", "options" => $addresses), // contains also pref courier
		// array("field" => "courier",	"type" => "text",	"caption" => lp('courier'), "usage" => "LS"),  added from md... why? to store list of couriers?
		array("field" => "courier_code","type" => "text",	"caption" => lp('courier_code'), "usage" => "P"),  // used only to insert courier code from barcode reader
		array("field" => "pack_code",	"type" => "text",	"caption" => lp('tracking'), "usage" => "LSP"), 
		array("field" => "sent","type" => "checkbox","caption" => lp('sent'), "data" => 1, "usage" => "LS"),
		array("field" => "notes",		"type" => "text",	"caption" => lp('notes'), "usage" => "LSNP"),
		array("field" => "RES_print",	"type" => "text",	"caption" => lp('send'), "usage" => "L") /* button send pack */
	);}

?>

