-- MariaDB dump 10.19  Distrib 10.7.7-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: localhost    Database: lightbox
-- ------------------------------------------------------
-- Server version	10.7.7-MariaDB-1:10.7.7+maria~deb11

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `hires`
--

DROP TABLE IF EXISTS `hires`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `hires` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `size` bigint(12) DEFAULT 0,
  `date_mod` datetime DEFAULT NULL,
  `date_ins` timestamp NOT NULL DEFAULT current_timestamp(),
  `online` int(11) DEFAULT 1,
  `path` varbinary(1000) DEFAULT '',
  `name` varbinary(256) DEFAULT '',
  `processed` int(1) DEFAULT 0,
  `file_type` varchar(255) DEFAULT '',
  `file_type_clean` varchar(255) DEFAULT '',
  `file_type_verbose` varchar(255) DEFAULT '',
  `user_id` int(11) DEFAULT 0,
  `date_backup` datetime DEFAULT NULL,
  `thumb_small` text DEFAULT NULL,
  `thumb_medium` text DEFAULT NULL,
  `pool_code` varchar(20) DEFAULT '',
  `color_model` varchar(15) DEFAULT '',
  `color_depth` int(2) unsigned DEFAULT 0,
  `compression` varchar(20) DEFAULT '',
  `creator` varchar(80) DEFAULT '',
  `orientation` varchar(30) DEFAULT '',
  `page_count` int(3) DEFAULT 1,
  `producer` varchar(60) DEFAULT '',
  `resolution` varchar(20) DEFAULT '',
  `used_pictures` varchar(20) DEFAULT '',
  `date_update` timestamp NOT NULL DEFAULT current_timestamp(),
  `ws_id` int(11) DEFAULT 0,
  `dimensions` varchar(20) DEFAULT '',
  `archived` int(1) DEFAULT 0,
  `id_old` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `hires`
--

LOCK TABLES `hires` WRITE;
/*!40000 ALTER TABLE `hires` DISABLE KEYS */;
INSERT INTO `hires` VALUES
(101,435106823,'2022-10-14 10:32:50','2022-10-14 10:32:51',1,'19/','PRADA Holiday 22 AD1 SP.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_AD1_SP.eps_small_101_exif_thumb_0.jpg','PRADA_Holiday_22_AD1_SP.eps_medium_101_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','1000x1000','','2022-10-14 10:32:51',0,'29787x27560',0,0),
(102,414275569,'2022-10-14 10:32:51','2022-10-14 10:32:52',1,'19/','PRADA Holiday 22 BD2 SP.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_BD2_SP.eps_small_102_exif_thumb_0.jpg','PRADA_Holiday_22_BD2_SP.eps_medium_102_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','1000x1000','','2022-10-14 10:32:52',0,'24497x27560',0,0),
(103,431252752,'2022-10-14 10:32:53','2022-10-14 10:32:54',1,'19/','PRADA Holiday 22 AU1 SP.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_AU1_SP.eps_small_103_exif_thumb_0.jpg','PRADA_Holiday_22_AU1_SP.eps_medium_103_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','800x800','','2022-10-14 10:32:54',0,'29558x22048',0,0),
(104,1572382936,'2022-10-14 10:33:27','2022-10-14 10:33:31',1,'19/','PRADA Holiday 22 BD1 SP.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_BD1_SP.tif_small_104_exif_thumb_0.jpg','PRADA_Holiday_22_BD1_SP.tif_medium_104_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 10:33:31',0,'37040x22048',0,0),
(106,467988080,'2022-10-14 10:55:08','2022-10-14 10:55:09',1,'19/','PRADA Holiday 22 BD4 SP.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_BD4_SP.eps_small_106_exif_thumb_0.jpg','PRADA_Holiday_22_BD4_SP.eps_medium_106_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','900x900','','2022-10-14 10:55:09',0,'28686x24804',0,0),
(107,1668580176,'2022-10-14 10:55:58','2022-10-14 10:56:02',1,'19/','PRADA Holiday 22 BU2 SP EXT.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_BU2_SP_EXT.tif_small_107_exif_thumb_0.jpg','PRADA_Holiday_22_BU2_SP_EXT.tif_medium_107_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 10:56:02',0,'33414x26840',0,0),
(108,1602757084,'2022-10-14 10:56:06','2022-10-14 10:56:09',1,'19/','PRADA Holiday 22 BD5A SP.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_BD5A_SP.tif_small_108_exif_thumb_0.jpg','PRADA_Holiday_22_BD5A_SP.tif_medium_108_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 10:56:09',0,'37030x22048',0,0),
(109,1606939084,'2022-10-14 10:56:13','2022-10-14 10:56:17',1,'19/','PRADA Holiday 22 BU1 SP EXT.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_BU1_SP_EXT.tif_small_109_exif_thumb_0.jpg','PRADA_Holiday_22_BU1_SP_EXT.tif_medium_109_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 10:56:17',0,'32544x26216',0,0),
(110,1871505764,'2022-10-14 10:56:22','2022-10-14 10:56:27',1,'19/','PRADA Holiday 22 BD3 SP_EXT.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_BD3_SP_EXT.tif_small_110_exif_thumb_0.jpg','PRADA_Holiday_22_BD3_SP_EXT.tif_medium_110_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 10:56:27',0,'34606x26091',0,0),
(111,402978395,'2022-10-14 11:28:13','2022-10-14 11:28:14',1,'19/','PRADA Holiday 22 OBJ 06.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_OBJ_06.eps_small_111_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_06.eps_medium_111_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','1000x1000','','2022-10-14 11:28:14',0,'23637x27560',0,0),
(112,413988811,'2022-10-14 11:28:14','2022-10-14 11:28:16',1,'19/','PRADA Holiday 22 OBJ 03.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_OBJ_03.eps_small_112_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_03.eps_medium_112_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','850x850','','2022-10-14 11:28:16',0,'29382x23426',0,0),
(113,382223034,'2022-10-14 11:28:17','2022-10-14 11:28:18',1,'19/','PRADA Holiday 22 OBJ 02.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_OBJ_02.eps_small_113_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_02.eps_medium_113_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','800x800','','2022-10-14 11:28:18',0,'29294x22048',0,0),
(114,378616247,'2022-10-14 11:28:19','2022-10-14 11:28:20',1,'19/','PRADA Holiday 22 OBJ 07.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_OBJ_07.eps_small_114_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_07.eps_medium_114_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','800x800','','2022-10-14 11:28:20',0,'29584x22048',0,0),
(115,394195694,'2022-10-14 11:28:21','2022-10-14 11:28:22',1,'19/','PRADA Holiday 22 OBJ 08.eps',1,'Encapsulated PostScript','','',0,NULL,'PRADA_Holiday_22_OBJ_08.eps_small_115_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_08.eps_medium_115_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 23.5.1 20220907.r.724 5600b96','',1,'ILCE-7RM3','770x770','','2022-10-14 11:28:22',0,'29753x22982',0,0),
(116,1200820012,'2022-10-14 11:28:54','2022-10-14 11:28:57',1,'19/','PRADA Holiday 22 OBJ 01.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_OBJ_01.tif_small_116_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_01.tif_medium_116_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 11:28:57',0,'31859x22048',0,0),
(117,1320287044,'2022-10-14 11:29:02','2022-10-14 11:29:04',1,'19/','PRADA Holiday 22 OBJ 09.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_OBJ_09.tif_small_117_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_09.tif_medium_117_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 11:29:04',0,'34243x22048',0,0),
(118,1373562500,'2022-10-14 11:29:10','2022-10-14 11:29:13',1,'19/','PRADA Holiday 22 OBJ 05.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_OBJ_05.tif_small_118_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_05.tif_medium_118_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 11:29:13',0,'33686x22048',0,0),
(119,1447743792,'2022-10-14 11:29:19','2022-10-14 11:29:22',1,'19/','PRADA Holiday 22 OBJ 04.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'PRADA_Holiday_22_OBJ_04.tif_small_119_exif_thumb_0.jpg','PRADA_Holiday_22_OBJ_04.tif_medium_119_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','800x800','','2022-10-14 11:29:22',0,'34814x22048',0,0),
(121,412092279,'2022-10-19 13:39:12','2022-10-19 13:39:13',1,'19/','PRADA Holiday 22 AD1 SP EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_AD1_SP_EXT.eps_small_121_exif_thumb_0.jpg','19/PRADA_Holiday_22_AD1_SP_EXT.eps_medium_121_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','900x900','','2022-10-19 13:39:13',0,'26808x29013',0,0),
(122,1585591220,'2022-10-19 13:39:31','2022-10-19 13:39:35',1,'19/','PRADA Holiday 22 BD1 SP EXT.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'19/PRADA_Holiday_22_BD1_SP_EXT.tif_small_122_exif_thumb_0.jpg','19/PRADA_Holiday_22_BD1_SP_EXT.tif_medium_122_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','700x700','','2022-10-19 13:39:35',0,'32410x24806',0,0),
(123,393532514,'2022-10-19 15:01:05','2022-10-19 15:01:06',1,'19/','PRADA Holiday 22 OBJ 04 EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_OBJ_04_EXT.eps_small_123_exif_thumb_0.jpg','19/PRADA_Holiday_22_OBJ_04_EXT.eps_medium_123_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','680x680','','2022-10-19 15:01:06',0,'29592x21407',0,0),
(124,439537985,'2022-10-19 15:53:11','2022-10-19 15:53:12',1,'19/','PRADA Holiday 22 BD2 SP EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_BD2_SP_EXT.eps_small_124_exif_thumb_0.jpg','19/PRADA_Holiday_22_BD2_SP_EXT.eps_medium_124_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','1000x1000','','2022-10-19 15:53:12',0,'24497x29527',0,0),
(125,380789310,'2022-10-19 15:53:12','2022-10-19 15:53:13',1,'19/','PRADA Holiday 22 OBJ 09 EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_OBJ_09_EXT.eps_small_125_exif_thumb_0.jpg','19/PRADA_Holiday_22_OBJ_09_EXT.eps_medium_125_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','700x700','','2022-10-19 15:53:13',0,'29963x21840',0,0),
(126,496590515,'2022-10-19 15:53:14','2022-10-19 15:53:15',1,'19/','PRADA Holiday 22 OBJ 05 EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_OBJ_05_EXT.eps_small_126_exif_thumb_0.jpg','19/PRADA_Holiday_22_OBJ_05_EXT.eps_medium_126_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','700x700','','2022-10-19 15:53:15',0,'29475x27559',0,0),
(127,461674548,'2022-10-20 16:53:09','2022-10-20 16:53:10',1,'19/','PRADA Holiday 22 BD4 SP Lighted.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_BD4_SP_Lighted.eps_small_127_exif_thumb_0.jpg','19/PRADA_Holiday_22_BD4_SP_Lighted.eps_medium_127_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','900x900','','2022-10-20 16:53:10',0,'28686x24804',0,0),
(128,1401939772,'2022-10-20 16:55:13','2022-10-20 16:55:16',1,'19/','PRADA Holiday 22 BD3 SP Lighted.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'19/PRADA_Holiday_22_BD3_SP_Lighted.tif_small_128_exif_thumb_0.jpg','19/PRADA_Holiday_22_BD3_SP_Lighted.tif_medium_128_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','750x750','','2022-10-20 16:55:16',0,'32443x20670',0,0),
(129,1415981340,'2022-10-20 16:55:18','2022-10-20 16:55:22',1,'19/','PRADA Holiday 22 BD5A SP Lighted.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'19/PRADA_Holiday_22_BD5A_SP_Lighted.tif_small_129_exif_thumb_0.jpg','19/PRADA_Holiday_22_BD5A_SP_Lighted.tif_medium_129_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','750x750','','2022-10-20 16:55:22',0,'34715x20670',0,0),
(130,481485882,'2022-10-20 16:56:09','2022-10-20 16:56:10',1,'19/','PRADA Holiday 22 OBJ 03_EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_OBJ_03_EXT.eps_small_130_exif_thumb_0.jpg','19/PRADA_Holiday_22_OBJ_03_EXT.eps_medium_130_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','850x850','','2022-10-20 16:56:10',0,'29382x27444',0,0),
(131,472887568,'2022-10-21 07:05:09','2022-10-21 07:05:10',1,'19/','PRADA Holiday 22 OBJ 07_EXT.eps',1,'Encapsulated PostScript','','',0,NULL,'19/PRADA_Holiday_22_OBJ_07_EXT.eps_small_131_exif_thumb_0.jpg','19/PRADA_Holiday_22_OBJ_07_EXT.eps_medium_131_exif_thumb_0.jpg','','CMYK',32,'LZW','Adobe Photoshop Version 24.0.0 20221013.r.59 3a3d761','',1,'ILCE-7RM3','750x750','','2022-10-21 07:05:10',0,'27735x29530',0,0),
(132,1554635864,'2022-10-24 13:52:32','2022-10-24 13:52:36',1,'19/','PRADA Holiday 22 OBJ 01 EXT.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'19/PRADA_Holiday_22_OBJ_01_EXT.tif_small_132_exif_thumb_0.jpg','19/PRADA_Holiday_22_OBJ_01_EXT.tif_medium_132_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','700x700','','2022-10-24 13:52:36',0,'27877x32709',0,0),
(136,1473165516,'2022-11-08 18:28:41','2022-11-08 18:28:43',1,'19/','PRADA Holiday 22 BD5A SP UAE EXT.tif',1,'TIFF image data','','big-endian; direntries=26; height=0; bps=0; compression=LZW; PhotometricIntepretation=CMYK; description=; manufacturer=SONY; model=ILCE-7RM3; orientation=upper-left; width=0; ',0,NULL,'19/PRADA_Holiday_22_BD5A_SP_UAE_EXT.tif_small_136_exif_thumb_0.jpg','19/PRADA_Holiday_22_BD5A_SP_UAE_EXT.tif_medium_136_graphicsmagick_resize_0.jpg','','CMYK',32,'LZW','Capture One 15 Macintosh','TopLeft',1,'ILCE-7RM3','750x750','','2022-11-08 18:28:43',0,'38129x20669',0,0);
/*!40000 ALTER TABLE `hires` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-12-19 15:40:48
