

// DEF WS_USER stuff related to managing ws users
var ul_list; // arr of all users in all lists
var group_list; // list of all groups (with data)
var ul_rubrica; // DEF RUBRICA hint-list on add new user: as new email inserted - saved in db.rubrica; to delete - use settings page
var user_list_changed = false;  // DEF detect user list change
function ul_check_changed(){ return user_list_changed; }
function ul_set_unchanged(){ user_list_changed = false; }
function ul_add_email(name="", group_id=0, is_group=false, can_upload=false){ // add email (standalone or within group) or a group (name) // CAN_UPLOAD
	var cont = $("<div class='mc_email' data-group='" + group_id + "'></div>");
	cont.addClass( is_group? "mc_group" : (group_id? "mc_inner hidden" : "mc_outer") ) ;
	cont.append( $("<i class='fas " + (is_group? "fa-user-friends mc_toggle_email_group mc_closed" : "fa-user") + "'></i>")); // user icon
	if(!is_group && group_id) // inner group elem - check box
		cont.append( $("<label>" + name + "</label><input type='checkbox' class='mc_email_input' value='" + name + "'>") );
	else
		cont.append( $("<input class='mc_email_input input-sm' value='" + name + "'><i class='mc_email_del fas fa-times'></i>") ); // email
	if(!is_group)	cont.append("<i class='mc_can_upload fa fa-upload " + (can_upload?"active":"") + "' title='" + lp("can_upload") + "'></i>").on("click", ".mc_can_upload", function(){ $(this).toggleClass("active"); } ); // CAN_UPLOAD
	cont.appendTo( $("#tt_ws_users") );
	$("#tt_ws_users").append($(".mc_new_email")); // this moves added to bottom?
	$(".mc_new_email").find(".mc_email_input").val("").focus();
	//var a = document.getElementsByClassName("mc_new_email"); if(a.length) a[0].value = "";
	//$(".mc_new_email").detach().appendTo($("#tt_ws_users") ); // move adder to last pos
	move_group_adder();
	user_list_changed = true;  // duplicates DTOC?
	return cont;
}
function ul_cont(){ return $(this).closest(".mc_email"); } // called from funcs having $(this)
function ul_get_group_users(id, sel=""){ return $("#tt_ws_users").find(".mc_inner[data-group='" + id + "'] " + sel); } // sel used to find some inner elem
function ul_find_list_elem(id){   var elem=null; $(".mc_group").each(function(){ if($(this).data("group")==id)elem=$(this); }); return elem;}
function get_list_name(id){ return $("#mc_group_list option[value='" + id + "']").html();} // TODO: may use group_list
function move_group_adder(){return; $(".mc_new_email").insertBefore($("#mi_group_list_div"));} // positions 'add group' elem to the pos before 'add user'

// add visual elems which represent a group which is added to the list of subs
// consists of the header GH which represents properly group (its name) and its items [GI] (initially hidden)
function ul_add_list(id, name, checked=true){
	var ge = ul_add_email(name, id, true); // GH is usual elem + some add func
	// toggle emails of a group
	ge.find(".mc_toggle_email_group").click( function(){
		var id = $(this).closest(".mc_email").data("group");
		if( $(this).hasClass("mc_closed") ){
			$(this).removeClass("mc_closed");
			ul_get_group_users(id).removeClass("hidden");
		}else{
			$(this).addClass("mc_closed");
			ul_get_group_users(id).addClass("hidden");
		}
	});
	for(var i=0;i<ul_list.length;i++)
		if( ul_list[i]["id"] == id )
			ul_add_email(ul_list[i]["email"], id);
	if(checked)
		ul_get_group_users(id, ".mc_email_input").prop("checked", true);
	$("#mc_group_list").val("");
	move_group_adder();
}
// return to the client list of all added subs (for a GI is considered if checked)
function ul_get_all_added(){
	var ws_users = [];
	$("#tt_ws_users").find(".mc_inner .mc_email_input:checked, .mc_outer .mc_email_input").each( function(){
		if($(this).val())
			ws_users.push( {"email": $(this).val(), "group": $(this).closest(".mc_email").data("group"), "can_upload": $(this).closest(".mc_email").find(".mc_can_upload").hasClass("active")?1:0} ); // CAN_UPLOAD
	});
	return ws_users;
}
function ul_get_ws_users(id){
	var res = call_php_sync("contr/main.php", {action : "read_ws_users", "id": id});
	ul_show_ws_users(JSON.parse(res.resp_text));
}
function ul_show_ws_users(ws_users){
	$("#tt_ws_users").html("");
	$("#tt_ws_users").append( $("<div id='mi_group_list_div'><i class='fas fa-user-friends'></i></div>").prop("title", lp("add_dest_group")).append( render_select(group_list, "mc_group_list").addClass("input-sm") ) );  // new group input
	for(var i=0;i<ws_users.length;i++){
		var group = ws_users[i].email_list_id;
		var email = ws_users[i].email;
		var can_upload = ws_users[i].can_upload; // CAN_UPLOAD
		if(group && group!="0"){ // email from a group
			// if( $(".mc_ws_list[data-id='" + group + "']").length==0 ){ ... shit not works
			// if an email is of a group - first is added the group-elem (with emails initially hidden) and then for each ws email from that group it's set checked
			if(!ul_find_list_elem(group))
				ul_add_list(group, get_list_name(group), false); // TODO: list name
			$("#tt_ws_users").find(".mc_email_input").each( function(){
				if($(this).val()==email){
					$(this).prop("checked", true);
					if(can_upload=="1") // CAN_UPLOAD
						$(this).parent().find(".mc_can_upload").addClass("active");
					//break;
				}
			} ); // the cb of this mail
			/* var elem = list.find(".ul_user[value='" + email + "']"); // the checkbox of this email  TODO: why this shit not works?
			if(elem.length)
				elem.prop('checked', true);
			else // may happen list was changed and not contains the user anymore
				add_next_user( email );*/
		}else // an email without group
			ul_add_email( email, 0, false, can_upload ); // CAN_UPLOAD
	}
	// add adder-elem
	var adder = ul_add_email();
	adder.prop("title", lp("add_dest"));
	adder.addClass("mc_new_email").find(".mc_email_input").keypress( function(e){ 
		if(e.which==13 && !$(this).hasClass("mc_ws_user_list") && $(this).val() ){
			if( validate_email( $(this).val() ) )
				ul_add_email($(this).val());
			else
				$(this).addClass("mc_error");
		}
		if(e.which!=13)
			$(this).removeClass("mc_error");
	});
	adder.addClass("autocomplete"); autocomplete(adder.find(".mc_email_input")[0], ul_rubrica); // RUBRICA
	adder.find(".mc_email_del").remove();
	adder.find(".mc_can_upload").remove(); // CAN_UPLOAD
	move_group_adder();
	user_list_changed = false;
}
function ul_set_rubrica(r){ // RUBRICA
	ul_rubrica = r;
}
function ul_init(){
	// cb list of groups, used to add a group
	group_list = JSON.parse( call_php_sync("contr/main.php", {"action": "read_group_list", "public": 1}).resp_text);
	// save in cache info about all lists
	ul_list = JSON.parse(call_php_sync("contr/main.php", {"action": "ul_read"}).resp_text);
	// add list on list cb change
	$("#tt_ws_users").on("change", "#mc_group_list", function(){
		var opt = $(this);
		var id = opt.val();
		if(!id) return;
		ul_add_list(id, opt[0].selectedOptions[0].label);
		var cl=$("#nws_logo").val();if(cl=="0")cl=0; for(var i=0;i<group_list.length;i++) if(group_list[i]["id"]==id){ if(group_list[i]["logo_id"] && !cl ) $("#nws_logo").val(group_list[i]["logo_id"]);  $("#nws_logp").prop("checked", group_list[i]["company_logo"]=="1"); break;} // SEGR_LOGO  SEGR_COLO
	});
	// remove elem
	$("#tt_ws_users").on("click", ".mc_email_del", function(){
		var cont = $(this).closest(".mc_email");
		ul_get_group_users(cont.data("group")).remove();
		cont.remove();
		user_list_changed = true; // duplicates DTOC?
	});
	$('body').on('DOMSubtreeModified', '#tt_ws_users', function(){user_list_changed = true;}); // DTOC
}





