function create_detail_row(id){
	return $("<tr class='ap_detail_row' data-id='" + id + "'><td colspan='100'><div class='ap_detail_div col-lg-12 col-md-12 col-sm-12 col-xs-12' > </div></td></tr>");
}

// need this func as cb for show_select_string when load files; NOTE: detail may be closed at this moment
function update_detail(show=null){
	if($(".ap_detail_row").length){
		$(".ap_detail_row").find(".ap_detail_div").html("");
		var id = $(".ap_detail_row").data("id");
		if(show)
			show(id);
		else
			show_detail(id); // bad way using global name show_detail (which should exist in client)
	}
}

function get_detail_id(){return  $(".ap_detail_row").data("id"); } 
function get_rec_id(){ return cl_get_active_rec_id( $(".tt_thumbs_form") ) ; }
// DEF GRID_VS_FLEX when use flex within table - elem is shrinked to col width (even with colspan); only col-12 helped

var on_hide_detail = null;
function hide_detail(){ 
	$(".ap_detail_row").remove();
	if( on_hide_detail ) on_hide_detail();
}
function detail_shown(){ return $(".ap_detail_row").length; }
// TODO 1 why not pass rec instead table
function show_detail_click(id, table=null, show=null){
	var id_prev = 0;
	if(detail_shown()){
			// TODO: need some hide_detail func called here; eg in orders.php need set apps=null
			id_prev = $(".ap_detail_row").data("id");
			hide_detail();
	}
	if(id!=id_prev){
		// DEF GRID_VS_FLEX when use flex within table - elem is shrinked to col width (even with colspan); only col-12 helped
		var rec;
		if(table)
			rec = table.find_rec(id);
		else
			rec = $(".tt_thumbs_form").find(".data-row[data-id='" + id + "']"); // DEPRECATED
		if(!rec.length){
			alert(lp("record_not_found"));
			return false; // DEF ALA_BUG adr lap bug: error 5283  SELECT count(*) FROM app_lbs WHERE (camp_id=undefined AND shop_id=undefined AND img_id<>0); seems happens in on_show orders.php
		}
		create_detail_row(id).insertAfter( rec );
		// individual part
		if(show)
			show(id, rec);
		else
			show_detail(id, rec); // bad way using global name show_detail (which should exist in client)
	}
	return true;
}
// this ver not calls show detail while anyway need pass it ; ret = detail opened/changed
function show_detail_click1(rec){
	var id_prev = 0, id = rec.data("id");
	if(detail_shown()){
			// TODO: need some hide_detail func called here; eg in orders.php need set apps=null
			id_prev = $(".ap_detail_row").data("id");
			hide_detail();
	}
	if(id!=id_prev){
		// DEF GRID_VS_FLEX when use flex within table - elem is shrinked to col width (even with colspan); only col-12 helped
		if(!rec.length) return 0; // DEF ALA_BUG adr lap bug: error 5283  SELECT count(*) FROM app_lbs WHERE (camp_id=undefined AND shop_id=undefined AND img_id<>0); seems happens in on_show orders.php
		create_detail_row(id).insertAfter( rec );
		return 1;
	}else
		return 0;
}
// from given arr of elems get arr of data attrs
function get_data_arr(recset, dataname){var r=[]; if(recset&&recset.length) recset.each( function(){r.push($(this).data(dataname));} ); return r;}

// SETCAMP TODO: pass set_camp as param
function show_sel_camp(state="opened", par_sel = ".mc_table_control", cl_id=''){
	if(!cl_id) cl_id = client_id; // global
	var camps = call_php_sync("contr/main.php", {"action" : "get_camps_cb", state:state, client_id: cl_id}, 'POST').resp_text ; // NOTE: call it before use get_camp_id
	if(camps){
		$(par_sel).append( "<div id='mi_camp_div'>" + camps + "<i class='mc_unset_camp fas fa-times mc_btn' onclick='_unset_camp()' title='"+lp("unset_campaign")+"'></i></div>" ) ; // NOTE: call it before use get_camp_id
		$("#mi_camp").on("change", function(){ 
			if($(this).val()) 
				set_camp( $(this).val() );
		} );
	}else
		$(".mc_unset_camp").addClass("hidden");
	return $("#mi_camp");
}
function _unset_camp(){
	$("#mi_camp")[0].selectedIndex = -1;
	if( typeof unset_camp === 'function' ) // if user has defined it
		unset_camp();
}

function get_camp_id(){ var c = $("#mi_camp"); return c.length? c.val() : 0; }

function check_upload_finished(ok){
	var inupload = false, notstarted=false;
	var nuf = $("#fileupload .files").find(".progress.active").each( function(){ 
		notstarted=true; if( $(this).attr("aria-valuenow")!="0") inupload=true;   
	} );
	if(inupload){ alert(lp("some_uploads_not_yet_finished")); return 0; }
	if(ok && notstarted && !confirm(lp("confirm_close_not_uploaded")) ) return 0;
	return 1;
}

var incass = false;
function cass_filter(opts, val, field){
	var v=null,n=0;
	opts.each( function(){
		var opt = $(this);
		if( val && opt.data(field)!=val ) opt.addClass("hidden"); else {opt.removeClass("hidden"); v=opt.val(); n++;}
	});
	if(v&&n==1) opts.closest("select").val(v);
}
function cass_init(){
	// TODO: if a sel has single opt - select it (also in onchange)
	$("#sf_area").val(""); $("#sf_country").val(""); $("#sf_city").val(""); $("#sf_shop_name").val("");
	$("#sf_area").on("change", function(){
		if(incass)return; incass=true;
		var val = $(this).val();
		$("#sf_country").val(""); $("#sf_city").val(""); $("#sf_shop_name").val("");
		cass_filter( $("#sf_country option"), val, "area" );
		cass_filter( $("#sf_city option"), val, "area" );
		cass_filter( $("#sf_shop_name option"), val, "area" );
		incass=false;
	});
	$("#sf_country").on("change", function(){
		if(incass)return; incass=true;
		var val = $(this).val();
		$("#sf_city").val(""); $("#sf_shop_name").val("");
		cass_filter( $("#sf_city option"), val, "country" );
		cass_filter( $("#sf_shop_name option"), val, "country" );
		incass=false;
	});
	$("#sf_city").on("change", function(){
		if(incass)return; incass=true;
		var val = $(this).val();
		$("#sf_shop_name").val("");
		cass_filter( $("#sf_shop_name option"), val, "city" );
		incass=false;
	});
}

// DEF PREVIEW - show med thumb on image click
function show_preview_url(url, name, custom_content=null){
	var content = $("<div style='max-width:500px;max-height:500px;'></div>");
	var img = create_boxed_image(url, 500, 500);
	$(img).removeClass("ap_detail_elem");
	content.append(img);
	if(custom_content)
		content.append(custom_content);
	show_select_string(null, '', content, name);
}
function show_preview(img_id, name, custom_content=null){
	var url = call_php_sync("contr/main.php", {"action" : "get_img_url", id: img_id} ).resp_text;
	show_preview_url(url, name, custom_content);
}
function update_td(rec, name, val){
	rec.find(".td-" + alias_name + "-" + name).html(val);
	rec.data(name, val);
}

// TODO: this func is used only in lbs.php but may be made more general; check where used sms similar
function create_img_thumb( thumb_path, lbs_w, lbs_h ){
	var div = $('<div class="mc_triple_div"></div>');
	var img = new Image();
	img.src = "table_tree/thumbs/" + thumb_path; // TODO: use here get_file_thumb_path
	img.classList.add("mc_triple_img");
	img.onload = function(){
		var H = 70; // all imgs of same height
		var div_h = H, div_w = H*lbs_w/lbs_h;
		var rect = fit_rect2( img.width, img.height, div_w, div_h); 
		fit_img_div(div, $(img), div_w, div_h, rect);
	}
	div.append(img);
	return div;
}

var ppee_list = []; // DEF PPEE pending events of the page
function ppee_add(eid){
	ppee_list.push(eid);
	$("#mi_send_emails").removeClass("hidden");
	$("#mi_send_emails label").html(ppee_list.length);
}
function ppee_send(){
	wait_screen.add_operation("ppee");
	$.ajax({
		type: 'POST',
		url: 'contr/main.php',
		data: {action: 'send_pending_events', "events" : JSON.stringify(ppee_list)},
		success: function(){ alert("ok"); },
		complete: function(){ wait_screen.remove_operation("ppee");	}
	}); 
	$("#mi_send_emails").addClass("hidden");
}

function shrink_camp_name(name){
	const r1 = /^([^\d]*)(\d*)$/
	const m = name.match(r1);
	name = m[1];
	var y = m[2];
	const re = /_|\s/;
	const sp = name.split(re);
	var res="";
	for(var i=0;i<sp.length;i++)
		if(sp[i].length>0) 
			res+=sp[i].charAt(0);
	res+=y;
	return res;
}


var order_states = {draft: 1, revise: 2, declined: 4, confirmed: 8, sent: 16, accepted: 32, uploaded: 64, rejected: 128, approved: 256, hires: 512, printed: 1024, complete: 2048, update: 4096};
function os_is(compare,pattern){var c=order_states[compare], p=order_states[pattern]; if(c==4 || c==128) return c==p; return c<=p; } // if decl/rej - states must match exactly; else - check if comp. preceedes pattert

var ur_role; // UR TODO: now role selection is done during login, so this scheme with page_init not necessary
$(document).ready( function(){
	// vert menu (similar to archive.js)
	var mv = call_php_sync("contr/main.php", {"action" : "menu_vert"} ).resp_text;
	$('#mi_main_menu_vert').html(mv);
	$('#mi_main_menu_vert .mc_item').click( menu_item_click );
	var page = window.location.pathname.split("/").pop();
	$('#mi_main_menu_vert .mc_item').each( function(){ if( $(this).data("handler").includes(page) ) $(this).addClass("active"); } );
	/* can't use ajax, or else tt.show called before menu shown and occupies whole width /
	$.ajax({
		type: 'POST',
		url: 'contr/main.php',
		data: {action: 'menu_vert'},
		success: function(menu_html){
			$('#mi_main_menu_vert').html(menu_html);
			$('.mc_item').click( menu_item_click );
		}
	}); */
	// actually utils.js contains code to resize tables on win resize, but they use .fh-table sel which is not used (why?) in this app; besides probably need ensure that outer table is resized first (then detail)
	// also for TASMA
	$(window).resize( function(){
		fh_on_resize( $(".tt_thumbs_form") );
		fh_on_resize( $(".ap_detail_div") );
	});
	puh_init();
});
