<?php

ini_set("post_max_size", "8000M");
ini_set("upload_max_filesize", "8000M");
ini_set("max_input_time", "3000");
ini_set("max_execution_time", "3000");
ini_set("memory_limit", "-1");
set_time_limit(3000);

	/*
	26.08.20
	created to move code for moving uploaded files from controller to fu DEF MUH
	*/

        require_once(dirname(__FILE__)."/../path.php");
        require_once(proj_path."utils/utils.php"); // exec_log  extract_zip get_dir_contents
        require_once(proj_path."utils/log.php");
        require_once(proj_path."model/db.php");  // append_file_zip  exec_cmd
        require_once(proj_path."table_tree/model/db.php");  //  get_path_id
        require_once(proj_path."model/events.php");

	
	function move_uploaded_files($upload_path, $user_path, &$files, $data){ // add_to_zip: ASK_ADD_ZIP
		log\info("starting upload");
		if(session_id() == '')
			session_start();
		if(!session_id())
			throw new Exception("failed to start session");
		//
		$user_id = get_curr_user_id();
		$data = json_decode($data, true);

		/*ob_start();
		phpinfo(INFO_CONFIGURATION);
		log\error( ob_get_clean() );*/

		$action = $data["client"];
		log\info("move_uploaded_files, action '$action'");
		//
		$tfp = $upload_path; // temp path where files are uploaded
		$urp = $user_path; // user/upload relative path (curr dir in explorer)
		// if(!$urp) throw new Exception("upload path empty");   29.08.22 actually it may be empty 
		$ufp = get_source_path().$urp; // user full path
		if(!file_exists($ufp))
			mkdir($ufp, dir_perm, true);

		log\debug("ufp $ufp");

		if($action=="mini"){
			$cat = $data["category"];
			foreach($files as $file){
				if(!file_exists($tfp.$file->name)) continue; // hapens in case when upload cancelled
				$name = db\escape2($file->name);
				if( $r=exec_cmd("rs", $tfp.$file->name, $ufp) ) // TODO: maybe check if already exists and replace/rename/skip 
					throw new Exception("copy uploaded files error: '$r'");
				db\execute("delete from files where path = '$user_path' and name = '$name'");
				db\execute("insert into files(path,name,category) values ('$user_path', '$name', '$cat')");
				make_thumb($ufp.$name, $ufp.get_file_thumb_path(db\get_last_id(), $name)); // DEF FILE_THUMB: use thumbs in web-int instead of full sized images; shit-outlook can't resize
			}
		}else if($action=="hires" || $action=="lowres"){ // hires
			$table = $action;
			//$ufp = get_source_path().$data["root_path"].$urp;
			$ufp = get_source_path().$urp; // TODO: use camp_id in path if camp used
			if(!file_exists($ufp))
				mkdir($ufp, dir_perm, true);
			foreach($files as $file){
				$ffn = $tfp.$file->name;
				if(!file_exists($ffn)) continue;
				$fname = db\escape2($file->name);
				log\debug("NH $fname");
				$id = db\select_field($table, "id", "path = '$user_path' and name = '$fname'"); // find file with same name (without ext)
				if($id)
					db\execute("delete from $table"."_files where id = $id"); // PF DEF stuff related with new struct table_files + table_paths
				//}else log\error("file not found: $id");
				$fs = filesize($ffn);
				$fd = date(db\get_date_format(), filemtime($ffn));
				$ft = "JPEG";
				if( $r=exec_cmd("rs", $ffn, $ufp.$fname) ) // TODO: maybe check if already exists and replace/rename/skip 
					throw new Exception("copy uploaded files error: '$r'");
				//$thm = "medium_$id.jpg";
				//$ths = "small_$id.jpg";
				//make_thumb($ffn, $thmp=get_source_path().hires_thumb_path_rel.$thm, "800");
				//make_thumb($thmp, get_source_path().hires_thumb_path_rel.$ths);
				$pid = get_path_id($table."_paths", $user_path); // PF
				//log\debug("DDD", $data);
				$data_insert = ["name" => $fname, "path_id" => $pid];
				// IMG_CAT
				foreach($data as $param => $val)
					if( starts_with($param, "uf") )
						$data_insert[$param] = $val;
				db\execute( "insert into $table"."_files ".db\compile_insert($data_insert) );  // PF
				exec_log("sudo ".cpp_path_bin."info_file_hr -it -T $table -s ".cpp_settings_file." --start_dir='$user_path'");
				//exec_log("sudo ".cpp_path_bin."info_file_hr -it -T $table -s /opt/abc_info/bin/lb_prada.ini > /var/www/html/abc &"); // need edit sudoers: apache ALL=(ALL) NOPASSWD:/path/module *     user_id: SEFIR
				//db\execute("update files set hires_name = '$fname' where id=$id"); // find file with same name (without ext)
				if($action=="hires"){
					$lbs_id = $data["lbs_id"];
					$old_hr = db\select_field("lbs", "hr_name", "id=$lbs_id");
					if($old_hr && $old_hr!=$file->name && file_exists($ufp.$old_hr)) // if existed old file with diff name - del it
						exec_cmd("rm", $ufp.$old_hr);
					db\execute("update lbs set hr_name = '".db\escape2($file->name)."' where id = $lbs_id");
					set_lbs_state_event($lbs_id, "hires", "HR uploaded");
					//set_lbs_state("hires", $lbs_id); // use this instead of set_lbs_state_event while seem hr is loaded by prod for itself; then he generates link and sends to printers
				}
			}
		}else if($action=="map"){
			$table = "shops_maps";
			$shop_id = $data["shop_id"];
			foreach($files as $file){
				if(!file_exists($tfp.$file->name)) continue;
				$name = db\escape2($file->name);
				if( $r=exec_cmd("rs", $tfp.$file->name, $ufp) ) // TODO: maybe check if already exists and replace/rename/skip 
					throw new Exception("copy uploaded files error: '$r'");
				$client_id = db\select_field("locations", "client_id", "id=$shop_id");
				$client_code = db\select_field("clients", "code", "id=$client_id"); // TODO: use one request or view
				$path = get_location_path($client_code, $shop_id);
				db\execute("delete from $table where name = '$name' and shop_id=$shop_id");
				db\execute("insert into $table(name,path,shop_id) values ('$name', '$path', '$shop_id')");
				exec_log("sudo ".cpp_path_bin."info_file_hr -t -T $table -s ".cpp_settings_file." --start_dir='$user_path'");
			}
		}else if($action=="order_atts"){
			$table = $action;
			foreach($files as $file){
				if(!file_exists($tfp.$file->name)) continue;
				$name = db\escape2($file->name);
				if( $r=exec_cmd("rs", $tfp.$file->name, $ufp) ) // TODO: maybe check if already exists and replace/rename/skip 
					throw new Exception("copy uploaded files error: '$r'");
				db\execute("delete from $table where name = '$name' and path='$urp'");
				db\execute("insert into $table (name,path) values ('$name', '$urp')");
				exec_log("sudo ".cpp_path_bin."info_file_hr -it -T $table -s ".cpp_settings_file." --start_dir='$user_path'");
			}
		}else if($action=="triple"){
			$files_prev = scandir($ufp); // DEF RPF remove previous files
			$lbs_id = basename(trim($ufp,"/"));
			foreach($files as $file){
				if(!file_exists($tfp.$file->name)) continue;
				$name = db\escape2($file->name);
				$ext=strtolower(extract_ext($name));
				log\debug("EXT", $ext);
				// DEF TRIPLE: stuff relevant to which files are loaded (indd, idml, pdf in portals and any file type in rotation)
				//if(!in_array($ext,["indd","idml","pdf"])) continue; // also need for RPF to not delete other files
				// commented for req of gl to be able to upload any file // foreach($files_prev as $fp) if(extract_ext($fp)==$ext) exec_cmd("rm", $ufp.$fp); // RPF ; remove old file with same ext; note: can't delete all at once, while may happen that files uploaded by one each time; so can't distinguish old from new
				if($ext=="pdf") // before it was for any file type, but now while there must be possibility to upload any num of any files - can't do it; yet, for pdf need do it while may happen so: a pdf is uploaded, but it's wrong; need upload another with another name
					foreach($files_prev as $fp) if(extract_ext($fp)==$ext) exec_cmd("rm", $ufp.$fp); // RPF ; remove old file with same ext; note: can't delete all at once, while may happen that files uploaded by one each time; so can't distinguish old from new
				// commented for APP_VER - need keep prev scales // if($ext=="pdf") foreach($files_prev as $fp) if(extract_ext($fp)=="jpg") exec_cmd("rm", $ufp.$fp); // remove jpg scales of old PDF ROS
				if( $r=exec_cmd("rs", $tfp.$file->name, $ufp) )
					throw new Exception("copy uploaded files error: '$r'");
				// 
				// EVITE: use any file type   if(extract_ext($file->name)=="pdf")
				{
					$new_app = make_scales($from=$ufp.$file->name, $urp, $lbs_id);
					$name = db\escape2(basename($from)); // the name of the orignial file (added by user)
					db\execute("update approves_versions set version=version+1 where lbs_id=$lbs_id"); // db\execute("delete from approves where lbs_id = $lbs_id"); // for the case if there already was a rec
					foreach($new_app as $app_page){
						// insert db		// TODO: now approves table contains also shop_id/camp_id (just dupl of lbs fields); inserted for convenience but donno if used
						$id = $app_page["page"]? 0 : $lbs_id; // MPV: only for 0 page id is set; for other pages it's 0 (so that such recs not go into app_lbs)
						$app_page = array_merge($app_page, ["name" => db\escape2(basename($from)), "owner" => get_user_info("email"), "lbs_id" => $lbs_id, "id" => $id ]); // DEF APPID=LBSID use same id from lbs and app to avoid confusion
						$mr = db\select_field("approves_versions","max(rev_id)"); $app_page["rev_id"] = $mr + 1; // APP_VER
						// DEF APP_VER - versions of triples; allow the apap to navigate to prev versions of pdf file (see in notes); do not del prev rec, just increment version
						db\execute("insert into approves_versions ".db\compile_insert($app_page, ["page"=>["type"=>"number"]]));
						//clear_pdf($lbs_id); 23.03.23 commented for DEF APP_HIST keep history of approves; if subj is rejected and re-uploaded - keep yet notes history 
					}
				}
			}
			/*  EVITE: any file may be uploaded ; not send autom but use send btn ; instead is used request_approve action
			// check all 3 present
			$exts = array(); foreach(scandir($ufp) as $file){$exts[]=extract_ext($file);}
			if(	
				in_array("pdf",$exts)
				//&& in_array("idml",$exts)
				//&& in_array("indd",$exts) 
			)
				set_lbs_state_event($lbs_id, "uploaded", "Order uploaded"); // TODO: this will send email only when complete order uploaded; maybe also need send single lbs email for the case when lbs was rejected and re-uploaded
			*/
		}
		/*
		// move
		if( $r=exec_cmd("rs", $tfp, $ufp) ) // TODO: maybe check if already exists and replace/rename/skip 
			throw new Exception("copy uploaded files error: '$r'");
		// info
		$sf = cpp_path_bin."abc_file_lb.ini"; $out = proj_path."abc.log";
		exec_log("sudo ".cpp_path_bin."abc_file -L -a --start_dir='$urp' --settings_file='$sf'"); // need edit sudoers: apache ALL=(ALL) NOPASSWD:/path/module *     user_id: SEFIR
		*/
	}

	function client_move_uploaded_file($file_path, $user_path, $data){
		log\info("starting upload: $file_path");
		if(session_id() == '')
			session_start();
		if(!session_id())
			throw new Exception("failed to start session");
		//
		$user_id = get_curr_user_id();
		//
		$tfp = $file_path; // temp path where files are uploaded
		$urp = $user_path; // user/upload relative path (curr dir in explorer)
		// if(!$urp) throw new Exception("upload path empty");   29.08.22 actually it may be empty 
		$ufp = get_source_path().$urp; // user full path
		if(!file_exists($ufp))
			mkdir($ufp, dir_perm, true);

		// move
		if( $r=exec_cmd("rs", $tfp, $ufp) ) // TODO: maybe check if already exists and replace/rename/skip 
			throw new Exception("copy uploaded files error: '$r'");
		// TODO: db
	}

	function set_file_date($file_path, $fdt){  // PASS_FILE_DATE
		if( preg_match("/^(.+)(\s\(.+\))$/", $fdt, $m) )
			$fdt = $m[1]; // cut time zone explanation in par. eg "Sun Jan 26 2020 19:02:54 GMT+0100 (Central European Standard Time)"
		try{
			$dt = new DateTime($fdt);
			$dt->setTimeZone(new DateTimeZone('Europe/Rome')); // TODO 3
			touch($file_path, $dt->getTimeStamp());
		}catch(Exception $e){ log\error("failed to parse js date '$fdt'"); }
	 }
	 
	// TRIPLES
	function make_scale($from_pn, $w, $h, $pn, $k){
		$wc = $w*$k/100;
		$hc = $h*$k/100;
		$sn = $wc.'x'.$hc;
		$to = add_suffix($from_pn, "_$k");
		log\info($from_pn);
		log\info($to);
		exec_log("gm convert -size $sn \"$from_pn\" -resize $sn \"$to\"");
	}
	// $from - original file name (uploaded by user)
	function make_scales($from, $target_dir_rel, $lbs_id){
		$tdf = get_source_path().$target_dir_rel;
		exec_log("/opt/abc_info/src/image_info/render_pdf \"$from\" \"$tdf\"", $output); // for both pdf and images; example output: array(1) {  [0]=> string(30) "0-595-842;1-595-842;2-595-842;" }
		log\debug($output);
		$res = []; // an elem corresponds to a page ; DEF MPV - multiple page ver
		$pages = preg_split("/;/", $output[0], -1, PREG_SPLIT_NO_EMPTY); // NOTE: fabr said that there is only one page, so pages==="0"
		log\info($pages);
		foreach($pages as $page){
			$size = preg_split("/-/", $page); // page-width-height
			$pn = $size[0];
			$w = $size[1];
			$h = $size[2];
			$from_pn = replace_ext( add_suffix($from, "_".$pn), "jpg" ); // the name which issues render_pdf, so CAN'T CHANGE IT
			$nn = replace_name($from_pn, generate_random_string()); exec_cmd("mv", $from_pn, $nn); $from_pn = $nn; // DEF APUP app update; need use new name for each new upl scales to avoid that browser uses cache (when rejected and reuploaded)
			make_scale($from_pn, $w, $h, $pn, 25);
			make_scale($from_pn, $w, $h, $pn, 50);
			make_scale($from_pn, $w, $h, $pn, 75);
			$res[]= ["width" => $w, "height" => $h, "page" => $pn, "path" => db\escape2($target_dir_rel.basename($from_pn))]; // NOTE: if wanna keep pages - need pass array of such arrays, one for each page; NOTE: path includes unique (for each ver) randomly generated string
			// break; // for single page ver DEF SPV
		}
		return $res;
	}

	function make_thumb($from, $to, $size=190){
		exec("gm convert \"$from\" -resize x$size \"$to\"");
	}
?>
