<?php
	require_once(dirname(__FILE__)."/path.php");
	require_once(proj_path."view/lang.php");
	require_once(proj_path."model/db.php");
	if(session_id() == '') 	session_start(); // this is necessary to be able to read session vars (LOGIN_FAIL)
	$location = isset($_GET["location"])? htmlspecialchars($_GET["location"]) : "";
?>
<head>
	<title><?php echo project_title; ?></title>
	<link href="lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="lib/bootstrap/css/bootstrap.css" rel="stylesheet">
	<link href="css/main.php" rel="stylesheet">
	<link href="css/login.css" rel="stylesheet">
	<link href="table_tree/css/style.css" rel="stylesheet"> <!-- popup -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" type="img/ico" href="$icon$">
</head>
<body onload="on_load()">
	<div id = "mi_login_outer" > <!-- whole screen -->
		<!-- LOGIN_FAIL div -->
		<form id='mi_login_inner' class='center-screen-flex user ' action='contr/login.php' method='POST'>
			<?php
				foreach($_SESSION['roles'] as $role){
					$id = $role["id"];
					$role_name = $role["role"];
					$cap = $role_name;	if(isset($role["group"])) $cap .= " (".$role["group"].")";
					echo "<div class='mc_role_div' onclick=\"role_click('$id', '$role_name')\"> $cap </div>\n";
				}
			?>
			<input name='location' type='hidden' value='<?php echo $location; ?> '>
			<input name='action' type='hidden' value='set_role'  >
			<input id='mi_role' name='role' type='hidden' >
			<input id='mi_id' name='id' type='hidden' >
		</form>
        </div>
</body>
<script src="lib/jquery/js/jquery-2.1.4.min.js"></script>
<script src="js/lang.js"></script>
<script type="text/javascript">
	function role_click(id, role){
		document.getElementById("mi_role").value = role;
		document.getElementById("mi_id").value = id;
		document.getElementById("mi_login_inner").submit();
	}
	function on_load(){
		var rc = <?php echo sizeof($_SESSION['roles']);?>;
		if(!rc){
			$("#mi_login_inner").addClass("hidden");
			alert(lp("user_has_no_roles"));
			$.ajax({
				type: "POST",
				url: "contr/login.php",
				data: {action: "logout"},
				success: function(res){	
					document.getElementById("mi_login_inner").submit();
				}
			})
		}
	}
</script>
