<?php
	require_once(dirname(__FILE__)."/path.php");
	require_once(proj_path."view/lang.php");
	require_once(proj_path."model/db.php");
	if(session_id() == '') 	session_start(); // this is necessary to be able to read session vars (LOGIN_FAIL)
	$location = isset($_GET["location"])? htmlspecialchars($_GET["location"]) : "";
?>
<head>
	<title><?php echo project_title; ?></title>
	<link href="lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="lib/bootstrap/css/bootstrap.css" rel="stylesheet">
	<link href="css/main.php" rel="stylesheet">
	<link href="css/login.css" rel="stylesheet">
	<link href="table_tree/css/style.css" rel="stylesheet"> <!-- popup -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="icon" type="img/ico" href="$icon$">
</head>
<body onload="on_load()">
	<div id = "mi_login_outer" > <!-- whole screen -->
		<!-- LOGIN_FAIL div -->
		<form id='mi_login_inner' class='center-screen-flex user ' action='contr/login.php' method='POST'>
			<?php
				if(ur_get_user_role_name()!="SUPERADMIN" || !is_worker()){echo "forbidden";	return;	}
				$supers = db\select_to_array("users", "*", "user_role='superadmin' and client_id<>0");
				foreach($supers as $super){
					$client_id = $super["client_id"];
					$client_name = db\select_field("clients", "name", "id=$client_id");
					echo "<div class='mc_role_div' onclick=\"client_click('$client_id')\"> $client_name </div>\n";
				}
			?>
			<input name='location' type='hidden' value='<?php echo $location; ?> '>
			<input id='mi_id' name='id' type='hidden' >
			<input name='action' type='hidden' value='selcl'  >
		</form>
        </div>
</body>
<script src="lib/jquery/js/jquery-2.1.4.min.js"></script>
<script src="js/lang.js"></script>
<script type="text/javascript">
	function client_click(id){
		document.getElementById("mi_id").value = id;
		document.getElementById("mi_login_inner").submit();
	}
</script>
