<?php
	require_once(dirname(__FILE__)."/../path.php");
	require_once(proj_path."view/lang.php");

	// ---------------------------------------------------------------------------
	//			VIEW
	// ---------------------------------------------------------------------------

	define ("field_list_basic", "id, path, name, notes, minutes"); // fields of done (what is needed on 'open' op)
	// 
	function get_todo_fields(){
		return array(
			array("field" => "priority",		"type" => "select",	"caption" => lp('priority'), "data" => 1, "options" => ['low','middle','high','urgent'], "default" => "middle"), 
			array("field" => "next_do_date",	"type" => "date",	"caption" => lp('next_do_date')), 
			array("field" => "todo_date",	"type" => "date",	"caption" => lp('todo_date')), 
			array("field" => "done_date",	"type" => "date",	"caption" => lp('done_date')), 
			array("field" => "next_do_date",	"type" => "date",	"caption" => lp('next_do_date')), 
			array("type" => "text", 	"field" => "name", "caption" => lp("name"), 'placeholder' => lp("name_part")),
			array("type" => "textarea",	"field" => "notes", "caption" => lp("notes"))
		);
	}

	function get_done_fields(){
		return array(
			array("field" => "id",		"type" => "number",	"caption" => lp('ID'), "data" => 1, "usage" => "LS"),
			array("type" => "text", 	"field" => "path", "caption" => lp("path"),	"data" => 1, "usage" => "LS", "class" => "ttc_filter_path", 'placeholder' => lp("path_part"), 'predicative' => 'and', "explode" => "+"),   // PATH/NAME
			array("type" => "text", 	"field" => "name", "caption" => lp("name"), 'placeholder' => lp("name_part")),
			array("type" => "number", 	"field" => "minutes", "caption" => lp("minutes")),
			array("type" => "textarea",	"field" => "listeners", "caption" => lp("subscribers")),
			array("type" => "select", 	"field" => "entry_type", "caption" => lp("type"), "data" => 1, "options" => ['done', 'note'], "default" => "done"),
			array("type" => "textarea",	"field" => "notes", "caption" => lp("notes"))
		);
	}

	function basic_fields_captions(){  // get_done_list_fields
		return fdef_fd_to_list(get_done_fields(),1,1);
	} // TODO: this stuff is used in tt/contr, need instead pass it directly from js

	function get_filter_fields(){ return fdef_fd_to_fide_all( get_done_fields(), "sf_" );} // get_done_search_fields

	function get_new_todo_fields(){ 		return fdef_fd_to_fide_all(get_todo_fields(), "nf_", "N");	}

	function get_new_done_fields(){ 		return fdef_fd_to_fide_all(get_done_fields(), "nf_", "N");	}

?>
