<?php
	require_once(dirname(__FILE__)."/path.php");
	require_once(proj_path."utils/utils.php");
	require_once(proj_path."utils/db_mysql.php");
	require_once(proj_path."utils/php_mailer_include.php");
	require_once(proj_path."model/db.php");
	require_once(proj_path."model/events.php");
	require_once(lib_path."fpdf/fpdf.php");
	require_once(proj_path."utils/css_class.php");
	log\set_log_file(log_path."test.log");

	var_dump( find_role_users("RETAIL", 1) ); return;
			

			$lbs_list = [];
			$lbs_list["lb_text"] = db\select_field("lbc","lb_text","id=4010");
			var_dump($lbs_list);
			if(isset($lbs_list["lb_text"])) $lbs_list["lb_text"] = join("", array_wrap( preg_split("/\n/", $lbs_list["lb_text"]), "<div>", "</div>" ) ); // EVITE
			var_dump($lbs_list);
			return;


		$sp = get_sessions();
		var_dump($sp);
		return;


		$emails = [3,5];
		log\debug($emails);
		send_pending_user_emails($emails);
		return;


	$settings = get_mail_settings();
	var_dump($settings);
	$text = '#!/bin/bash
dir_from=~/bash_test
dir_comp=~/bash_comp
dir_res=~/bash_res

for file in "$dir_from"/*.png; do
        base=$(basename "$file")
        pref_len=${#base}
        let pref_len=$pref_len-7-4
        pref=${base:0:pref_len}
        # find file with same prefix in dir_comp
        for file_comp in "$dir_comp/$pref"*.png; do
                echo "$file_comp"
                base_comp=$(basename "$file_comp")
                #echo "moving $file to $dir_res/$base_comp"
                mv "$file" "$dir_res/$base_comp"
        done
        echo "$file $base $pref_len $pref"
done';
	send_mail("anosurov@depedrini.com", "alex", "script", "elia.manto@depedrini.com;anosurov@depedrini.com", $text, $settings, $is_html=false, $img_path = proj_path.get_files_path());
	return;


	echo cssc_parse(file_get_contents(dirname(__FILE__)."/test.css"));
	return;


class PDF extends FPDF{
	function ImprovedTable($data, $header=null)
	{
		// Column widths
		$w = array(40, 35);
		// Header
		if($header)
		for($i=0;$i<count($header);$i++)
			$this->Cell($w[$i],7,$header[$i],1,0,'C');
		else
			$this->Cell(array_sum($w),0,'','T');
		$this->Ln();
		// Data
		foreach($data as $row)
		{
			$text = $row[0];
			//$this->WordWrap($text, 120);
			$this->Cell($w[0],40,$text,'LR');
			//$this->MultiCell($w[0],40,$text,'LR');
			//$this->Cell($w[1],6,$row[1],'LR');
			$image1 = "/st/tmp/x.jpg";
			$this->Cell( 40, 40, $this->Image($image1, $this->GetX()+1, $this->GetY()+5, 33.78), 0, 0, 'LR', false );
			//$this->Cell($w[2],6,number_format($row[2]),'LR',0,'R');
			$this->Ln();
		}
		// Closing line
		$this->Cell(array_sum($w),0,'','T');
	}

	function WordWrap(&$text, $maxwidth)
	{
		$text = trim($text);
		if ($text==='')
			return 0;
		$space = $this->GetStringWidth(' ');
		$lines = explode("\n", $text);
		$text = '';
		$count = 0;

		foreach ($lines as $line)
		{
			$words = preg_split('/ +/', $line);
			$width = 0;

			foreach ($words as $word)
			{
				$wordwidth = $this->GetStringWidth($word);
				if ($wordwidth > $maxwidth)
				{
					// Word is too long, we cut it
					for($i=0; $i<strlen($word); $i++)
					{
						$wordwidth = $this->GetStringWidth(substr($word, $i, 1));
						if($width + $wordwidth <= $maxwidth)
						{
							$width += $wordwidth;
							$text .= substr($word, $i, 1);
						}
						else
						{
							$width = $wordwidth;
							$text = rtrim($text)."\n".substr($word, $i, 1);
							$count++;
						}
					}
				}
				elseif($width + $wordwidth <= $maxwidth)
				{
					$width += $wordwidth + $space;
					$text .= $word.' ';
				}
				else
				{
					$width = $wordwidth + $space;
					$text = rtrim($text)."\n".$word.' ';
					$count++;
				}
			}
			$text = rtrim($text)."\n";
			$count++;
		}
		$text = rtrim($text);
		return $count;
	}

	function mc($x,$y,$t,$b){
		$px = $this->GetX();
		$py = $this->GetY();
		$this->MultiCell($x,$y,$t,$b);
		$th = $this->GetY() - $py ;
		$this->SetXY($px + $x, $py);
		return $th;
	}
}

	$pdf = new PDF();
	// Column headings
	$header = array('Country', 'Capital', 'Area (sq km)', 'Pop. (thousands)');
	// Data loading
	//$data = $pdf->LoadData('countries.txt');
	$data = [["key key prestidigitator","value"]];
	$pdf->SetFont('Arial','',14);
	$pdf->AddPage();
	//$pdf->ImprovedTable($data);
	$full_w = 180;
	$he = 20;
	$pdf->Cell($full_w, $he, "gusi", 'LTR');
	$pdf->Ln();
	//$pdf->Cell($full_w*0.3, $he, "codice", 'TLB');
	$he = 15;
	$pdf->mc($full_w*0.3, $he/2, "codice\n150", 'TLB');
	$th = $pdf->mc($full_w*0.7, $he/2, "nome\nname", 'TLRB');
	$pdf->Ln($th);
	// key vals
	$pdf->SetY($pdf->GetY()+5, true);
	$kw = 40; $vw = 50;
	$h = 8;
	$kvs = ["shit" => "some shit shists shit", "scheisse" => "das ist etwas sehr langer text uber die scheisse"];
	$x0 = $pdf->GetX(); $y0 = $pdf->GetY();
	$th = 0;
	foreach($kvs as $k => $v){
		// print val first to know its width
		$pdf->SetX($x0 + $kw);
		$h=$pdf->mc($vw, $h, $v, "LTBR");
		$th += $h;
		$pdf->SetX($x0);
		$pdf->Cell($kw, $h, $k, "LTB");
		$pdf->Ln();
		//$pdf->Ln($h);
	}
	//$pdf->Cell($full_w*0.5, 100, $th, 'TLRB');
	$pdf->SetXY($x0 + $full_w/2, $y0);
	$image1 = "/st/tmp/x.jpg";
	$image1 = "/st/img/letterina_logo.png";
	$pdf->Cell($full_w*0.5, $th, $pdf->Image($image1, $pdf->GetX()+1, $pdf->GetY()+5, 33.78), 'TRB');
	//
	$pdf->Output();

	return;

		$sp = session_save_path();
		$sessionNames = scandir($sp);
		$users = array();
		foreach($sessionNames as $sessionName) {
			if(strpos($sessionName,".") === false) { //This skips temp files that aren't sessions
				$cont = file_get_contents("$sp/$sessionName");
				if( preg_match('/user_id\|s:\d:"(\d+)"/', $cont, $matches) )  //user_id|s:3:"193"
					if(!in_array($matches[1], $users))
					$users[] = $matches[1];
			}
		}
		$un = array(); foreach($users as $u) $un[]=db\select_field("users", "name", "id=$u");
		var_dump($un); return;

	delete_order_email(db\select_record("v_orders", "*", "id=193")); return;	

	$files = db\select_to_array("files", "name,id");
	foreach($files as $file){$name=$file["name"];$id=$file["id"];
		exec("gm convert '/lightbox/prada/campaigns/18/$name' -resize x190 '/lightbox/prada/campaigns/18/$id.jpg'");}
		return;

	$settings = get_mail_settings();
	var_dump($settings);
	send_mail($sender=$settings["noreply_email"], "pdp", "su", "prova@depedrini.com", "<html>hiu</html>", $settings, $is_html=true, $img_path = proj_path.get_files_path());
	return;



	echo same_user(224,270); return;
	echo get_role_code("LOCAL_VISUAL"); return;

	
	echo date( "d/m/Y", strtotime("2022-02-15" )); return;

	update_shop_roles(); return;

	var_dump(ur_find_roles(3));return;

	$cs = file_get_contents("worldcities.csv");
	$cs = preg_split("/\n/", $cs);
	var_dump($cs);
	foreach($cs as $c){
		//$c = preg_split("/,/", $c);
		db\execute("insert into cities values ($c)");
	}
	return;



	$users = file_get_contents("users.list");
	$users = preg_split("/\n/", $users, -1, PREG_SPLIT_NO_EMPTY);
	foreach($users as $user){
		if(! preg_match("/^([^\\s\t]+)(\\s*|\t)(.+)(VISUAL_ADMINISTRATOR|PRODUCTION_INTERNAL|LOCAL_VISUAL|GRAPHIC|ENGINEERING)(\\s*|\t)(.+)$/", $user, $m) ){ echo "nope: $user\n"; continue; }
		//$user = preg_split("/(\\s|\t)/", $user, -1, PREG_SPLIT_NO_EMPTY);
		echo $m[1]."\n";
		echo $m[3]."\n";
		echo $m[4]."\n";
		echo $m[6]."\n\n\n";
		$name = trim($m[3]);
		$email = trim($m[6]);
		if(!$email)$email=trim($m[1]);
		$role = $m[4];

		db\execute("insert into users(name,email,user_role) values ('$name','$email','$role')");
	}
?>
